abylonsoft: Welcome

Welcome

Newer version of this software available (current version 7.0)? Check in the setting-dialog on side Administration for updates.

Welcome

Thank you, that you have decided for the security product from abylonsoft - Dr. Thomas Klabunde.

This software solution supports the Public Key System after PKCS (RSA) and works in the HYBRID-System completely on the basis of X.509 certificates. Alternatively the symmetrical encryption (SYMM-System is supported with password input or the inserting of EC MoneyCard, Health Insurance Card or USB-Token.
According to the version different modules are offered for encrypting and signing of data (e. g. text, pictures, passwords or email). So the encrypted files are secure for spying of hackers or co-workers. Digital signed files can not be manipulated without notice for the receiver. Therefore the sending of data over unsafe channels (like internet) is without risk.

This software offers large possibilities for encryption of data and safety of your computer. Furthermore the program puts special value into intuitive operability, simple realization and high stability. In order of an easy using all modules interact together and have interfaces to standard systems like the Windows certificate database, File Explorer or Outlook.

  • First steps (technique)
  • Dialogs

System requirements:

  • Processor: Pentium (or comparable)
  • Working memory: 256 MByte RAM
  • Free disc space: 30 - 50 MByte ()
  • Operating system: Windows NT4, 2000, XP or Vista
  • USB port and USB-Token; Smartcard reader and smartcard or CD/DVD reader and CD/DVD

Support:

Function details, module overview and a FAQ Page for common problems you will find in the internet on our homepage (http://www.abylonsoft.com). If you have a further problem with our software, please use our Support form.

Thank you for your confidence and we wish you secure working in the future! Your abylonsoft - team!

(c) 2001-2008 abylonsoft ( Stand 22.01.2008)


abylonsoft: About abylonsoft

About abylonsoft

abylonsoft - Dr. Thomas Klabunde develops and sells innovative security solutions for private and business usage. Since the introduction of the free encryption software WinCrypt, the name abylonsoft has symbolized reliability and quality.
The software is based upon industrially recognized standards (for example PKCS (RSA) for asymmetrical coding and signing data). Abylonsoft attaches great importance to highest level performance, stability and user-friendliness. This saves lengthy and complex co-worker training courses on the customer side, and offers reliable protection with an affordable price.

Address / Contact

abylonsoft - Dr. Thomas Klabunde
Zum Eichwald 43
D - 55444 Seibersbach
Deutschland / Germany

Contact: Contact form (Online)
 Support: Support form (Online)
Phone: +49 - (0)6724 - 60 2759 - 0
Fax: +49 - (0)6724 - 60 2759 - 1

Author

Dr. Thomas Klabunde
Pascal Kretschmann
Dipl. Ing. Uwe Velten

Thanks to

Dipl. Ing. Daniel Kurz (Test)
Dr. Lorenzo Mauricio Mejias Llanos (Translation)
Bernd Schlösser (Consultation)
Frowin Herman (Help)
Xi Xu (Development)

Copyright / Warranty

apm, abylonsoft, abylon protection manager (apm), abylon Reader, abylon Basic, abylon Enterprise, apm - Logon, abylon LOGON, apm - Partition Drive, abylon CRYPTDRIVE, apm - Data Drive, abylon SHAREDDRIVE, apm - Schredder, apm - Wipe, apm - Wipefile, abylon SHREDDER, apm - Tresor, apm - Safe, abylon KEYSAFE, apm - Outlook AddIn, apm - SME Email, abylon CRYPTMAIL, apm - Zertifikatsmanager, abylon CERTMANAGER, apm - LDAP, abylon LDAP, apm - Small PKI, abylon SMALL PKI, apm - ZIP Manager, abylon CRYPTZIP, apm - Admin, abylon ADMIN, abylon EINFÜGEN, abylon PASTE, abylon SYMM CRYPT, abylon HYBRID CRYPT, abylon SUCHEN, abylon FIND, abylon CLIENT SECURITY and all modules

Copyright © 2001-2008 abylonsoft - Dr. Thomas Klabunde,
Zum Eichwald 43, D-55444 Seibersbach, Germany.
All rights reserved.

Other trademarks:

  • Inc. Microsoft is a registered trademark and Windows and the Microsoft logo are trademarks of Microsoft Corporation
  • IBM and PC are trademarks of International Business Machines Corporation
  • iMac is a registered trademark of Apple Computer Inc
  • WinCrypt is a registered trademark (german) of ITecon
  • Other names and products are maybe trademarks of other unknown Inc.

Warranty Check (try multiple times!)

(c) 2001-2008 abylonsoft (Last Update / Stand 20.02.2007)


abylonsoft: first steps

Technique and description

Tutorials (How can I do...)

  • Common
    • Uninstallation of the Software
    • Installation of the Software
    • Settings
  • Encryption
    • Create your own certificate
    • Encryption of own data (SYMM- and HYBRID-System)
    • Encryption for another person (HYBRID-System)
    • Install your own certificate
    • Sending your Public Key with abylon KEYEXCHANGE
    • Using of abylon LDAP
    • Using of abylon SMALL PKI and abylon FILE PKI
  • abylon CRYPTDRIVE
    • Create a new CRYPTDRIVE
    • Create shortcuts on the desktop
    • Procedure to change the "Secret" (Keymanagement)
    • Saving encrypted files
  • abylon CRYPTMAIL
    • Using of the Outlook AddIn abylon CRYPTMAIL
  • abylon FIND
    • Searching files
  • abylon KEYSAFE
    • Copy the user name and password in the corresponding fields of the browser or dialog
    • Open an Internet side
    • Procedure to change the "Secret" (Keymanagement):
  • abylon LOGON
    • abylon LOGON in use
    • Create a new logon account during the logon process
    • Create a new logon account in the setting window
  • abylon PASTE
    • Copy and move files with abylon PASTE
  • abylon SHAREDDRIVE
    • Activating and creating an abylon SHAREDDRIVE
    • Procedure to change the "Secret" (Keymanagement)

(c) 2001-2008 abylonsoft (Last Update / Stand 12.09.2006)


abylonsoft: Registration

Registration of the software

General:

The download and installation of the here available software / SDK you do on your own risk. abylonsoft - Dr. Thomas Klabunde gives no guarantee or liability for possible damages, in case of installation and / or using of our software / SDK. If you download, install or buy our software, you accept this conditions and our license agreement.

Therefore we refer to our Disclaimer...

Registration for Freeware (abylon READER and abylon SELFCERT):

Freeware requires no registration, is free and can be used privately and commercially.

We are happy, if you send us a notification. With your permission, we would like add you to our reference list.

Registration for Shareware (abylon BASIC, abylon ENTERPRISE, abylon CRYPTMAIL, abylon KEYSAFE, abylon LOGON, abylon SHREDDER, abylon CRYPTDRIVE and abylon SHAREDDRIVE):

At the moment we offer our shareware only about our Online store. After payment receipt you will get the registration information via e-mail. While the order you can select a CD with our software, with additional costs incurred.

Payment in our Online store can be made by:

  • Creditcard
  • PayPal
  • Giropay
  • Wire transfer or Chash
  • Bill (only companies)

For cost reduction we have all information (Current prices, questions, etc.) list on our homepage. Please select wanted product on the Shop page. On the following page, you find further ordering information, for example for companies and students!

Registration dialog for activation (unlock):

This dialog appears after some operations in order to remind you that our software is not for free (Shareware). For this reason, please register our program after 30 days or remove it from your computer.
>> For registration (order a license key) see at top

If you got the product key from us or ShareIt, please open the registration dialog, open this dialog with Register. Write your registration name (Field 1) and product key (Field 2) in the edit fields exactly and finish the registration with Register now.

We thank you for your trust in our products and we wish you safe working in the future! Your abylonsoft - team!

(c) 2001-2008 abylonsoft (Last Update / Stand 23.02.2007)


abylonsoft: abylon INSTALLATION

Installation

Before installing the software, please deactivate and remove all old releases of the Software. For this purpose you go in the start menu and choose the point remove. Alternatively the program can be removed over the entry Software in the System control.

Installation

1. | All software products of abylonsoft are delivered with an installation program. This leads you through the installation step by step and make all important settings on your system. Close all other programs and start the installation through double-click.
2. | Choose the programming language (Deutsch, English or Spain (Beta))!
3.
At first in the setup you must accept our license agreement.
On the next pages you can choose the storing directory and the name in the start menu. On the last page you can start our software directly
4.
It is important, that you test all crypt options with unimportant data (test files).
After the test phase of 30 days you must pay the license fee or uninstall our software!
5.
Now you are still asked if you would like to create shortcut's on the desktop and want to open ZIP files with abylon CRYPTZIP.
6.
The software of abylonsoft can be practiced in two variations:
  • Private User (password based):
    The SYMM-System is used as default. There the encryption and access rights done by the input of a password or the input of a 'EC MoneyCard' with chip or 'Health Insurance Card'. As symmetrical encryption algorithms offered the Blowfish- (448 bit) or AES-Algorithm (256 bit) and it is especially suitable for private use or small companies.
  • Companies (X.509 certificate based):
    The HYBRID-System is used as default. There the encryption and access rights based on PKCS-System of RSA with the aid of X.509 certificates. This is suitable for greater enterprises with larger administration. Provided that the intern symmetrical encryption procedure is not set through the operating system; Blowfish (448 bits) and AES (256 bits) are offered.

Select only the company modus (HYBRID-System), if you have a good knowledge of the asymmetric encryption technique and you are a owner of a X.509-certificate. A subsequent change is possible at any time.

7.
In order to take over all modifications on your system and to activate all plugins, the computer must be restarted.
8. | After the restart you find the program icon in the task bar next to the clock. Through a double-click onto the tray icon the abylon MANAGER open itself. You can reach also the modules about a click of the right mouse button.

If you select the point Companies (X.509 certificate-based) you need a certificate (PKCS#12) to encrypt and signing your files. If you don't know, whether you have installed your Own Certificate, start the abylon CERTMANAGER to select or create your Own Certificate. You find guidance to install a certificate on the assistance page

Remove the software

1. | Start Menu: To remove the program from your computer, open in the Start Menu the program group abylonsoft and click on remove.
2. | Alternatively in the System Control Panel: It is also possible to remove the program under System Control Panel > Software button changing/removing.

Deactivate: Unlike the uninstallation also you can deactivate the program without removing. You simply open the page administration in the setting dialog and press the button activate / deactivate. Above the same counter you can activate the program again.

See also

  • Install your Own Certificate
  • abylon SETTINGS (Overview)
  • abylon SELFCERT for creating own X.509 certificate
  • abylon CERTMANAGER for activation of Own Certificate
  • Registration

(c) 2001-2008 abylonsoft (Last Update / Stand 20.02.2007)


abylonsoft: abylon INTERNETCLEANER

abylon SUPPORT / ORDER

For contact (Feedback) and registration (Order a license key or an Offer) offers abylonsoft this dialog, with which you can create an email or text-document (RTF-format).

  • Contact
  • Registration / Offer
  • Software valuation

Contact

1. | Info | Additional Information
2. | Page | Change between the pages Contact, Registration / Offer and Software valuation
3. | Contact | For feedback we need your First Name, Last Name and Email. The information of your complete address is only necessary for the processing of an order or offer. Your data are keep in confidence by abylonsoft!
4. | Selection | Select the concern between Feedback (e.g. Question, Suggestion, Criticism), a order or a offer! For cost reduction we have all information (Current prices, questions, etc.) list on our homepage. Please select wanted product on the Shop page. On the following page, you find further ordering information, for example for companies and students! Help to Activation: See Registration dialog
5. | Question / Suggestion / Criticism | Text box to input of your question, suggestion or criticism.
6. | Newsletter (max. 3x a year) | In the case of activation we send you in irregular distances (maximum 3 times a year) emails with news around abylonsoft and our software
7. | Send a Letter or Fax | Text document (RTF-Format) with your information is generated and opened directly (for example with MS Word). You only need to print out this document, sign it and send it to us by post or fax.
8. | Send as Email | An email is generated and transmitted to your email program. You still send it to us by email only.

Registration / Offer

1. | Page | Change between the pages Contact, Registration / Offer and Software valuation
2. | Numbers of licenses | Declare in this field how many licenses of our software you need. Please read our license agreements and AGB's or contact us directly.
3. | Software-CD | Selection, if you want also a Software CD beside the license keys. Beside to the costs for the CD incurred dispatch charges!
4. | Links | Go to the corresponding pages on our homepage.

Software valuation

1. | Page | Change between the pages Contact, Registration / Offer and Software valuation
2. | Software valuation | The answer of these questions is not urgent but helps us to develop our software still better. Feel free and write a short comment in the field Question / Suggestion / Criticism.
3. | General survey | The answer of these questions is not urgent but helps us to develop our software still better. Feel free and write a short comment in the field Question / Suggestion / Criticism.

(c) 2001-2008 abylonsoft (Last Update / Stand 22.01.2008)


abylonsoft: Possible Settings > Overview

Settings

The software from abylonsoft make the most properties automatically and optimized for the users. Experienced users can change the settings on the following property pages:

  • Explorer PlugIn
  • Manager
  • CryptZip
  • SharedDrive
  • CryptDrive
  • Logon
  • Logon > Extended
  • Logon > System
  • Cryptmail (Outlook)
  • KeySafe
  • Keymanagment
  • Keymanagment > HYBRID-System
  • Keymanagment > SYMM-System
  • Keymanagment > PKI
  • Administration
  • Administration > Protocol
  • Administration > USB-Installation
  • Common
  • CT32 - DLL

According to program version individual pages are invisible!

(c) 2001-2008 abylonsoft (Last Update / Stand 22.01.2008)


abylonsoft: abylon SELFCERT

abylon SELFCERT

This Tool create selfsigned test certificates (X.509 v3) for private use. For example this certificates can be used in many abylonsoft software for encryption or signing.

Functional range:

  • Generation of selfsigned X.509 v3 test certificates
  • Automatic installation after the certificate generation
  • Fields: Owner, Emailadress, Country, City, Organization and Department
  • Key size from 512 to 4096 Bits
  • Runtime up to 9999 days (~27 years)

Window

1. | Certificate owner | Input your name.
2. | Emailadress | Input your email address
3. | State/Province | Input your home state/province.
4. | City | Input your home city.
5. | Organisation | Input your organization, office or company.
6. | Department | Input your division or department.
7. | Country | Input your home country.
8. | Serial number | Random generated serial number which can be chosen also freely.
9. | RSA Key | Length of the generated key in bit (512, 1024, 2048, 3072, 4096). From the key length depend the secure of your data (1024 bits key length are at present standard and 2048 bits correspond to military coding).
10. | Duration (days) | Validity length of the created certificate in days.
11. | Alias | Also knows as...
12. | Create | With this button you start the generation of selfsigned test certificates (X.509 v3). These certificates are only for private use.

Tutorial

The asymmetrical encryption (HYBRID-System) is based on the use of X.509 certificates with a public and private key pair (PKCS). The public key is stored in your PKCS#7-certificate (CRT file) and your private key is stored together with your public key in your PKCS#12-certifiicate (PFX file). The asymmetric module (HYBRID-System) of the abylonsoft software need your public key to encrypted or verify and your private key to decrypt or sign your data.

  • Create your own certificate
  • Install your own certificate

Create your own certificate

The certificates, which are created by abylon SELFCERT are just self signed and for private usage only. These certificates are not authentic, i.e. they are not confirmed by a public certification authority (CA). For an authentic certificate please contact a public authority (CA), for example TC Trustcenter or D-Trust

1. | Start abylon SELFCERT | You can create your self signed certificate (PKCS#12) with few clicks over the module abylon SELFCERT. To start this module, click the following symbol in the MANAGER.
2. | Legal instructions | Before you can create your certificate, you must accept our legal instructions.
3. | Input name, email address, key length and valid time | Please input your name, email address, key length and valid time in the dialog abylon SELFCERT.
4. | Certificate password | You can protect the certificate against unauthorized installing through a password. This password is not the password, that you use to decrypt and sign. This is define at the end of the certificate installation.
5. | Store PFX-file | The created certificate is stored as a PFX-File. Save this file for unauthorized access make a backup copy at floppy disc. In case of reinstallation of your computer, a hard system crash an inadvertent deletion of the certificate your data can be decrypt only with the original certificate. The creating of a certificate with the same specifications does not help, because the corresponding keys are generated by intern random numbers.
6. | Finished | Now you can install / import your new certificate directly into your local certificate database. For this purpose find an introduction under Install your own certificate.

Install your own certificate

1. | Install certificate | For installation of a certificate click on the file with the extension PFX or P12. If you have created a self signed certificate with abylon SELFCERT and you click the button Yes, the installation routine starts automatically.
2. | 2nd page | On 2nd page of the installation assistant the certificate is indicate again.
3. | Input password | On 3rd page of the installation assistant you must enter your password, with which the certificate is protected. If you want to export your certificate later and to protected it with a password, activate the two checkboxes under the password field.
4. | Certificate database | On the 4th page you must select your certificate database, in which the certificates should stored. Please select the radio button Place all certificates into the following store and here the certificate database (depending on operating system) Own Certificates (MY) or My (Private Certificates).
5. | Complete installation | On the last page of the installation assistant all relevant data are indicate again. You close the installation assistant with Complete.
6. | Security level | At the end still the security level must be defined with Set Security Level....
7. | Set password | Here you should select the level 'High'. In this case you can define your own password, which you must enter for each decrypt- and sign- operation.
8. | Finish | Now you have to enter the password and click the button Finish.
9. | At last | To finish the installation of your certificate click OK. Now you find your certificate in the abylon CERTMANAGER in the data base My. Here you can also activate the certificate for all encrypting and signing operations.

(c) 2001-2008 abylonsoft (Last Update / Stand 20.02.2007)


abylonsoft: abylon EXPLORER PLUGIN

abylon EXPLORER > PLUGIN

abylon READER Im Funktionsumfang dieser Version NICHT im Funktionsumfang dieser Version , abylon BASIC Im Funktionsumfang dieser Version , abylon ENTERPRISE Im Funktionsumfang dieser Version and abylon SHREDDER Im Funktionsumfang dieser Version NICHT im Funktionsumfang dieser Version

The abylon EXPLORER PLUGIN is an extension of the File Explorer and offers several modules to encryption, signing, compressing, searching, copying and wiping files. The individual modules can be switched on and off in the settings.

Functional Range:1)

  • Integration in the MS File Explorer (call over right mouse button)
  • abylon PASTE: Optimized copying and moving procedure
  • NEW abylon FIND: Search functionality
  • abylon SHREDDER: Wipe files
  • NEW abylon Dupe Finder: Searching duplicate files
  • abylon CRYPTZIP: Create compressed files
  • abylon HYBRID CRYPT: Certificate-based encryption and signature
  • abylon SYMM CRYPT: Password- and secret based encryption (e.g. Chipcards or USB-Sticks)
  • NEW - Passwordscrambler and Image-Input: Anti-Keylogger function by chop up the password input and the use of image objects for cryptic password sequences
  • Context sensitive display of menu points
  • Menu points can be activate or deactivate
  • Supported PKCS#7 file extension for encryption (CRP, P7M, TBE), signing (SGN, TBS, P7S) and encryption and signing (SME, ASC, PK7, VSP7)

1) According to used software individual modules or functions are not available or supported!

Window

1. | abylon PASTE1) | Optimizes the copying and moving procedure of files
2. | abylon FIND1) | Search for files in the selected folder
3. | abylon SHREDDER1) | Wipe files (maximum after the Peter Gutman Methode with 35 overwrite cycles)
4. | abylon ZIP anlegen1) | Compression of files according the ZIP-format.
5. abylon HYBRID CRYPT1) Certificate-based encryption and signature (support of software- and token-based certificates):
  • CRYPT ASSISTANT: Step by step to a Crypt file
  • Sign: Digital signing of the selected files with your private key (forming of a SGN-file).
  • Compress and Sign: Before the signing all selected files are compressed and archived in a ZIP-file.
  • Encrypt: Asymmetric Encryption with your X.509 Certificate (CRP-File)
  • Compress and Encrypt: All selected files are compressed and add to a ZIP-archive before encryption.
  • Sign and Encrypt (SME for...): Signing and encrypting in one step (forming of a SME-file - only HYBRID-System).
  • Compress, Sign and Encrypt (SME for...): All selected files are compressed and add to a ZIP-archive before signing and encrypting.
  • Open: Temporary open for an signed and / or encrypted file with the correspondingly program (for example DOC-files with Word). Only in the case of modifications the file signed or / and encrypted file will be updated.
  • Verify: Verifying of a signed SGN-file in the current directory.
  • Decrypt: Decoding of an encrypted CRP-file in the current directory.
  • Decrypt and Verify (SME unpack): Decoding and verifying the SME-file in one step (Unpack a SME-file).
  • Verify and Decompress: First verifying and then unpacked of the compressed Zip-archive.
  • Decrypt and Decompress: First encrypting and then unpacked of the compressed Zip-archive.
  • Decrypt, Verify and Decompress (SME): First signing and encrypting and then unpacked of the compressed Zip-archive.
6. abylon SYMM CRYPT1) Password- and secure-based encryption (e.g. Smartcards or USB-Stick). Possible menu options:
  • CRYPT ASSISTANT: Step by step to a Crypt file
  • Encrypt: Encryption with your secret (encryption algorithm AES - 256 Bit or Blowfish - 448 Bit / File extension CR2)
  • Compress and Encrypt: Before encrypting all selected files are compressed and summarized in ZIP archives.
  • Decrypt: Decrypt an encrypted CR2-File in the current folder.
  • Dectypt and Decompress: Decrypt an encrypted CR2-File and following unpack the compressed ZIP Archives.

1) According to used software individual modules or functions are not available or supported!

Tutorial

The different kinds and systems of encryption
Principle can be encrypted for different purpose: By the example of the File Explorer PlugIn abylon CRYPT we show the encryption of files and folders. Beside this abylonsoft offer further special modules, which are describe on separate sides.
If you want protect your data again illegal access (Point I), the password based SYMM-System and the certificate based HYBRID-System can be use. For sending of encryption data to a receiver (Point II) is the certificate based HYBRID-System more practicable.
  • I. Encryption of files for your own eyes only, so that nobody can access that file.
  • II. The encryption of files for another person, for example to send it over the unsafe network or internet to a recipient.

For the company mode (HYBRID-System) a certificate is necessary! For this open the abylon CERTMANAGER.

  • Encryption of own data (SYMM- and HYBRID-System)
  • Encryption for another person (HYBRID-System)

I. Encryption of own data (SYMM- and HYBRID-System)

1. | Settings | Select in the Settings under Explorer PlugIn the encryption algorithm and system. Additionally it can be choosen on the setting-page Keymanagement between the the password based or smartcard based (EC MoneyCard or Health Insurance Card) encryption for the SYMM-System. In case of the HYBRID-System must be define the own certificate in the abylon CERTMANAGER before the encryption and signing. Once this settings are defined, these steps can be dropped in the future!
2. | File Explorer | Open your File Explorer.
3. | Selection of file(s) | Select one or more directories or files, that you want to encrypt. It is also possibly to select files and directories together.
4. | Encryption | Click the right mouse button and select the entry Encrypt in the menu abylon CRYPT or use the CRYPT ASSISTANT.
5. | Compress and Encrypt | If you have chosen Compress and Encrypt, all files are added to a ZIP-archive. Here you must declare the file name and memory location. If you have chosen Encrypt, every file is encoded separately and it can be possible to input the password for each file (certificate based with high safety).
6. | Password input | Now follow the password input. In case of the SYMM-System enter the password in the 1st and 2nd field or insert the 'EC MoneyCard' or 'Health Insurance Card' in the card reader. In case of the HYBRID-System insert only the certificate smartcard in the card reader. The files get the name FILE.CR2 (compressed FILE.ZIP.CR2) for the SYMM-System and FILE.CRP (compressed FILE.ZIP.CRP) for the HYBRID-System. According to attitude the original files are deleted.
7. | Decryption or open | The encrypted files can be decrypted through a double-click onto the file or over the menu item Decrypt. If you would like to open the file without permanently decryption, selectthe Open. The files are decrypted temporary and opened with the associated program DOC files for example with WinWord). If the file contend change, the encoded file will be updated in the background. You can also encrypt and sign your files over the module abylon CRYPTZIP (BASIC and ENTERPRISE-Version). The modules abylon CRYPTDRIVE or abylon SHAREDDRIVE (only ENTERPRISE Version) offer an easy method to encrypted save the data on the hard disk.
8. | Define the authorized certificates (HYBRID system) | During the first opening of the abylon SHAREDDRIVE (HYBRID-System) your certificate is assigned automatically to the drive. If you don't selected an own certificate, our software creates one for you. The changing or adding of certificates can be done in the abylon CERTMANAGER. Make a copy from your certificates and don't delete your own certificate!

II. Encryption for another person (HYBRID-System)

The asymmetric encryption (HYBRID-System) has great advantages for sending files over unsafe channels (like internet). In this case the recipient must not inform about the password. Only the public key of the recipient is used for the encryption. Just the owner of the corresponding private key can decrypt the data. For this purpose we offer the creating of SME-files (Secure Message Envelope). The following steps show you the instruction:

1. | Settings | Select in the Settings under Explorer PlugIn the HYBRID-System as Default-Encryption-ALG. If you don't select your own certificate until yet, open the abylon CERTMANAGER and define it. If this settings are define once, these step can be dropped in future!
2. | File Explorer | Open your File Explorer.
3. | Selection of files | Select one or more directories or files, that you want to encrypt. It is also possibly to select files and directories together.
4. | Encryption | Click the right mouse button and select the entry Sign and Encrypt (SME for...) in the menu abylon CRYPT or use the CRYPT ASSISTANT.
5. | Selection of the recipient certificate | At first select the certificate (public key) of the recipient. You can select also more than one certificate or search for online certificates on a LDAP server (only ENTERPRISE-Version).
6. | Compressing and Encryption | If you have chosen Compress, Sign and Encrypt (SME for...), all files are added to a ZIP-archive. Here you must declare the file name and memory location. If you have chosen Encrypt, every file is encoded separately and it can be possible to input the password for each file (certificate based with high safety).
7. | Password input | Insert your certificate smartcard or the USB-tokens and enter the password for singing. The files have the name FILE.SME (compressed: FILE.ZIP.SME). Independent of the attitude the original files are not deleted.
8. | Enamel dispatch | The encoded file can send directly as attachment of an email. Press the button Yes. The encrypted data are passed over the MAPI-surface to your email program. If you are online, you can send the email directly. According to the settings this dialog can be deactivate.
9. | Email-program | The encrypted files are send directly to your email program (over MAPI). If you're online you can send the email instantly.
10. | Decrypting or Opening | Only the recipient with the corresponding certificate (Private Key) can decrypt this file! The recipient needs minimum the free READER-Version. abylonsoft offers with abylon CRYPTMAIL also a PlugIn for Microsoft Outlook (2000, XP and Vista), to encrypt and sign files together with your email body (ENTERPRISE-Version).

See also

  • abylon CERTMANAGER
  • abylon PASTE
  • abylon FIND
  • abylon SHREDDER
  • abylon CRYPTZIP
  • abylon CRYPTMAIL (Window)
  • abylon CRYPTMAIL (Outlook-AddIn)
  • abylon CRYPT ASSISTANT

(c) 2001-2008 abylonsoft (Last Update / Stand 22.01.2008)


abylonsoft: abylon KEYEXCHANGE

ablyon KEYEXCHANGE

Only abylon ENTERPRISE Im Funktionsumfang dieser Version

With this module you can send your public key (PKCS#7) to another person simply by email. This person can encrypt but not decrypt data for you. Furthermore the receiver can verify your signature after the installation of your public certificate. Alternatively you can directly send your public certificate over the abylon CERTMANAGER to another person by email. In that case the CRT file is directly send and not like here a signed data sequence.

Window

1. | To: | Click this button, to select the receiver in your address book.
2. | Email adress | Field to input or edit the email address of the receiver.
3. | Send my Public Key by Email | Click this button, to create a signed message with your public key and send it to the receiver. The receiver need also the software from abylonsoft (e.g. freeware version), to unpack your signed AXX file.

Tutorial

1. | Open KEYEXCHANGE | Open the abylon MANAGER and click on the following symbol (icon) abylon KEYEXCHANGE.
2. | Send my public key by email | Enter the receiver email address and press the button Send my public key by email.
3. | Input password | If you protected your own certificate with high security, you must enter your password.
4. | Public key as attachment | Your default email client will show you the automatically generated email with your public key My PublicKey.axx as attachment. If you want, you can modify or add extra text for your partner.
5. | Receiver gets your public key | If the receiver open your public key attachment with software from abylonsoft, your public key for encryption will be add automatically in his local certificate database. From now, the recipient can send encrypted files to you.

See also

  • abylon CERTMANAGER

(c) 2001-2008 abylonsoft (Last Update / Stand 20.02.2007)


abylonsoft: abylon LDAP

abylon LDAP

Only abylon ENTERPRISE Im Funktionsumfang dieser Version , abylon KEYSAFE Im Funktionsumfang dieser Version , abylon CRYPTDRIVE Im Funktionsumfang dieser Version , abylon SHAREDDRIVE Im Funktionsumfang dieser Version and abylon CRYPTMAIL Im Funktionsumfang dieser Version

In this dialog you can connect to different LDAP-server or CA's and search (online) for public keys (PKCS#7). For this purpose an Internet connection is necessary

Functional range:

  • Connect to LDAP directory server
  • Free search and search for name or email address possible
  • Anonymous or connection with authentication
  • Revocation list checking

Window

1. | LDAP-certificate(s) | This list show you the result of your query and list all public certificates, that are found on the LDAP-Server. You can select one or more entries to save in your local LDAP - Database.
2. | LDAP-Server | Address (URL) from your LDAP-Server. Some example German LDAP-Servers are added.
3. | Port | Port number from your LDAP-Server. The most LDAP-Servers working with Port 389. For more details, ask your LDAP-Provider.
4. | Search Base | Every LDAP-server requires a specific syntax for the search. Each Server has different entries, therefore contact your LDAP-Provider for this technical information.
5. | Search options | You can be chose, if you search for names or email address. A free search is also possible, but you must know the correct search syntax (for example CN=Name).
6. | Search value | Enter the search string in this field. Any Name like Thomas* for example. Wildcards are allowed.
7. | Use authentification | Check this, if you should have to identify yourself for the search query with a password.
8. | Check certificate(s) in revocation list | In case of activation all certificates are checked on the revocation list.
9. | Clear history | Replace all LDAP server by the default values.
10. | Search | By clicking the request onto the LDAP server starts. The search operation can take some minutes.
11. | Accept | Add all selected certificates from the list in your local LDAP Data base.
12. | Status bar | Display a short information about the selected certificate.

Tutorial

Companies and Trustcenter offer a Public Key Infrastructure PKI, over which public keys can be called up. Thus provide the possible to encrypt for a person, without key exchanging before. With abylon LDAP you can access these certificate listings.

1. | Open | In abylon CERTMANAGER with the Add LDAP the dialog abylon LDAP open.
2. | LDAP-Server | In this dialog some data are to be entered to the LDAP server and the Searchbase. Alternatively you can select one of the given LDAP servers (e.g. TC Trustcenter or D-Trust).
3. | Searchbase | Enter the looking for name or email and press Search. You can use Wildcards (Stars *), but however the LDAP server breaks off with a exceeding of a maximum number of found entries with an error message. In this case you must limit the search criterion further.
4. | Result | In the upper list all search results are indicated. Select the desired certificates (for multiselecting press STRG key) and transfer these with Accept to abylon CERTMANAGER.
5. | Local saving | The selected entries find you now in the certificate data base LDAP (Online certificates). You can use these now for encryption. The public key remains to you for the next encryption, so that a rescan on the LDAP server is not necessary. For an off-line availability copy the LDAP certificate from the data base LDAP into the data base MY. If you encrypt files with the public key from an other person (certificate), just the receiver can decrypt the files. You need the private key to decrypt the files.

See also

  • abylon CERTMANAGER

(c) 2001-2008 abylonsoft (Last Update /Stand 12.09.2006)


abylonsoft: abylon Settings > Keymanagment > PKI

Settings > Keymanagment > PKI

Setting-page for the SmallPKI and file based certificate database (FilePKI). These are shown as separate points in the abylon CERTMANAGER and allow the exchange of public keys in the network. With this modules is it possible to use the public keys of your co-workers for encryption, for example. Also the multi-user access on an abylon SHAREDDRIVE (HYBRID-System)assume the availability of each authorized customer public key.

According to program version individual properties can be missing or varying!

Fenster

1. | Small PKI activate / deactivate | Activate or deactivate the Small PKI (registry-based) and the file File PKI (file-based) certificate database in the abylon CERTMANAGER.
2. | Refresh | Update the settings.
3. | Small PKI Server | Input field for the server, where the certificates are stored in the Registry under HKLM.
4. | Available databases | Show all available certificates database on the server (point 3.
5. | Add | Adds the selected database from the left to the right list. Normally the database MY is enough.
6. | Remove | Remove the selected database from the right list.
7. | Selected databases | This database are shown in the abylon CERTMANAGER under Small PKI.
8. | Filebased Certificate Database | In order to be independent of the Windows certificate database we support a file based certificate database. This file can be stored on a server for a net connection. At this time only public keys can be stored in this database. The private keys must be available local, for example on an external token.

Tutorial

1. Small PKI The accessibility to the network public key infrastructure (Small PKI) of abylonsoft allow a central access to all needed certificates (public keys). Especially in small and middle networks (up to 50 computers) the administrative expenditure is reduced and furthermore no high-cost LDAP-server are needed.

If this module is active, the abylon CERTMANAGER show the Small PKI as new point. About this every user have an easy access to all certificates (also over the net). For this purpose the certificates are stored on the server (point 3) in the Registry under HKLM. (Note the authorizations in the Registry!)
2. File based certificate database (File PKI) Also the File PKI allow the central access to public keys. Compared to the Small PKI the certificates are stored in a file (Extension STO). This file can be store on a local or net computer.

If this module is active, the abylon CERTMANAGER shows the File PKI as new point. About this every user has an easy access to all public keys. The memory location is indicated under point 8.

For example the file based database can managed centrally by an administrator. In case of changes this file can be distribute to all computers. This allow the use of computers, which are not in the company network all the time (for example notebooks).
3. Administration of PKI The Small- and File PKI are indicated in the COPY or INSERT. With that modules we offer central interfaces for public keys.

See also:

  • abylon CERTMANAGER
  • Exchange of public keys

(c) 2001-2008 abylonsoft (Last Update / Stand 12.09.2006)


abylonsoft: abylon CRYPTDRIVE > Options

abylon CRYPTDRIVE (Virtual drive)

Only abylon ENTERPRISE Im Funktionsumfang dieser Version and abylon CRYPTDRIVE Im Funktionsumfang dieser Version

On the computer stored files can arrive on various way into the wrong hands. Only the encryption of the data can prevent this. The abylon CRYPTDRIVE offers a simple procedure to create encrypted drives, the so-called container. By the using of the encryption algorithm Blowfish (448 bits) or AES (256 bits) the files and programs are secure for unauthorized access. The access over the File Explorer is only possible, if the encrypted drive is mounted. The encryption and decryption of files works automatically and in the background. As secret to open the CRYPTDRIVE you can enter a password over the keyboard or alternatively you use a Smartcard, CD or a USB-Stick.
In the company environment also the access authorizations can be administered over certificates. Numerous certificate Smartcards or USB-Token are supported.

Functional range:

  • Encryption with Blowfish- (448 Bit) or AES-Algorithm (256 Bit)
  • Perfect integration as drive in the File Explorer
  • Supported secrets (Keys) for access authorizations:
    • SYMM-System
      • Password over the keyboard
      • Chipcards (e.g. 'EC MoneyCard' (with chip) or 'Health Insurance Cards')
      • External storage media (e.g.USB-Stick)
      • CDs/DVDs
      • Combination of password and token
      • NEW - 4Eye-System
    • HYBRID-System
      • X.509 software Certificates
      • Certificates on Smartcard or USB-Token
  • Size nearly unlimited (until 128 GB tested and approved)
  • The encrypted image files can be divided in up to 100 partitials (Supporting of partitials larger than 4 GB)
  • Possible to administrate hot keys
  • The encrypted Image-Files can be stored on a local or network computer (Client or Server)
  • On the server no software is necessary
  • Over the network the transfer of the data is always encrypted
  • NEW - Passwordscrambler and Image-Input: Anti-Keylogger function by chop up the password input and the use of image objects for cryptic password sequences
  • NEW - In case of changing the path, the CRYPTDRIVE will move automatically
  • NEW - Automatically update to new versions
  • NEW - Improved Administration in companies

Window

1. | Name | Here you can declare the name for the virtual drive, which is indicated in the File Explorer.
2. | Driveletter | Define the Letter, that is indicate in the File Explorer.
3. | Size (MB) | Input field for the size of the drive in MB (tested up to 128 GB). The size can be specified only while creating a drive and before the registration it is restricted to 100 MB.
4. | Partials | Number of the parts in which the Image file is split-up on the hard disk. This is necessary because the maximum size of a file is restricted up to 2 and/or 4 GB. The splitting of the image-file performance the backup!
5. | ... | This button open a dialog to select a new directory for your image file.
6. | Open own explorer window | The open CRYPTDRIVE is show in a new windows explorer dialog.
7. | Add / Accept | Save the new values and close this dialog.

Tutorial

  • Create a new CRYPTDRIVE
  • Saving encrypted files

Create a new CRYPTDRIVE

1. Setting dialog

Open the page CryptDrive in the setting dialog.
2. Encryption Settings Select the wanted Encryption Algorithm (Default Encryption ALG) under point 11.
The access right are managed in case of the SYMM-System (recommended for private customers) by passwords (or EC MoneyCard / Health Insurance Card) and in case of the HYBRID-System (for companies) by X.509-certificates.
3. | Add | Click on the button Add to display the setting dialog.
4. Setting dialog

Following settings for the new drive are possible:

  • Name: Drive name
  • Größe: the size in MByte
  • drive letter: The drive letter, which is shown in the File Explorer
  • storage location: With ... the directory will be choosen in which the drive will be stored (Network UNC-Path!)
  • Patitials: Quantity of the files in which the drive will be divided
With Add the dialog will close and the new drive will be add to the list.

In the 30 days test phase of this software only one drive can be created and the maximum size of the drive is limited to 100 MByte. In the licensed version is it possible to create up to 10 drives with a nearly unlimited size (64 GB tested).
5. | Input the Password | In case of the password based abylon CRYPTDRIVE (SYMM-System) input your password double or insert your 'EC MoneyCard' or 'Health Insurance Card'. In case of the certificate based abylon CRYPTDRIVE (HYBRID-System) insert your certificate smartcard or USB-token an enter the corresponding password. If a software certificate with high security is use the input of the password it also necessary.
6. Format
During the first opening the drive will be formated. Depending on the size of the drive the format process takes up to several minutes.
7. | Close | For the closing of the virtual drive you have to click on the button Close (unmount) in the abylon CRYPTDRIVE Dialog. You can also create shortcuts on your desktop to open and close the virtual drive. If your drive closed, nobody (include yourself) have access to it.
8. | Import | With Import it is possible to import drives which are created in the past.
9. | Edit | With Edit it is possible to change the settings of the selected drive.
10 | Remove | With Remove it is possible to remove just the entry in the list (Links) or delete the complete abylon CRYPTDRIVE (All).
11. HYBRID-System

If you use the HYBRID-System based CRYPTDRIVE your certificate is added in the list of the authorizes user. The certificate can be store on your computer or on a chipcard/token. In the abylon CERTMANAGER additional persons can be added as authorizes user.

Saving encrypted files

1. | Setting dialog | Open the setting dialog and switch to page Cryptdrive).
2. | Open | Selection of the CRYPTDRIVEs and press the button Open.
3. | Password input | Input of the "Secret" (password, PIN, chipcard, CD/DVD or USB-Tocken)
4. | File Explorer | The encrypted drive will be opened in a new File Explorer.
5. | Work | It is possible to create files, save or copy them as usual. The encrpytion of the files automaticly takes place in the background without any further instructions of the user.
6. | Close | You can close the drive with Close in the setting dialog.

See also

  • Description of abylon CRYPTDRIVE

(c) 2001-2008 abylonsoft (Last Update / Stand 22.01.2008)


abylonsoft: abylon Settings > CryptDrive

Settings > CryptDrive

Setting-page for the abylon CRYPTDRIVE; the container based encrypted drive.

According to program version individual properties can be missing or varying!

Window

1. | Activate / Deactivate Data Drive | Activates or deactivates the abylon CRYPTDRIVE.
2. | Refresh | Update the settings.
3. | Open / Close | Open or close the 4 selected drive.
4. Current connection profiles List of connections to all abylon CRYPTDRIVE on the computer, with size, drive letter and initial folder.
  • Opened CRYPTDRIVE
  • Closed CRYPTDRIVE
5. Create desktop shortcut With this menu point it is possible to create icons (shortcuts) for opening and closing of abylon CRYPTDRIVES on the desktop.

These icons can be copied also into the start menu. So that the encrypted drive open automatically after starting the operating system.
6. | Add | Click this button, to create a new virtual encrypted drive.
7. | Import | Click this button, to import an existing image file from your hard disk or server.
8. | Edit | Click this button, to change some parameters of your virtual drive.
9. | Remove | Click this button, to remove just the entry in the list (Links) or delete the complete abylon CRYPTDRIVE (All).
10. Change password / Change Default Encryption ALG Change the "Secret" of the selected CRYPTDRIVE
Password, chip card, USB-Stick or certificates can be used as a secret (Keymanagement). The new Keymanagement are defined in the settings before!

Possible Changes:

  • Change password: Defining new password or chip card.
  • SYMM >> HYBRID: Change from the password based to the certificate based Keymanagement.
  • HYBRID >> SYMM: Change from the the certificate based to password based Keymanagement.

Overview settings:

Default Encryption ALG / Keymanagement |  | New Secret (Keymanagement)
 |  | SYMM-System / Password based | SYMM-System / Chip card- or USB memory medium based | HYBRID-System
Previous Secret (Keymanagement) | SYMM-System / Password based | Change Password | Change Password | SYMM >> HYBRID
 | SYMM-System / Chip card- or USB memory medium based | Change Password | Change Password | SYMM >> HYBRID
 | HYBRID-System | HYBRID >> SYMM | HYBRID >> SYMM | Changes in the CERTMANAGER possible

See also procedure to change the "Secret" (Keymanagement)
11. Default Encryption ALG Selected encryption system and the used encryption algorithm.

At this time possible settings for the abylon CRYPTDRIVE:

  • SYMM-AES: Password based symmetrical encryption with the AES-algorithm (256 bit key length)
  • SYMM-Blowfish: Password based symmetrical encryption with the Blowfish-algorithm (448 bit key length)
  • HYBRID-AES: Certificate based asymmetrical key administration according to the PKCS-procedure of RSA and internal data encryption with the AES-algorithm (256 bit key length)
  • HYBRID-Blowfish: Certificate based asymmetrical key administration according to the PKCS-procedure of RSA and internal data encryption with the Blowfish-algorithm(448 bit key length)
  • SYMM-AES: Password based symmetrical encryption with the AES-algorithm (256 bit key length)
  • SYMM-AES 4Eye-System: Password based symmetrical encryption with the AES-algorithm (256 bit key length). At 4Eye-system must 2 passwords entered.
  • SYMM-Blowfish: Password based symmetrical encryption with the Blowfish-algorithm (448 bit key length)
  • SYMM-Blowfish 4Eye-System: Password based symmetrical encryption with the Blowfish-algorithm (448 bit key length). At 4Eye-system must 2 passwords entered.
  • SYMM-AES & Blowfish: Password based symmetrical encryption with the AES-algorithm (256 bit key length) and then with the Blowfish-Algorithmus (448 bit key length).
  • SYMM-AES & Blowfish 4Eye-System: Password based symmetrical encryption with the AES-algorithm (256 bit key length) and then with the Blowfish-Algorithmus (448 bit key length). At 4Eye-system must 2 passwords entered.
  • HYBRID-AES: Certificate based asymmetrical key administration according to the PKCS-procedure of RSA and internal data encryption with the AES-algorithm (256 bit key length)
  • HYBRID-Blowfish: Certificate based asymmetrical key administration according to the PKCS-procedure of RSA and internal data encryption with the Blowfish-algorithm(448 bit key length)
  • HYBRID-AES & Blowfish: Certificate based asymmetrical key administration according to the PKCS-procedure of RSA and internal data encryption with the AES-algorithm (256 bit key length) and then with the Blowfish-Algorithmus (448 bit key length).

In the abylon Keymanagement you can define the using of passwords, bank- or health insurance in case of the SYMM-System
12. | Remove | Click this button, to remove an entitled certificate (PKCS#7 or PKCS#12) in the access list of the selected virtual drive. Your Own Certificate couldn't be removed.
13. | Add | Click this button, to add an entitled certificate (PKCS#7 or PKCS#12) in the access list of the selected virtual drive. You can select any other certificate in the abylon CERTMANAGER.
14. | Info | Click this button, to get information about the selected certificate.
15. | Certificate list | This list view show all entitled certificates (PKCS#7 or PKCS12) for the selected virtual drive.

Tutorial

  • Procedure to change the "Secret" (Keymanagement)
  • Create shortcuts on the desktop

Procedure to change the "Secret" (Keymanagement)

1. | Open the setting dialog and switch to page Cryptdrive
2. | Choose the new settings how the encryption system (Default Encryption ALG) should act. Optional on page Keymanagement in case of SYMM-System (Password based or Chipcard based)
3. | Select CRYPTDRIVE in the list
4. | Press the Button Change password, SYMM >> HYBRID or HYBRID >> SYMM (The button is displayed in the settings; see table)
5. | Input of the previous "Secret" (password, PIN, chipcard, CD/DVD or USB-Token)
6. | Input of the new "Secret" (passwort, PIN, chipcard, CD/DVD or USB-Token) In case of the certificate based HYBRID-System the authorized certificates are defined in the abylon CERTMANAGER!

Create shortcuts on the desktop

1. | Open the Setting dialog and switch to page Cryptdrive)
2. | Select CRYPTDRIVE in the list
3. | In the menu of the right mouse button select the point Create desktop shortcut.
4. | You'll find two new icons on the desktop. One for opening and another to close the corresponding drive. For automatic mount of an drive after starting up the system, the icon (shortcut) must be copied in the Autostart-folder. (Start > Programms > Autostart)

See also

  • Help to create an abylon CRYPTDRIVE
  • Description of the abylon CRYPTDRIVE (virtual drive)
  • abylon CERTMANAGER
  • LDAP Manager
  • Setup an handling of the abylon CRYPTDRIVE
  • abylon Keymanagement

(c) 2001-2008 abylonsoft (Last Update / Stand 23.02.2007)


abylonsoft: abylon CRYPTMAIL > Outlook Plugin

abylon CRYPTMAIL > Outlook Plugin

Only abylon ENTERPRISE Im Funktionsumfang dieser Version and abylon CRYPTMAIL Im Funktionsumfang dieser Version

Sending never again unencrypted emails. With abylon CRYPTMAIL offer abylonsoft an user interface and an Outlook AddIn for email encrypting (incl. attachments). Only the owner of the private key (HYBRID-System) or the correct password (SYMM-System) can open and read this email. For any other person the content is locked.

Alternatively exist an email surface for clients with MAPI binding. (see also Links)

Functional range:

  • Perfect integration in MS Outlook
  • Symmetrical encryption (SYMM-System)
  • Asymmetrical encryption (HYBRID-System)
  • Supported secrets (keys) for the encryption:
    • SYMM-System
      • Password over the keyboard
      • chipcard (e. g. EC- cash card or 'health insurance card')
      • External storage media (e. g. USB-Token)
      • CDs/DVDs
      • NEW - 4Eye-System
  • HYBRID-System
    • X.509 software certificate
    • Keymanagement based on (smartcard and USB-Token support)
  • Signing and coding (SME) with one click (also for several receivers)
  • Encryption with blowfish- (448 Bit) or AES algorithm (256 Bit)
  • Store of the encrypted messages in the p.o. box possible
  • Decoding of the email messages also with the freeware abylon READER (after saving on hard disk)
  • NEW - Passwordscrambler and Image-Input: Anti-Keylogger function by chop up the password input and the use of image objects for cryptic password sequences

Window

1. | SYMM-Encryption | Encryption with a secret (e. g. password, USB-Token or CD / CR2-File)
2. | SYMM-Decryption | Decryption of an symmetrical encrypted file with a secret. (e. g. password, USB-Token or CD / CR2-File)
3. | HYBRID-Encryption | Asymmetrical encryption with your X.509 certificate. (CRP-File)
4. | HYBRID-Decryption | Decryption of an asymmetrical encrypted file with your X.509 certificate. (CRP-File)
5. | Signing | Digital signing of a file with your certificate. (SGN-File)
6. | Verify | Verifying of a signed filed. (SGN-File)
7. | Signing an Encryption (SME) | Create a 'Secure Message Envelope' with signing and encryption in one step. (SME-File)
8. | Decryption and verification (SME unpack) | Decryption and verification of a 'Secure Message Envelope' in one step. (SME-File)
9. | abylon settings | Opens the setting dialog
10. | abylon help | Opens the case sensitive help file.

Tutorial

1. Email encryption (SYMM-System)
  1. Create an email message, add all receiver email addresses and attachments.
  2. Press button SYMM-Encryption.
  3. Input of the encryption password or Token.
  4. Press button Send.
2. Signing (SME for...) an email
  1. Create an email message, add all receiver email addresses and attachments.
  2. Press button Sign and encrypt (SME for...).
  3. Choose the public keys for the receivers in the abylon CERTMANAGER. This process will be finished with pressing button Select.
  4. Under certain conditions input of your certificate password for signing the email.
  5. Press button Send.
3. Decryption and / or verify an email
  1. Choose the decryption and / or verifying of an email in Outlook.
  2. Press button SYMM-decryption, HYBRID-decryption, Verifying or Encryption and Verifying (SME unpack).
  3. Under certain conditions input of your certificate password or USB-Token for decryption and / or verify an email.

See also

  • abylon CRYPTMAIL (MAPI - SME Email)
  • abylon CRYPTMAIL settings

(c) 2001-2008 abylonsoft ( Stand 20.02.2007)


abylonsoft: abylon FIND

abylon FIND

abylon READER NICHT im Funktionsumfang dieser Version abylon BASIC Im Funktionsumfang dieser Version abylon ENTERPRISE Im Funktionsumfang dieser Version abylon SHREDDER Im Funktionsumfang dieser Version

Functionality of abylon FIND is an extension of the File Explorer for searching and finding files and folders.

Functional range:

  • Extension of the File Explorer for searching and finding files and folders
  • Searching of file content
  • Wildcards support
  • Drag&Drop support

Window

1. | abylon FIND | Search files and folders
2. | Insert the searching criteria | Input field for file and folder name. Wildcards are allowed!
3. | Contained text | Input field for a search string within files Field can be clear!
4. | Search | Start the search.
5. | Finding | List of all files and folders, which correspond to the search criteria. Here individual files can be opened and deleted.

Tutorial

1. Search of files
  1. Open the File Explorer and change into directory of your choice.
  2. abylon FIND Select in the menu (right mouse button) the point abylon FIND.
  3. Fill in your search criteria on the left side. (Wildcards are allowed)
  4. Click the button Search
  5. All files and folders listed in the right field, which correspond to the search criteria. Here individual files can be opened and deleted.

See also

  • Activate and deactivate abylon FIND on side 'Explorer PlugIn'

(c) 2001-2008 abylonsoft ( Update / Stand 12.09.2006)


abylonsoft: abylon KEYSAFE > Options

abylon CRYPTDRIVE (Virtual drive)

Only abylon ENTERPRISE Im Funktionsumfang dieser Version and abylon CRYPTDRIVE Im Funktionsumfang dieser Version

On the computer stored files can arrive on various way into the wrong hands. Only the encryption of the data can prevent this. The abylon CRYPTDRIVE offers a simple procedure to create encrypted drives, the so-called container. By the using of the encryption algorithm Blowfish (448 bits) or AES (256 bits) the files and programs are secure for unauthorized access. The access over the File Explorer is only possible, if the encrypted drive is mounted. The encryption and decryption of files works automatically and in the background. As secret to open the CRYPTDRIVE you can enter a password over the keyboard or alternatively you use a Smartcard, CD or a USB-Stick.
In the company environment also the access authorizations can be administered over certificates. Numerous certificate Smartcards or USB-Token are supported.

Functional range:

  • Encryption with Blowfish- (448 Bit) or AES-Algorithm (256 Bit)
  • Perfect integration as drive in the File Explorer
  • Supported secrets (Keys) for access authorizations:
    • SYMM-System
      • Password over the keyboard
      • Chipcards (e.g. 'EC MoneyCard' (with chip) or 'Health Insurance Cards')
      • NEW External storage media (e.g.USB-Stick)
      • NEW CDs/DVDs
      • NEW Combination of password and token
    • HYBRID-System
      • X.509 software Certificates
      • Certificates on Smartcard or USB-Token
  • Size nearly unlimited (until 128 GB tested and approved)
  • The encrypted image files can be divided in up to 100 partitials (NEW Supporting of partitials larger than 4 GB)
  • Possible to administrate hot keys
  • The encrypted Image-Files can be stored on a local or network computer (Client or Server)
  • On the server no software is necessary
  • Over the network the transfer of the data is always encrypted

Window

1. | Name | Field for the KEYSAFE destination.
2. | ... | This button open a dialog to select a directory for your KEYSAFE.
3. | Open in Read-only mode | If this option is activated, the KEYSAFE can open in the Read-only modus only. In this case changes are not possible. This option is only after the creation of KEYSAFE available. Write-protected KEWYSAFEs are yellow.
4. | Add / Accept | Create a new KEYSAFE or accepts the changes.

Tutorial

  • Create a new CRYPTDRIVE

Create a new CRYPTDRIVE

1. Open the settings dialog

Open the settings dialog page Keysafe.
2. Encryption settings Wählen Sie unter Default Encryption ALG den gewünschten Verschlüsselungsalgorithmus aus.
Die Zugriffsberechtigung beim SYMM-System (für Privatanwender empfohlen) erfolgt mittels Passwort, EC-Karte oder USB-Stick und beim HYBRID-System (für Firmen) durch X.509-Zertifikate.
3. | Neu anlegen | Mit Neu anlegen wird der Optionsdialog geöffnet.
4. Optionsdialog

Es lassen sich folgende Eigenschaften des neuen Laufwerks festlegen:

  • Name: Name des neuen Laufwerks
  • Speicherort: Mit ... wird das Verzeichnis ausgewählt, wo der KEYSAFE gespeichert wird.
  • Schreibschutz: Schutz gegen Änderungen
Mit Neu anlegen wird der KEYSAFE angelegt und der Dialog geschlossen.

In der Testphase dieser Software ist die Anzahl der Einträge auf 5 begrenzt.
5. | Passworteingabe | In Abhängigkeit der Einstellungen muss nun ein neues Passwort eingeben (SYMM-System), einen USB-Stick einlegen (SYMM-System) oder die PIN für das Zertifikat eingeben (HYBRID-System) werden.
6. | Öffnen | Mit Öffnen im Einstellungsdialog wird der KEYSAFE geöffnet und neue Einträge können vorgenommen werden.
7. Importieren / Bearbeiten Mit Importieren können bereit vorhandene KEYSAFEs importiert werden.
Über Bearbeiten können die Einstellungen des ausgewählten KEYSAFE geändert werden.
8. HYBRID-System

Bei zertifikatsbasierten KEYSAFEs (HYBRID-System) müssen Sie im Besitz eine Zertifikatschipkarte sein oder auf Ihrem Rechner ein Softwarezertifikat installiert haben.
Im abylon CERTMANAGER wird der KEYSAFE aufgeführt. Mit Kopieren und Einfügen können Zertifikate hinzugefügt und mit Löschen gelöscht werden.
2. Encryption Settings Select the wanted Encryption Algorithm (Default Encryption ALG) und point 11.
The access right are managed in case of the SYMM-System (recommended for private customers) by passwords (or EC MoneyCard / Health Insurance Card) and in case of the HYBRID-System (for companies) by X.509-certificates.
3. | Add | Click on the button Add to display the setting dialog.
4. Setting dialog

Following settings for the new drive are possible:

  • Name: Drive name
  • Größe: the size in MByte
  • drive letter: The drive letter, which is shown in the File Explorer
  • storage location: With ... the directory will be choosen in which the drive will be stored (In a Networkim the UNC-Path is needed!)
  • Patitials: Quantity of the files in which the drive will be divided
With Add the dialog will close and the new drive will be add to the list.

In the 30 days test phase of this software only one drive can be created and the maximum size of the drive is limited to 100 MByte. In the licensed version is it possible to create up to 10 drives with a nearly unlimited size (64 GB tested).
5. | Input the Password | In case of the password based abylon CRYPTDRIVE (SYMM-System) input your password double or insert your 'EC MoneyCard' or 'Health Insurance Card'. In case of the certificate based abylon CRYPTDRIVE (HYBRID-System) insert your certificate smartcard or USB-token an enter the corresponding password. If a software certificate with high security is use the input of the password it also necessary.
6. Format
During the first opening the drive will be formated. Depending on the size of the drive the format process takes up to several minutes.
7. | Close | For the closing of the virtual drive you have to click on the button Close (unmount) in the abylon CRYPTDRIVE Dialog. You can also create shortcuts on your desktop to open and close the virtual drive. If your drive closed, nobody (include yourself) have access to it.
8. Import / Edit With Import it is possible to import drives which are created in the past.
With Edit it is possible to change the settings of the selected drive.
9. HYBRID-System

You have to be the owner of an certificate chipcard or a software certificate musb be installed on your computer for certificate based CRYPTDRIVE's (HYBRID-System).
In the Setting dialog in the list Authorized Certificates certificates of autorized people can be added with Add or delete them with the button Remove. This functionality is also offered in the abylon CERTMANAGER.

1. Setting dialog

Open the page CryptDrive in the setting dialog.
2. Encryption Settings Select the wanted Encryption Algorithm (Default Encryption ALG) under point 11.
The access right are managed in case of the SYMM-System (recommended for private customers) by passwords (or EC MoneyCard / Health Insurance Card) and in case of the HYBRID-System (for companies) by X.509-certificates.
3. | Add | Click on the button Add to display the setting dialog.
4. Setting dialog

Following settings for the new KEYSAFE are possible:

  • Name: Drive name
  • Storage location: With ... open a dialog to select the directory where the KEYSAFE will be stored (Network UNC-Path!)
  • Read-only modus: Write protection against changes
With Add the dialog will close and the new KEYSAFE drive will be add to the list.
5. | Input the Password | In case of the password based abylon KEYSAFE (SYMM-System) input your password double or insert your 'EC MoneyCard' or 'Health Insurance Card'. In case of the certificate based abylon KEYSAFE (HYBRID-System) insert your certificate smartcard or USB-token an enter the corresponding password. If a software certificate with high security is use the input of the password it also necessary.
6. KEYSAFE
The KEYSAFE dialog open and new can be created.
7. | Import | With Import it is possible to import a KEYSAFE.
8. | Edit | With Edit you can change the KEYSAFE options.
9. | Remove | With Remove it is possible to remove just the entry in the list (Links) or delete the complete abylon KEYSAFE (All).
10. HYBRID-System

If you use the HYBRID-System based KEYSAFE your certificate is added in the list of the authorizes user. The certificate can be store on your computer or on a chipcard/token. In the abylon CERTMANAGER additional persons can be added as authorizes user.

See also

  • Description of abylon KEYSAFE

(c) 2001-2008 abylonsoft (Last Update / Stand 22.01.2008)


abylonsoft: abylon KEYSAFE

abylon KEYSAFE

Only abylon ENTERPRISE Im Funktionsumfang dieser Version and abylon KEYSAFE Im Funktionsumfang dieser Version

Description abylon KEYSAFE

abylon KEYSAFE is a password manager for a simple administration of passwords, access data, accounts or further information. The whole data is encrypted with the Blowfish- (448 bit) or AES-algorithm (256 bit) in one XML-File. In case of the SYMM-System, the access to the abylon KEYSAFE occurs with a password, 'EC Moneycard' or 'Health Insurance Card'. In case of the HYBRID-System the access management with X.509 certificates (Smartcard and USB-Token support) occurs. The software supports Drag&Drop and a abylon KEYGENERATOR to create secure passwords for your applications and internet.

Functional range:

  • Administration of passwords, accounts...
  • Encryption with Blowfish (448 bit) or AES-algorithm (256 bit)
  • Only one secret (Key) for all accesses:
  • Supported secrets (Key) for access rights:
    • SYMM-System
      • Password over the Keyboard
      • Chipcards (e.g. 'EC MoneyCard' (with chip) or 'Health Insurance Cards')
      • External storage media (e.g. USB-Stick)
      • CDs/DVDs
      • Combination of password and token
      • NEW - 4Eye-System
    • HYBRID-System
      • X.509 software Certificates
      • Certificates on Smartcard or USB-Token
  • Drag&Drop
  • Integrated Key Generator for creating random passwords
  • NEW - Passwordscrambler and Image-Input: Anti-Keylogger function by chop up the password input and the use of image objects for cryptic password sequences
  • NEW - Automatic update of the new version

Window

1. | New Entry | Insert a new entry in the 'KEYSAFE entries list'
2. | Delete Entry | The selected record is remove from the 'KEYSAFE entries list'.
3. | Password generator | Open the dialog for the generation of random password, which is inserted automatically in the field 6.
4. | KEYSAFE entries | Display of all entries in alphabetical order. Here you can select each entry with your mouse or keyboard.
5. | Username | Input field for the user name. This can be copied by Drag&Drop to the corresponding field of the browser.
6. | Password | Input field for the password. This can be copied by Drag&Drop to the corresponding field of the browser.
7. | Button * | Switch between the hide and visible mode of the password field 6.
8. | URL | Input field for the corresponding internet address (URL).
9. | Button ... | The displayed internet address (URL) 8 is open in your browser.
10. | Free text field | In this field you can input an additional info text.
11. | Open log file | Opens the log file with important data in an editor.

Tutorial

For safety reason only the actually selected data record is decrypt in the memory! All further data remain encrypted.

  • Open the Internet side
  • Copy the user name and password in the corresponding fields of the browser or dialog

Open the internet side

1. | Open abylon KEYSAFE | abylon KEYSAFE opened by one double-click on the Desktop Icon.
2. | Select the wanted data record | Select in the left Safe entries column the wanted entry.
3. | Open the internet side | Click on ... beside the URL entry (Internet side). The listed Internet side open in your browser (e. g. Internet Explorer or Firefox).

Copy the user name and password in the corresponding fields of the browser or dialog

1. | Open abylon KEYSAFE | abylon KEYSAFE opened by one double-click on the Desktop Icon.
2. | Select the wanted data record | Select in the left Safe entries column the wanted entry. Then open the corresponding Internet side (see above) or the appropriate dialog.
3a. | Copy and paste | Select the field Username or URL, press the right mouse button and select the point Copy. Afterwards change into the appropriate field of the Browser or dialog, press the right mouse button and select the point Paste.
3b. | Drag&Drop (Tricky) | Drive with the mouse on the field User name or URL and press the left mouse button. Keep the mouse button pressed and drive with the mouse to the appropriate field of the Browsers or dialog. Release the pressed left mouse button here. The selected entry from the KEYSAFE is insert into this field now.

See also

  • Help to Password Generator
  • abylon CERTMANAGER

(c) 2001-2008 abylonsoft (Last Update / Stand 22.01.2008)


abylonsoft: abylon EINSTELLUNGEN > KeySafe

Settings > KeySafe

Setting-page for the password-administration module.

According to program version individual properties can be missing or varying!

Window

1. | Open | Opens the abylon KEYSAFE.
2. | Refresh | Update the settings.
3. | KEYSAFE list | Show all abylon KEYSAFE with memory location and encryption algorithm.
4. | Add | Create a new abylon KEYSAFE with the 8 selected encryption algorithm.
5. | Import | Click this button, to import an existing KEYSAFE through selecting the XML-file.
6. | Edit | Click this button, to change some parameters of your KEYSAFE.
7. | Remove | Remove the 3 selected abylon KEYSAFE.
8. Default Encryption ALG Selected encryption system and the used encryption algorithm.

At this time possible settings for the abylon KEYSAFE:

  • SYMM-AES: Password based symmetrical encryption with the AES-algorithm (256 bit key length)
  • SYMM-Blowfish: Password based symmetrical encryption with the Blowfish-algorithm (448 bit key length)
  • HYBRID-AES: Certificate based asymmetrical key administration according to the PKCS-procedure of RSA and internal data encryption with the AES-algorithm (256 bit key length)
  • HYBRID-Blowfish: Certificate based asymmetrical key administration according to the PKCS-procedure of RSA and internal data encryption with the Blowfish-algorithm(448 bit key length)
  • SYMM-AES: Password based symmetrical encryption with the AES-algorithm (256 bit key length)
  • SYMM-AES 4Eye-System: Password based symmetrical encryption with the AES-algorithm (256 bit key length). At 4Eye-system must 2 passwords entered.
  • SYMM-Blowfish: Password based symmetrical encryption with the Blowfish-algorithm (448 bit key length)
  • SYMM-Blowfish 4Eye-System: Password based symmetrical encryption with the Blowfish-algorithm (448 bit key length). At 4Eye-system must 2 passwords entered.
  • SYMM-AES & Blowfish: Password based symmetrical encryption with the AES-algorithm (256 bit key length) and then with the Blowfish-Algorithmus (448 bit key length).
  • SYMM-AES & Blowfish 4Eye-System: Password based symmetrical encryption with the AES-algorithm (256 bit key length) and then with the Blowfish-Algorithmus (448 bit key length). At 4Eye-system must 2 passwords entered.
  • HYBRID-AES: Certificate based asymmetrical key administration according to the PKCS-procedure of RSA and internal data encryption with the AES-algorithm (256 bit key length)
  • HYBRID-Blowfish: Certificate based asymmetrical key administration according to the PKCS-procedure of RSA and internal data encryption with the Blowfish-algorithm(448 bit key length)
  • HYBRID-AES & Blowfish: Certificate based asymmetrical key administration according to the PKCS-procedure of RSA and internal data encryption with the AES-algorithm (256 bit key length) and then with the Blowfish-Algorithmus (448 bit key length).

In the abylon Keymanagement you can define the using of passwords, bank- or health insurance in case of the SYMM-System
9. | Default | Set the selected 3 abylon KEYSAFE as default.
10. Change password / Change Default Encryption ALG Change the "Secret" of the selected KEYSAFE
Password, chip card, USB-Stick or certificates can be used as a secret (Keymanagement). The new Keymanagement are defined in the settings before!

Possible Changes:

  • Change password: Defining new password or chip card.
  • SYMM >> HYBRID: Change from the password based to the certificate based Keymanagement.
  • HYBRID >> SYMM: Change from the the certificate based to password based Keymanagement.

Overview settings:

Default Encryption ALG / Keymanagement |  | New Secret (Keymanagement)
 |  | SYMM-System / Password based | SYMM-System / Chip card- or USB memory medium based | HYBRID-System
Previous Secret (Keymanagement) | SYMM-System / Password based | Change Password | Change Password | SYMM >> HYBRID
 | SYMM-System / Chip card- or USB memory medium based | Change Password | Change Password | SYMM >> HYBRID
 | HYBRID-System | HYBRID >> SYMM | HYBRID >> SYMM | Changes in the CERTMANAGER possible

See: Procedure to change the "Secret" (Keymanagement)

Tutorial

1. Procedure to change the "secret" (Keymanagement):
  1. Open the Settings-page and go on page KeySafe)
  2. Select the new settings, like encryption system (Default Encryption ALG) and in the case of the SYMM-System optional the Keymanagement (Password or Chipcard based)
  3. Select the KEYSAFE in the list
  4. Press the button Change password, SYMM >> HYBRID or HYBRID >> SYMM
    (The button will show according the settings: see table)
  5. Input the previous "Secret" (password, PIN, chipcard or USB-Stick)
  6. Input the new "Secret" (password, PIN, chipcard or USB-Stick)

In the case of the certificate based HYBRID-System the entitled certificate are defined in the abylon CERTMANAGER!

See also:

  • abylon KEYSAFE

(c) 2001-2008 abylonsoft (Last Update / Stand 23.02.2007)


abylonsoft: abylon LOGON

abylon LOGON

Only abylon ENTERPRISE Im Funktionsumfang dieser Version and abylon LOGON Im Funktionsumfang dieser Version

If you would like to secure your computer against illegal access in a comfortable kind, then the software abylon LOGON offers a simple solution. You only need to train your Smartcard, your USB-Stick or a CD/DVD with your windows login data and in the future this medium is your authentication to the computer. The input of your password is possible as extended protection. By leaving your computer you need only to pull the Smartcard or the USB-Stick and your computer is locked or logged out automatically. Thus protect your computer against snoopier views and data thief without large training.

Functional range:

  • Simple logon with NT systems (NT4, 2000, XP, 2003, Vista, WTS)
  • Supported media for logon:
    • Chipcards (z. B. 'EC-Moneycard' (with chip) or 'Health Insurance Cards')
    • NEW External memory media (e.g. USB-Sticks)
    • NEW CDs/DVDs
    • Certificate-based Smartcards and USB-Token (supporting different manufacturers, e.g. Aladdin eToken)
  • NEW Optional logon verification by input of the password
  • NEW Account-Managment: Several logon accounts for one card
  • Check revocation list status (CRL)
  • During the removing of the medium, the computer is 'Looked', 'Look out' or 'Shut down'
  • Several media for one user possible
  • Creating accounts during the windows logon process or in the simulation mode
  • Log file

Window

1. | Accounts | Show the current used Logon medium with all accounts.
2. | Show Account-Managment next time | Skip the Account-Manager dialog.; In abylon SETTINGS on the side Common can be activate the dialog!
3. | Add | Create a new logon account for the current used media.
4. | Delete | Remove the selected logon account.
5. | Logon | Execute the logon procedure without delay.
6. | Cancel | Closes the dialog without further action!
7. | Time index | Time in seconds, after the logon procedure execute automatically.

Tutorial

  • I. Create a logon account in the setting window
  • II. Create a new logon account during the logon process
  • III. abylon LOGON in use

I. Create a logon account in the setting window

You can use an extremely long window-logon-password, because you don't remember this permanently. In Future you use for logon the media only. (Note this password at a safe place to prevent the lose of your password in case that your media is defect or lost!)

1. | Settings | Open the side Logon in the abylon SETTINGS.
2. | Create a new account | With Add you create a new logon account.
3. Insert smartcard/USB-Token/-Stick/CD
You are occur to insert the used media for the logon process.

Currently possible media types

  • Certificate Smartcard / Token
  • EC / HBCI Moneycard (with Chip)
  • Memory-Card
  • External Memory-Device (e.g. USB-Stick)
  • CD / DVD
  • RFID-Radio-Card

The individual media types can be deactivate in the abylon SETTINGS on the side Logon > Extended!

4. Enter logon registration data Enter you correct logon registration data, such Username, Password and Domain / Workgroup.
The input is conclude and the account is create with Ok.

II. Create a new logon account during the logon process

This option can be deactivate in abylon SETTINGS on the side Logon > Extended!

1. | Start | Switch on you computer and start the operating system like used.
2. Insert smartcard/USB-Token/-Stick/CD
You are occur to insert the use media for the logon process.

Currently possible media types

  • Certificate Smartcard / Token
  • EC / HBCI Moneycard (with Chip)
  • Memory-Card
  • External Memory-Device (e.g. USB-Stick)
  • CD / DVD
  • RFID-Radio-Card

The individual media types can be deactivate in the abylon SETTINGS on the side Logon > Extended!

3. | New Media | The software recognizes that for this media no account exist. With Yes a new account create.
4. Enter logon registration data Enter you correct logon registration data, such Username, Password and Domain / Workgroup.
The input is conclude and the account is create with Ok.
5. Account-Management The window Account-Management show the media type (inclusive ID) and the new account. With Add can create additionally new accounts and with Delete can remove the selected account.

The logon process occur automatically after the present time (7) or directly with Logon.

III. abylon LOGON in use

1. In use After the creation of an account you need in the future only to insert your media (e.g. Smartcard or the USB-Stick) and the logon process occur immediately. Only with certificate-based tokens or with activated option Enter Logon-password for Symmetrical Cards you must still enter your appropriate password.
2. When removing the media... Possible options:
  • ...Do nothing [Ctrl]: Nothing is done after removing your media.
  • ...Lock Computer [Shift]: After removing your media, the computer will be Locked
  • ...Logout Computer [Alt]: After removing your media, the computer will be Logout.
  • ...Shutdown Computer [Alt+Ctrl]: After removing your media, the computer will be Shutdown.

This setting is ignored, if the shown button (brackets) is pressed simultaneously during the removing of the media. For example the computer is loged out in any case, if the Alt-button is pressed.
3. Alternative logon

If you should lose or forgot your media, you can switch with Cancel to the normal windows logon!

The button Cancel can be deactivate in abylon SETTINGS. In case of defect or loss media contains this the risk of block the complete access to the computer.

See also

  • Help to Logon settings
  • Help to CT32 - DLL setup

(c) 2001-2008 abylonsoft (Last Update / Stand 20.02.2007)


abylonsoft: abylon PASTE > File Explorer

abylon PASTE > File Explorer

abylon READER Nicht im Funktionsumfang dieser Version, abylon BASIC Im Funktionsumfang dieser Version, abylon ENTERPRISE Im Funktionsumfang dieser Version, abylon SHREDDER Im Funktionsumfang dieser Version

The functionality abylon PASTE is a File Explorer PlugIn and optimize the copying- and moving-process. Just who would like to make a backup from many files with an encapsulated directory structure can speed up this. During the copying the software compares the modification date and only when this is different between source and target, the file is copied. Unchanged files will be untouched. It is also possible to get always the newer file in the target folder or to make a backup from changed files.
A further positive effect offers abylon PASTE during the moving from files. In this case the software wipe the source files automatically and no data tracks are left in the source folder.

Functional range

  • Optimized the copying- and moving-process of files from the clipboard
  • During the moving-process the source files will be wipe (real deletion)
  • Don't copy unchanged files
  • Keep never source or target file
  • Paste without further inquiry for existing or read-only files
  • Paste with backup if target-file already exist

The menu item abylon PASTE 1 is only displayed, if the files are in the clipboard and if a directory is selected.

Tutorial

1. Functionality copy:
  1. Open the File Explorer and select the wanted files and folders.
  2. Copy this files as usual about the File Explorer menu or icons into the target folder.
  3. Copying all files in the clipboard into the selected folder.
  4. Open the right mouse button menu and select the point abylon PASTE.

Now starts the copying-process and according to the settings only changed files are replace or backup-files are create. (see links)

2. Functionality move:
  1. Open the File Explorer and select the wanted files and folders
  2. Cut this files as usual about the File Explorer menu or icons
  3. Change into the target folder
  4. Open the right mouse button menu and select the point abylon PASTE.

At first starts the copying process and than the program wipe all source files. The corresponding shredder-level can be select in the options.
(see Links)

See also

  • Specific Settings for abylon Paste
  • General Settings for abylon Paste

(c) 2001-2008 abylonsoft (Last Update / Stand 12.09.2006)


abylonsoft: abylon SHAREDDRIVE

abylon SHAREDDRIVE

Only abylon ENTERPRISE Im Funktionsumfang dieser Version and abylon SHAREDDRIVE Im Funktionsumfang dieser Version

The abylon SHAREDDRIVE (encrypted data drive) is shown in the MS File Explorer as an independent drive. The complete integration into the Explorer environment simplify the using of the software. When storing in the SHAREDDRIVE the files are encrypted automatically in the background (Blowfish - 448 bits / AES - 256 bits), without additional operation by the user.
The file-based structure allow the simultaneous access of several users, on crashes limits the data loss to a minimum and reduces the data transfer volume in case of a backup.
The encrypted files can be stored on the local computer, on a network computer or a ftp server. Security is increased by masking of the file names. Over the network or internet the transfer of the data is always encrypted. The encryptions occurs only on the client.
As secret (key) can be used a password, a Smartcard, a USB-Storage medium or a CD/DVD to open the SHAREDDRIVE. In companies for the access authorization also the use of X.509 certificates (hybrid system, PKCS, RSA) are supported.

Schaubilde abylon SHAREDDRIVE

Functional range:

  • Automatic encryption and decryption of files automatically in the background
  • Encryption with Blowfish (448 bit) or AES-algorithm (256 bit)
  • Supported secrets (Keys) for access authorizations:
    • SYMM-System
      • Password over the keyboard
      • Chipcards (e.g. 'EC MoneyCard' (with chip) or 'Health Insurance Cards')
      • External storage media (e.g. USB-Stick)
      • CDs/DVDs
      • Combination of password and token
      • NEW - 4Eye-System
    • HYBRID-System
      • X.509 software Certificates
      • Certificates on Smartcard or USB-Token
  • Perfect integration in the MS File Explorer
  • Full text search in encrypted files
  • Storing place of the encrypted files:
    • Local computer
    • Network computer
    • FTP-Server
      Function mode dependent on the assigned ftp software and the speed of the connection
  • Over the network or internet the transfer of the data is always encrypted (Decryption only on the client)
  • Simple administration by ex and import of the settings (inclusive automatic update from the CTLR-folder an and the UserConfig) NEW - Optimize administration for companies
  • Special software is not necessary on the server
  • Every file will be stored as an encrypted image file
  • The original file names are masked with a random numbers
  • Multi-user-Support: Several users can access one SHAREDDRIVE simultaneously
  • Marking of opened files
  • Disk space requirement only depend of the size of the files
  • Maximum size of the drive only dependent on disk capacity
  • Access on encrypted CDs and DVDs
  • Crash Protection: Decrypting only of the needed files and cleaning of the temporary file list after reboot
  • Only small backup resource needed
  • Only authorized personal can decrypt files and see the original file name!
  • NEW - Automatic update of the new version

Installation of programs are NOT possible!

Window

1. | Name | Field for the SHAREDDRIVE destination.
2. | ... | This button open a dialog to select a directory for your SHAREDDRIVE.
3. | Open in Read-only mode | If this option is activated, the SHAREDDRIVE can open in the Read-only modus only. In this case changes are not possible. This option is only after the creation of SHAREDDRIVE available. Write-protected SHAREDDRIVEs are yellow.
4. | Add / Accept | Create a new SHAREDDRIVE or accepts the changes.

Tutorial

Setup and using of the abylon SHAREDRIVE

  • I. Activating and creating an abylon SHAREDDRIVE

Activating and creating an abylon SHAREDDRIVE

1. | Activating | After successful installation and reboot of the computer open the setting dialog and activate the abylon SHAREDDRIVE (Point 1).
2. | Default Encryption ALG | Select the wanted encryption system and algorithm in box 10. The access rights are managed in case of the SYMM-System (for private user and small companies) with passwords, 'EC MoneyCard' or 'Health Insurance Card' and in case of the HYBRID-System (for companies) through X.509-Zertifikate.
3 | Create a local or network connection | With ... select the directory for the encrypted files. This directory can be on the local computer or a network computer (UNC). Add create the SHAREDDRIVE and Accept save the modification. The directory must be empty, but otherwise this can cause unforeseen problems!
4. | Define password | Finally you must enter you password or insert the secrete (SYMM-System) or insert the pin of your certificate (HYBRID-System).

See also

  • abylon CONNECTION MANAGER
  • Settings abylon SAREDDRIVE

(c) 2001-2008 abylonsoft (Last Update / Stand 22.01.2008)


abylonsoft: abylon Settings > SharedDrive

Settings > SharedDrive

Setting-page for the abylon SHAREDDRIVE, the module for a automatic encrypting of files on a local computer or Server.

According to program version individual properties can be missing or varying!

Window

1. | SHAREDDRIVE activate / deactivate | Activates or deactivates the abylon SHAREDDRIVE, in order to show or hide it in the File Explorer as drive.
2. | Refresh | Update the settings.
3. | Current connection profiles | List of connections to all SHAREDDRIVE (local, network or FTP) on the computer.
4. | Add | Click this button, to create a new SHAREDDRIVE.
5. | Import | Click this button, to import an existing SHAREDDRIVE. Therefore must be select a directory with an existing SHAREDDRIVE on hard disk or on server.
6. | Edit | Click this button, to change parameters of the selected SHAREDDRIVE.
7. | Remove | Click this button, to remove just the entry in the list (Links) or delete the complete abylon CRYPTDRIVE (All).
8. Change Password / Change Default Encryption ALG Change the Secret of the selected SHAREDDRIVE
Password, chip card, USB-Stick or certificates can be used as a secret (Keymanagement). The new Keymanagement are defined in the settings before!

Possible Changes:

  • Possible Changes: Defining new password or chip card.
  • SYMM >> HYBRID: Change from the password based to the certificate based Keymanagement.
  • HYBRID >> SYMM: Change from the the certificate based to password based Keymanagement.

Overview settings:

Default Encryption ALG / Keymanagement |  | New Secret (Keymanagement)
 |  | SYMM-System / Password based | SYMM-System / Chip card- or USB memory medium based | HYBRID-System
Previous Secret (Keymanagement) | SYMM-System / Password based | Change Password | Change Password | SYMM >> HYBRID
 | SYMM-System / Chip card- or USB memory medium based | Change Password | Change Password | SYMM >> HYBRID
 | HYBRID-System | HYBRID >> SYMM | HYBRID >> SYMM | Changes in the CERTMANAGER possible

See also: Procedure to change the Secret (Keymanagement).
9. | Reset | Bei allen Dateioperationen im abylon SHAREDDRIVE wird das aktuelle Verzeichnis für jeden weiteren Zugriff gesperrt (grau hinterlegt!). Beispielsweise bei einem Absturz wird diese Sperre nicht mehr zurück gesetzt und kann nur manuell über diesen Schalter aufgehoben werden.
10. Default Encryption ALG In case of each file operation the current list is blocked for further operations in the abylon SHAREDDRIVE:
  • SYMM-AES: Password based symmetrical encryption with the AES-algorithm (256 bit key length)
  • SYMM-Blowfish: Password based symmetrical encryption with the Blowfish-algorithm (448 bit key length)
  • HYBRID-AES: Certificate based asymmetrical key administration according to the PKCS-procedure of RSA and internal data encryption with the AES-algorithm (256 bit key length)
  • HYBRID-Blowfish: Certificate based asymmetrical key administration according to the PKCS-procedure of RSA and internal data encryption with the Blowfish-algorithm(448 bit key length)
  • SYMM-AES: Password based symmetrical encryption with the AES-algorithm (256 bit key length)
  • SYMM-AES 4Eye-System: Password based symmetrical encryption with the AES-algorithm (256 bit key length). At 4Eye-system must 2 passwords entered.
  • SYMM-Blowfish: Password based symmetrical encryption with the Blowfish-algorithm (448 bit key length)
  • SYMM-Blowfish 4Eye-System: Password based symmetrical encryption with the Blowfish-algorithm (448 bit key length). At 4Eye-system must 2 passwords entered.
  • SYMM-AES & Blowfish: Password based symmetrical encryption with the AES-algorithm (256 bit key length) and then with the Blowfish-Algorithmus (448 bit key length).
  • SYMM-AES & Blowfish 4Eye-System: Password based symmetrical encryption with the AES-algorithm (256 bit key length) and then with the Blowfish-Algorithmus (448 bit key length). At 4Eye-system must 2 passwords entered.
  • HYBRID-AES: Certificate based asymmetrical key administration according to the PKCS-procedure of RSA and internal data encryption with the AES-algorithm (256 bit key length)
  • HYBRID-Blowfish: Certificate based asymmetrical key administration according to the PKCS-procedure of RSA and internal data encryption with the Blowfish-algorithm(448 bit key length)
  • HYBRID-AES & Blowfish: Certificate based asymmetrical key administration according to the PKCS-procedure of RSA and internal data encryption with the AES-algorithm (256 bit key length) and then with the Blowfish-Algorithmus (448 bit key length).

In the Keymanagement you can define the using of passwords, bank- or health insurance in case of the SYMM-System
11. | Close automatically | Time in minutes, after which the SHAREDDRIVE is closed automatically.
12. Wipe-level The wipe-level can be defined with the slide control:
  • Level 0
    Remove the links (correspond to the normal deletion in the File Explorer)
  • Level 1
    Overwrite the data 1 times (binary zeros)
  • Level 2
    Overwrite the data 3 times (DOD - Standard = 1. Random Numbers + 2. Binary F + 3. Binary Zeros)
  • Level 3
    Overwrite the data 7 times (DOD II - Standard = 3x Binary Zeros + 3x Binary F + 1x Random Numbers)
  • Level 4
    Overwrite the data 13 times (3x Random Numbers + DOD - II + 2x Random Numbers + 1x Binary Zeros)
  • Level 5
    Overwrite the data 35 times (Peter Gutman Method - Description see document)

A higher wipe-level is safer but needs more time.

Tutorial

1. Procedure to change the "Secret" (Keymanagement):
  1. Open the dialog abylon SETTINGS and select the side Shareddrive
  2. Select the new settings, like encryption system (Default Encryption ALG) and in the case of the SYMM-System optional the side Keymanagement (Password or Chipcard based)
  3. Select the SHAREDDRIVE in the list
  4. Press the button Change password, SYMM >> HYBRID or HYBRID >> SYMM
    (The button will show according the settings; see table)
  5. Input the previous "Secret" (Password, PIN, chip card or USB-Stick)
  6. Input the new "Secret" (Password, PIN, chip card or USB-Stick)

In case of the certificate based HYBRID-System the entitled certificate are defined in the abylon CERTMANAGER!

See also

  • abylon SHAREDDRIVE
  • Connection Manager

(c) 2001-2008 abylonsoft (Last Update / Stand 23.02.2007)


abylonsoft Overview > dialogs

Windows

All Dialogs

  • Overview abylon MANAGER
  • abylon CERTCHECK
  • abylon CERTMANAGER
  • abylon CHECK CERTIFICATES (revocation list)
  • abylon CONNECTION MANAGER
  • abylon CRYPT ASSISTENT
  • abylon CRYPTDRIVE Options
  • abylon CRYPTMAIL (MAPI - SME Email)
  • abylon CRYPTMAIL (Outlook AddIn)
  • abylon CRYPTZIP
  • abylon EXPLORER PLUGIN
  • abylon FIND
  • abylon PASTE
  • abylon INTERNETCLEANER
  • abylon KEYEXCHANGE
  • abylon KEYGENERATOR
  • abylon KEYSAFE
  • abylon KEYSAFE Options
  • abylon LDAP
  • abylon LOGON
  • abylon REGISTRATION / OFFER
  • abylon SELFCERT
  • abylon SETTINGS
  • abylon SHAREDDRIVE Options
  • abylon SHREDDER
  • abylon SIGNATURINFORMATION
  • abylon SUPPORT

(c) 2001-2008 abylonsoft (Last Update 22.01.2008)


abylonsoft: abylon MANAGER

abylon MANAGER

Only abylon READER Im Funktionsumfang dieser Version , abylon BASIC Im Funktionsumfang dieser Version and abylon ENTERPRISE Im Funktionsumfang dieser Version

The abylon MANAGER is the central module of the abylonsoft product family, which is very variable and flexibly developed. Over the window, quickness start menu or the symbol beside the clock you can call each individual module. Additionally the abylon MANAGER offers the possibility to add own links for further programs or important documents and files over the right mouse button. It is also possible to create shortcuts by drag & drop from the File Explorer.

Functional range:

  • Call off all offered software modules
  • Quickness start menu
  • Orientation window with short information
  • Tray-Icon next to the clock
  • Display in the foreground
  • Removing or adding of individual links

Window

1. | Move window | With the right mouse button pressed, the window can be moved.
2. | Bring window to Top / Background | Use this button, to switch between normal Window and foreground Window.
3. | Minimize | Click this button, to minimize the abylon MANAGER window to the taskbar.
4. | Hide / Show details | Click this button, to open or close the extended abylon MANAGER window.
5. | Close | Click this button, to close the program
6. | Reset shortcuts | Reset all program linkages (symbols). This is useful, if you delete one or more shortcuts and want to restore them now. Your own linkages remain unaffected by it.
7. | About abylonsoft Software | Show you some program information like version, author, homepage, contact (email address for feedback). Here you can also register this software. Click the button Registration!
8. | Symbols | Here you can execute each software module or your own Links (See description on point 9 to 23).
9. | abylon CERTMANAGER1) | Abylon CERTMANAGER is the heart of the software, because this module administrate the certificates to encrypt and sign in all softwaremodules. Here you can select your own private certificate (PKCS#12) to encrypt and sign files, delete, copy or show entries and you can send the public certificates (PKCS#7) very easy by email to a friend. Here you will also find the LDAP Manager to add public certificates from any LDAP-Server.
9. | abylon SHAREDDRIVE1) | Create and administered all virtual encrypted drives on your computer. Every file is encrypted separately. For this reason the access of several users are possible!
10. | abylon CRYPTDRIVE1) | Creates and administrates the virtual and encrypted drives. All files are stored in one or more image files.
11. | abylon CRYPTMAIL (MAPI - SME Email)1) | A small email client, to write emails, add attachments and send this over your standard email program (MAPI) as digital envelope (SME).
12. | abylon CRYPTZIP1) | A tool to create or work with ZIP files. It is also possible to open all encrypted or signed ZIP files or to encrypted and signed normal ZIP files.
13. | abylon CRYPTDRIVE1) | After you have created a virtual drive, you find shortcut's for each under this link / directory to open (mount) or close (unmount) it.
14. | abylon HELP | Open the abylon HELP file (this file).
15. | abylon INTERNETCLEANER1) | Remove / Destroy the cache, history and cookies on your computer (only Internet Explorer).
16. | abylon KEYEXCHANGE1) | With this module you can simply send your public key (PKCS#7) by email to another person. This person can encrypt but not decrypt data for you. Furthermore the receiver can verify your signature after the installation of your public certificate.
17. | abylon KEYSAFE1) | A module to save all your important usernames and password in one very high encrypted secure XML file. You just need one password to open the save and to get access to your secret entries.
18. | abylon SELFCERT | This tool creates selfsigned test certificates (X.509 v3) for private usage only. It is very easy to create and you can encode your data with this certificate.
19. | abylon SETTINGS | Open a dialog, to modify the options and settings.
20. | abylon SHAREDDRIVE1) | Open the abylon SHAREDDRIVE. Each individual file is coded and stored separately. For this reason the access of several users are possible!
21. | abylon SHREDDER1) | Destroy / Wipe your selected files with DoD II or Peter Gutman Method. This destroyed files can not be recovered by any tool.
22. | abylon SUPPORT | Provide support inquiries and license key order by email.
23. | Lock computer | Lock you out, so that you have to enter your password again for continuing working.
24. | Status bar | Give you information about the selected module.

1) According to used software individual modules or functions are not available or supported!

See also

  • abylon CERTMANAGER
  • abylon CRYPTDRIVE
  • abylon CRYPTMAIL (MAPI - SME Email)
  • abylon CRYPTZIP
  • abylon KEYEXCHANGE
  • abylon KEYSAFE
  • abylon SHAREDDRIVE
  • abylon SHREDDER
  • abylon INTERNETCLEANER
  • abylon SELFCERT
  • SETTINGS
  • SUPPORT

(c) 2001-2008 abylonsoft (Last Update / Stand 20.02.2007)


abylonsoft: abylon CERTCHECK

abylon CERTCHECK

Only abylon ENTERPRISE Im Funktionsumfang dieser Version, abylon KEYSAFE Im Funktionsumfang dieser Version, abylon CRYPTDRIVE Im Funktionsumfang dieser Version and abylon SHAREDDRIVE Im Funktionsumfang dieser Version

The HYBRID-System regulate all accesses and authorizations with X.509-certificates. These authorizations can be change over the abylon CERTMANAGER at any time. From security reasons a check is executed during the first opening of the corresponding element. This dialog show the modification, if the list of the entitled certificates should have changed. Here you have the possibility to delete this unauthorized certificate again (maybe from a hacker). Furthermore the dialog examines all registered certificates for correct installation. If a certificate should have been deleted in the meantime, then this is indicated here and you must remove it explicitly from the list of the entitled certificates.

Window

1. | Info | Display of general information.
2. | CERTMANAGER | Open the abylon CERTMANAGER
3. | Remove | Remove a not entitled or not available certificate.
4. | Info | Show detailed information of the selected certificate 5.
5. | Entitled Certificates | Display a list of certificates that for example are entitled to an abylon KEYSAFE or an abylon CRYPTDRIVE access. NOTE Check the list exactly and delete inadmissible certificates.
6. | Forward | Confirm the modifications of the access permission with Forward .

(c) 2001-2008 abylonsoft (Last Update / Stand 12.09.2006)


abylonsoft: abylon CERTMANAGER

abylon CERTMANAGER

The abylon CERTMANAGER is the central module of many abylonsoft products. In this dialog you can manage all certificates for the encryption and signing operation, whereby the following functions and operations are supported...

The abylon CERTMANAGER is required for HYBRID-SYSTEMS only!

Functional range:

  • Selecting / Activating of the basis certificate for singing and / or encrypting
  • Displays of the Windows certificate data bases with the contained certificates
  • Import of your own PKCS#12-certificate
  • Create a fully operative, selfsigned PKCS#12 test certificate
  • Deletion of not needed certificates
  • Showing of certificate information (Double-click)
  • Use File PKI1) or Small PKI1)
  • Send the certificate (only public key) as CRT-file
  • Search certificates in LDAP directories1) and make it locally available
  • Arrange the certificates for the abylon KEYSAFE1), abylon CRYPTDRIVE1) and abylon SHAREDDRIVE1)
  • Define backup certificates1)
  • Select public keys for SME files1)
  • Copy, cut or move certificates (by Drag&Drop or above the right mouse button)
  • Revocation list check

1) According to used software individual modules or functions are not supported! Further information see detailed product or our product arrangement in Internet.

Window

1. | Status information | Display status information of the in the list 23 selected certificate.
2. | Import | Import of certificate files (PKCS#12) with file extensions PFX or P12.
3. | Create | Open a dialog, abylon SELFCERT to create your own selfsigned certificate (X.509 / V3) for private use.
4. | Delete | Remove the selected certificate from list and also from windows certificate database. Don't remove important certificates! If you have no backup, you couldn't decrypt or verify files, that are create by this certificate.
5. | Info | Show the certificate information of selected certificate.
6. | Send | Send the public key (CRT file) of selected certificate as an Email-Attachment. The recipient can encrypt data with this certificate for you and verify your digital signature. With this certificate a decryption of your encrypted data is NOT possible.
7. | Add LDAP 1) | Open the search dialog for public keys in LDAP-directories. An Internet connection is necessary!
8. | About | Open an information dialog with your registration data.
9. | Encryption and Decryption certificate | Selection-button and display of the Own certificate for encryption and decryption operations (only HYBRID-System). In case of internal coding operations (for example in the File Explorer) the data are encrypted with the displayed certificate. Only you are possible to decrypt the data with your Private Key. Make a backup from your certificate (PFX-file) on an external medium, so that you can decrypt your data again in case of problems or a computer reinstallation.
10. | Signature certificate | Selection-button and display of the Own certificate to digital sign data. This can be the same like the encryption certificate.
11. | Private key(s) (PKCS#12 CERTIFICATE(S)) | List of all certificate-databases on your system All installed certificates with private key (PKCS#12) are shown in field 23. You find your certificates normally in the database My (Private certificates)
12. | Public key(s) (PKCS#7 CERTIFICATE(S)) | List of all certificate-databases on your system 1). All installed certificates with public key (PKCS#7) are shown in field 23 Here you also find your LDAP-Certificate(s) under the entry LDAP (Onlinecertificate(s)) Usually your certificates stand in the database My (Private certificates). If you create a digital envelope file (SME: Secure Message Envelope), you can select here the certificate from the recipient. In the it is possible to select several certificates.
13. | abylon Small PKI | Connection to internal Public Key Infrastructure (PKI) of abylonsoft. The certificates are store in the registry. The network computer can be select in the setting dialog on the side Keymanagment > PKI. For the Small PKI is a network connection necessary.
14. | abylon file PKI | Connection to file based Public Key Infrastructure (PKI) of abylonsoft. The certificates are store in a STO-File on a local or network computer. This file can be select in the setting dialog on the side Keymanagment > PKI.
15. | abylon SHAREDDRIVE 1) | List of all HYBRID-System abylon SHAREDDRIVE(S)(Local and FTP) and the entitled certificates. Each certificates owner has 23 full access to encrypted data and can read, write or delete files.
16. | abylon CRYPTDRIVE 1) | List of all HYBRID-System abylon CRYPTDRIVE(S) on your system and the entitled certificates. Each certificates owner has 23 full access to encrypted data and can read, write or delete files.
17. | abylon BACKUP 1) | List of all backup certificates which additionally used by encryption (see Info). For example companies can define here the public key of an administrator certificate with which the data can be encrypted in case of an emergency. Backup certificates are not use for abylon CRYPTDRIVE, abylon SHAREDDRIVE or abylon KEYSAFE. If you want to allow the access to this data, you must added these certificates individually to the list of entitled certificates.
18. | abylon KEYSAFE 1) | List of all certificates, that are entitled to open the HYBRID-System abylon KEYSAFE
19. | Show Online Certificates (LDAP) 1) | In the case of activation all added LDAP-Certificate(s) are shown. For this purpose an Internet connection is necessary. For offline availably you can copy the LDAP-Certificate(s) to each other offline certificate database like MY.
20. | Show all database | In the case of activation all Windows certificate databases are shown. This option can be faded-out unimportant certificate databases for a better survey
21. | Check certificate(s) in revocation list 1) | In case of activation the shown certificates are checked, if these are on the revocation list (locked). This process requires an Internet connection and can take time in use.
22. | Close / Select | With this button you close the dialog or select a certificate for the following operation (e.g. Create Digital Envelope SME).
23. | Certificate List | Show all installed certificate(s), which are stored in the corresponding data base.

1) According to used software individual modules or functions are not supported! Further information see detailed product or our product arrangement in Internet.

See also

  • abylon SELFCERT
  • abylon KEYEXCHANGE
  • Help to Create your Own Certificate
  • Help to Install your Own Certificate
  • Using the Small PKI

(c) 2001-2008 abylonsoft (Last Update / Stand 12.09.2006)


abylonsoft: abylon CERTCHECK > revocation list

abylon CHECK CERTIFICATES > revocation list

This dialog show the result of a certificate check, for example in the abylon CERTCHECK. For revocation list status is an online connection necessary.

Window

1. Info Display of general information.
2. Certificate check (revocation list)
  • 1. Line: Certificate owner
  • 2. Line: Memory option
  • 3. Line: Validity
  • 4. Line: Check certificate on the revocation list (NOTE Internet connection necessarily)
  • 5. Line: Additional key information
  • 6. Line: Certificate for signature operation usable?
  • 7. Line: Certificate for encryption operation usable?

(c) 2001-2008 abylonsoft (Last Update / Stand 12.09.2006)


abylonsoft: abylon INTERNETCLEANER

abylon CONNECTION MANAGER

Only abylon ENTERPRISE Im Funktionsumfang dieser Version and abylon SHAREDDRIVE Im Funktionsumfang dieser Version

Description abylon CONNECTION MANAGER. With the abylon CONNECTION MANAGER can arrange local, network or FTP connections, e. g. for the abylon SHAREDDRIVE.

Functional range:

  • Local or network connection
  • FTP connection (NOTE: Tested only on Microsoft Servers with high data transmission rate)

Window

1. | Info | Display of connection information.
2. Current connection profiles List with all established connections
  • Local or network connection
  • FTP connections (NOTE Tested only on Microsoft Servers with high data transmission rate)
3. | Add | Add a new connection in list 2.
4. | Remove | Remove the selected connection in list 2.
5. | Profile name | Input field for the Profile Name.
6. | Local- or Network Connection | Assign the kind of the connection (here Local- or Network-connection) and selection of the initial directory, where the encrypted files are stored.
7. | FTP-Connection | Assign the kind of the connection (here FTP-connection).
8. FTP-Connection Properties Specification of the FTP-connection:
  • Host-Adress
  • Port
  • Login
  • Passwort
  • Use PASV Mode
  • Anonymous
9. | Initial path | Information of the initial directory in case of FTP-connections. In this folder the encrypted files are stored.

See also

  • abylon SHAREDDRIVE
  • Settings abylon SHAREDDRIVE

(c) 2001-2008 abylonsoft (Last Update / Stand 12.09.2006)


abylonsoft: CRYPT ASSISTENT

CRYPT-ASSISTENT

The abylon CRYPT-ASSISTANT is called over the context menu of the File Explorer (Menu of the right mouse button, see crypt plugin) and helps you step by step to sign and / or encrypt files. Alternatively the abylon CRYPT ASSISTANT starts, when files drop onto the program icon.
You can set the individual options on the following pages:

  • File list
  • Crypt operation (To create)
  • Crypt operation (Open)
  • Certificates
  • Target folder
  • Delete of Source files

Encryption system and algorithms are define in the settings!

File list

This page show all files in the list with which the Crypt-operation are executed!

1. | Help | Open the help!
2. | File list | Show the selected page file list.
3. | Add | Selection of additional files.
4. | Remove | Deletion of the selected files.
5. | Open | Open the selected files.
6. | File list | Display of all files with which the Crypt-operation is executed.
7. | Navigation | Indicate the navigation elements: Previous page Next page Execute the selected Crypt-Operation Cancel (Close the window)

Crypt-Operation (To create)

On this page you can select the Crypt operation.

This Page is only shown if you have selected several or no Crypt files!

1. | Help | Open the help!
2. | Crypt operation | Show the selected page Crypt operation.
3. | Encrypting (abylon SYMM CRYPT) | Encryption of all selected files with password and/or another secret (e.g. 'EC MoneyCard' (with chip), 'Health Insurance Cards' or USB-Stick).
4. | Encrypting (abylon HYBRID CRYPT) | Encryption of all selected files with your encryption certificate (public key).
5. | Sign | All selected files are signed with your signature-certificate (Private key) in digital form.
6. | Sign and Encrypting | All selected files are signed first with your signature-certificate (Private key) and encrypted then directly with one or several Public Keys (only HYBRID-System). Through that the digital envelope files (SME-files = secure message envelope) are optimally prepared to send over unsafe channels (Email, Internet).
7. | Compressing file(s) | In the case of activation all files are archived in a compressed ZIP file.
8. | Navigation | Indicate the navigation elements: Previous page Next page Execute the selected Crypt-Operation Cancel (Close the window)

Crypt-Operation (Open)

On this page you can select the Crypt operation.

This Page is only shown if you have selected Crypt files!

1. | Help | Open the help!
2. | Crypt operation | Show the selected page Crypt operation.
3. | Open | Verifies and / or decrypted the selected file temporary and opens it with that according program (for example DOC files with MS Word). The Crypt files will be updated only in the case of modifications.
4. | Verify / Decrypting | Verifies and / or decrypt the selected file.
5. | Verify / Decrypting and unpack | If a compressed Crypt-file selected, after the verifying and / or decrypting the corresponding ZIP file will be unpack.
6. | Navigation | Indicate the navigation elements: Previous page Next page Execute the selected Crypt-Operation Cancel (Close the window)

Certificate

On this page you can select the certificates (Public keys) of all recipients for which the files are encrypted.

This page is only shown if the Crypt-operation Signing and encrypting were selected!

1. | Help | Open the help!
2. | Certificate | Show the selected page certificate.
3. | Select | Opening of the abylon CERTMANAGER to select the certificates.
4. | Add | Opening of the abylon CERTMANAGER to select the certificates.
5. | Remove | Deleting of the selected certificates.
6. | Info | Displays of the certificate information.
7. | Certification list | List of all certificates with which the files are encrypted.
8. | Send as Email | In the case of activation the SME file (Crypt operation Signing and Encrypting) is transmitted directly onto your email program.
9. | Navigation | Indicate the navigation elements: Previous page Next page Execute the selected Crypt-Operation Cancel (Close the window)

Target folder

On this page you can define the target directory where the Crypt-files are stored.

This page is only shown, if the necessity to select a target directory

1. | Help | Open the help!
2. | Target directory | Show the selected page target directory.
3. | Directory Own Files | Display of the directory Documents and attitudes.
4. | Source Directory | Display of the directory, where the source files are stored.
5. | Individual Directory | Display of the last individually chosen directory. Over the button Select a new directory can be chosen.
6. | File name | In this field you can define the wanted file name! The filename extensions are set according to the selected Crypt operation. This Point is only indicated if you have activated the point Compress file(s) on page Crypt operations!
7. | Navigation | Indicate the navigation elements: Previous page Next page Execute the selected Crypt-Operation Cancel (Close the window)

Delete of source files

On this page you can define the overwrite level.

This page is only indicated if the source file can be deleted!

1. | Help | Open the help!
2. | Delete Source file | Show the page Delete of source files.
3. | Delete original files | With activation of this point the original files are deleted after successful Crypt operation. EXCEPT: Only in case of files (Singing and encrypting in one step) the original files are deleted, if you are the owner of the corresponding private key!
4. | Wipe-level | With the slider the level of the delete operation can be defined. Six levels are offered, from simple deletion up to the Peter Gutman method (35x overwrite).
5. | Navigation | Indicate the navigation elements: Previous page Next page Execute the selected Crypt-Operation Cancel (Close the window)

(c) 2001-2008 abylonsoft (Last Update / Stand 12.09.2006)


abylonsoft: abylon CRYPTMAIL > MAPI > SME Email

abylon CRYPTMAIL > SME Email

Only abylon ENTERPRISE Im Funktionsumfang dieser Version and abylon CRYPTMAIL Im Funktionsumfang dieser Version

abylon CRYPTMAIL (SME Email) you can create encrypted and signed emails and send this by nearly each email program (MAPI). Only the receiver can simple open the encrypted and signed message in his email client. For this case offer abylonsoft the free Version abylon READER to decrypt data and verify your signature.

Window

1. To: Open the address book of your email client (Outlook).
2. | Email adress | Input field for the email address of the recipient.
3. Subject: Input field for the subject of your email.
4. Create SME and Send Button to encrypt and sign your email included all attachments and send it to the recipient:
  • Symm encryption and send:
    Submit the encrypted data to your email-program.
  • Hybrid encryption and send:
    Submit the asymmetrical encrypted data (with your certificate) to your email-program.
  • Sign and send:
    Submit the signed data to your email-program.
  • Create SME and send:
    Submit the signed and asymmetrical encrypted data (with certificate of the receiver) to your email-program.
5. | RTF or TXT | Button to switch between Text mode or RTF-mode (formatting possibility).
6. | File functions | Buttons to Open, Save and Print your text file or to add attachments.
7. | Text functions | Buttons to Cut, Copy and Paste text from or to the clipboard.
8. | Text formats | Buttons to define your own Text format (only RTF-mode).
9. | Text field | Input field for your message text.
10. | Attachment | This field show you the attachments, that you add to your email!

Ask dialog

If you open a SME file in your email client, the software will show this dialog. Here you can cancel the process, save or open the encrypted file.

1. | Cancel | Cancel the process without any changes.
2. | Save | Save the decrypted file in a directory, that you can select.
3. | Open | Unpack the digital envelope (SME file) and open it with the appropriate program.

The file can be only opened and / or encrypted, if you have installed the corresponding own certificate (Private Key). If you want to exchange encrypted emails (attachments) or files between your job and home, your own certificate must be installed on both computers

See also

  • abylon CRYPTMAIL (Outlook AddIn)

(c) 2001-2008 abylonsoft (Last Update / Stand 22.01.2008)


abylonsoft: abylon CRYPTZIP

abylon CRYPTZIP

Only abylon BASIC Im Funktionsumfang dieser Version and abylon ENTERPRISE Im Funktionsumfang dieser Version

The abylon CRYPTZIP is an easy tool, to open, create and manage compressed ZIP files. It is also possible to open all encrypted or signed abylon CRYPT files or to encrypted or signed normal ZIP files. You can execute each file from the abylon CRYPTZIP, without uncompress the hole ZIP file. Only in case of changing the file is updated automatically. The program has a modern surface an support the Drag&Drop functionality. Furthermore the created files (ZIP, SGN, CRP, SME) can be send as attachment with the corresponding email software (MAPI).

functional range:

  • Compression tool with modern surface
  • Signature, Encryption and SME (Secure Message Envelops)
  • Drag&Drop-functionality
  • Sending of emails
  • Supported formats:
    • ZIP: compressed Archives
    • ZIP.SGN: signed Archives
    • ZIP.CRP: encrypted Archives
    • ZIP.SME: signed and encrypted Archives

Overview abylon CRYPTZIP

1. | New | Create a new compressed file (ZIP-format).
2. | Open | Open of compressed (ZIP), encrypted (CRP), signed (SGN) or digital envelope (SME) files.
3. | Extract | Unpack all or just your selected files
4. | Add | Add new files to the current open ZIP-archive.
5. | Del | Remove the selected files from the current open ZIP-archive.
6. | Execute | Opening of the first selected file with the corresponding program.
7. | Encrypt / Decrypt | Encrypt or decrypt your compress archive (ZIP file) with your own certificate.
8. | Sign / Verify | Sign or verify your compressed archive (ZIP file) with your own certificate. If you verify a file, which was signed by an other person, the program add the new public certificate in your local certificate database (store) and show you the abylon SIGNATUREINFO Dialog.
9. | SME / unpack SME | Pack your compressed archive (ZIP file) in a digital envelope (SME file means, that the ZIP files will be signed with your own certificate (PKCS#12) and encrypt with the certificate from receiver (PKCS#12 or PKCS#7)). The Output file (SME) is secure for unauthorized access and you can send it over insecure lines. Only the recipient can open the file with his private key.
10. | Email | Send your current open ZIP file via email to other persons. For sending the abylon CRYPTZIP use the MAPI - interface from your installed email software.
11. | End | Finished the program abylon CRYPTZIP and close the dialog.
12. | File list | This list view show you all files in your compressed archive (ZIP file).
13. | Comment | Free field for the entering of a comment.
14. | Status bar | Display of archival information, for example the file-format (ZIP, CRP, SGN or SME) and the compressed rate.

(c) 2001-2008 abylonsoft (Last Update / Stand 12.09.2006)


abylonsoft: abylon KEYGENERATOR

abylon KEYGENERATOR

Only abylon ENTERPRISE Im Funktionsumfang dieser Version and abylon KEYSAFE Im Funktionsumfang dieser Version

You can call the abylon KEYGENERATOR over the abylon KEYSAFE, to generate secure passwords for your system. The password will be generated during the mouse move. After the password-creating it will be copy into the corresponding field of the abylon KEYSAFE. Additionally you can specify boundary conditions for the generation of the password, for example you can exclude special characters.

Functional range:

  • Creation of random password due to the mouse movement
  • Selection of character types
  • Display of the password security

Window

1. | Number of characters | Here you can specify the length of your password in characters.
2. | Type of characters | Here you can specify the characters, that should be used in your password.
3. | Security | This gauge show you the password quality in order of your parameters.
4. | Gauge | The gauge show you, how long you have to move the mouse to generate your password.
5. | Image | To generate your password, you have to move your mouse in this field until it is finished (see gauge).
6. | Create password | Click this button, to generate your password and move your mouse in field until the gauge 4 has 100%.

See also

  • abylon KEYSAFE (password manager)

(c) 2001-2008 abylonsoft (Last Update / Stand 20.02.2007)


abylonsoft: abylon Settings > Administration

Settings > Administration

Options-page for administration mode. Here can be activate the administration mode, define the administration server and activated the log-files. Beside this the software can be activate or deactivate and in the case of a net installation the local modules can be synchronize.

For the administration mode you need administration rights!

According to program version individual properties can be missing or varying!

Window

1. | Activate / Deactivate Administration mode | Activate or deactivate the administration mode. In the case of activation, normal user can not change any critical settings. In the case of activated administration mode some attitudes are stored in the registry or XML-file (see point 3 to 5)!
2. | Refresh | Update the settings.
3. | Use registry (HKLM) on server to manage all user-settings | All clients use the same settings, which are store on a local or central server in the Registry under HKLM from an administrator. This means that all users have the same administrative settings. Note rights in the registry!
4. | Use local area network (LAN) with XML-Control- and preference files to manage user-settings | The administrative settings synchronized directly after login, and once per hour with the preferences file in the specified folder. Further settings (UserConfig.xml, CTRL-PAD.xml), the accounts and certificates files can be stored here. Access to the files via the network (LAN). Administrative settings are saved in the UserConfig.xml. Additional settings can be stored in the Ctrl-Pad.xml. If the file name ANYUSER.xml used, the settings valid for all users. For individual settings must file used the login name of the user, such as "PAUL.XML".
5. | Use WEB-SERVER with XML-Control- and preference files to manage user-settings | The administrative settings will be compared on the WEB immediately after the login and after each 8 hours (currently only USERCONFIG.XML). This require a web server. Also the directory structure must be identical to the LAN structure. The file names and directories must be fully capitalized.
6. | Start service | Start the service of the software.
7. | Stop service | Stop the service of the software.
8. | Restart the service | Restart the service of the software.
9. | Check for new version | Starting an online query, if a newer version of this software is available and maybe start the update.
10. | Activate or Deactivate modules | According to the status, all modules are activate or deactivate. This is the same like a installation or uninstallation without a removing of files.
11. | Synchronize local modules | Load the settings from the specified computers! If this software is installed on the server some modules must be available on the client (for example service's).

(c) 2001-2008 abylonsoft (Last Update / Stand 23.01.2008)


abylonsoft: abylon Settings > Administration > Protocol

Settings > Administration > Log

Options-page for administration mode. Here can be activate the administration mode, define the administration server and activated the log-files. Beside this the software can be activate or deactivate and in the case of a net installation the local modules can be synchronize.

For the administration mode you need administration rights!

According to program version individual properties can be missing or varying!

Window

1. | Open | Open the folder with the stored log-files.
2. | Open System | Open the folder with the stored system log-files in the case of net installation.
3. | Logs | Activate the Log for the selected modules. Only the modules of the corresponding version are shown!

(c) 2001-2008 abylonsoft (Last Update / Stand 23.01.2008)


abylonsoft: abylon Settings > Administration > USB-Installation

Settings > Administration > USB-Install

Options-page for administration mode. Here can be activate the administration mode, define the administration server and activated the log-files. Beside this the software can be activate or deactivate and in the case of a net installation the local modules can be synchronize.

For the administration mode you need administration rights!

According to program version individual properties can be missing or varying!

Overview Settings (Administration )

1. Install modules on USB-Stick /
Install modules on client /
Delete modules from client
  • Install modules on USB-Stick
    Provides an executable version of the program with your settings on the USB-Stick. All modules and functions, which do not need administrative rights or a service, can be started directly from the USB-Stick.
  • Install modules on client
    Installs the version of your USB-Stick on the client and transfers all your settings. This needs administrative rights and a new registration key!
  • Delete modules from client
    Removes the complete software with all files and attitudes from the client!

These button show the functions context sensitive!

(c) 2001-2008 abylonsoft (Last Update / Stand 23.01.2008)


abylonsoft: abylon Settings > Common

Settings > Common

Common setting-page for design, language and note dialogs. Also on this side the settings can be imported and exported.

According to program version individual properties can be missing or varying!

Window

1. | Default | Reset all settings on default.
2. | Refresh | Update the settings.
3. Show dialog in XP-Design Selection of the indicated design. At this time following designs are offered:

  • Classical Design
  • XP-Design
4. | Message boxes | List of all program messages, which can be deactivate by Show dialog again!
5. Language Selection of the indicated language. At this time following languages are offered:
  • English
  • German
  • Spanish (beta)
6. Wipe-level The wipe-level of original and temporary files can be defined with the slide control. This is for example necessary for the functionality abylon CRYPT or abylon PASTE. Following wipe-levels can be choose:
  • Level 0
    Remove the links (correspond to the normal deletion in the File Explorer)
  • Level 1
    Overwrite the data 1 times (Binary Zeros)
  • Level 2
    Overwrite the data 3 times (DOD - Standard = 1. Random Numbers + 2. Binary F + 3. Binary Zeros)
  • Level 3
    Overwrite the data 7 times (DOD II - Standard = 3x Binary Zeros + 3x Binary F + 1x Random Numbers)
  • Level 4
    Overwrite the data 13 times (3x Random Numbers + DOD - II + 2x Random Numbers + 1x Binary Zeros)
  • Level 5
    Overwrite the data 35 times (Peter Gutman Method - Description see document)

A higher wipe-level is safer but needs more time.
This slide control is disable in version abylon SHREDDER. In this software the module abylon PASTE use the wipe-level for files.
7. Export Export all important settings into a XML-file.

The X.509 certificates in the windows certificate data base can not be stored in the XML-file.
8. Import Import of XML-setting files to restore the used setting.

The X.509 software certificates must be installed separately.

The XML-file can also stored in the CTRL-directory of the program folder. The software import these settings automatically.

(c) 2001-2008 abylonsoft (Last Update / Stand 23.01.2008)


abylonsoft: abylon Settings > CryptMail

Settings > CryptMail

Setting-page for the module to encrypt and sign emails in Outlook (not Outlook Express).

According to program version individual properties can be missing or varying!

Window

1. Activate / Deactivate PlugIn Activates or deactivates the Outlook AddIn.
The buttons Signing and Encrypting (SME for...) and Decrypt and Verify (unpack SME...) will show or hide in the email program Outlook.
2. | Refresh | Update the settings.
3. Default Encryption ALG Selected encryption system and the used encryption algorithm.

At this time possible settings for the abylon CRYPTMAIL (Outlook):

  • HYBRID-System: Certificate based asymmetrical encryption according to the PKCS-procedure of RSA.

In the abylon Keymanagement you can define the encryption algorithm in case of the HYBRID-System.
4. | CryptMail via MAPI | Open a dialog for creating of emails. This module sends the email with your email-program, for example Outlook Express.

See also

  • abylon CRYPTMAIL Outlook AddIn
  • abylon CRYPTMAIL via MAPI
  • abylon Keymanagement

(c) 2001-2008 abylonsoft (Last Update / Stand 12.09.2006)


abylonsoft: abylon EINSTELLUNGEN (CryptZip)

Settings > CryptZip

Setting-page for the module to compress files and folders (ZIP format).

According to program version individual properties can be missing or varying!

Window

1. | Activate / Deactivate CRYPTZIP | Activates or deactivates abylon CRYPTZIP.
2. | Refresh | Update the settings.
3. | Linking | Set a link in the Registry, so that ZIP files opened with the abylon CRYPTZIP.
4. Default Encryption ALG Selected encryption system and the used encryption algorithm.

At this time possible settings for the abylon CRYPTZIP:

  • HYBRID-System: Certificate based asymmetrical encryption according to the PKCS-procedure of RSA.

In the abylon Keymanagement you can define the encryption algorithm in case of the HYBRID-System.

See also

  • abylon CRYPTZIP
  • abylon Keymanagement

(c) 2001-2008 abylonsoft (Last Update / Stand 12.09.2006)


abylonsoft: abylon Settings > CT32 > DLL

Settings > CT32-DLL

Setting-page for searching and defining the smartcard-reader-interface (CT32 - DLL) for memory chip cards.

Depending of the card reader an activated CT32-DLL can lead to problems with processor smartcards (e.g. Certificate smartcards). In this case deactivate the CT32-DLL.

According to program version individual properties can be missing or varying!

Window

1. | Search | Search on your computer for a CT32 -DLL (smartcard-reader-interface). This process can need some minutes.
2. | Refresh | Update the settings.
3. | Current CT32 - DLL | Display the installed CT32 - DLL. With ... can be selected an individual CT32 - DLL.
4. | Reset | Remove the link to displayed CT32 - DLL.
5. | Portadress (pn) | Indicate the port address of the card reader. With Automatic the program search the card reader at all ports. If you know the correct port, you can insert the port address for speed up.
6. | Read card | Read data over CT32-DLL from the memory card and list in field 10. Currently supported EEPROM memory chip cards SLE 4432 and SLE 4442. See compatibility on Hompage!
7. | Write card | Write the data from box 10 to the memory card.
8. | Write card with PIN | Write the data from box 10 after PIN entry to the memory card.
9. | Fill with random | Fill box 10 with random numbers.
10. | Hex editor box | Hex editor box for the display and editing of data. On the left are the hex values and on the right side of the plain text.

(c) 2001-2008 abylonsoft (Last Update / Stand 23.02.2007)


abylonsoft:abylon Settings >Explorer PlugIn

Settings > Explorer PlugIn

The setting-page for the Explorer PlugIn, which is available over the right mouse button in the MS File Explorer.

According to program version individual properties can be missing or varying!

Window

1. | PlugIn activate / deactivate | Activates or deactivates the File Explorer PlugIn.
2. | Refresh | Update the settings.
3. abylon SYMM CRYPT abylon SYMM CRYPT encrypt files with password or other secrets (e.g. USB-Stick or CD)!

Possible options:

  1. Show in Explorer menu
    Activate / Deactivate the module abylon SYMM CRYPT in the context menu of the File Explorer.
  2. Show CRYPT-ASSISTANT
    Activate / Deactivate the functionality abylon CRYPT ASSISTANT in the context menu of the File Explorer.
  3. Delete original files
    Automatic deletion of original files after encryption.
4. abylon HYBRID CRYPT Encrypt and / or sign files with certificate!

Possible options:

  1. Show in Explorer menu
    Activate / Deactivate the module abylon HYBRID CRYPT in the context menu of the File Explorer.
  2. Show CRYPT-ASSISTANT
    Activate / Deactivate the functionality abylon CRYPT ASSISTANT in the context menu of the File Explorer.
  3. Delete original files
    Automatic deletion of original files after encryption or signing. The Wipe - level (overwrite-cycles) is adjustable on the setting side COMMON.

    In case of Digital Envelope Files (SME) the original files will be deleted only, if you are the owner of the private key. Without corresponding private key (PKCS#12) the file can not be decrypted.
5. abylon SHREDDER abylon SHREDDER wipe files!

Possible options:

  1. Show in Explorer menu
    Activate / Deactivate the module abylon SHREDDER in the context menu of the File Explorer.
6. abylon CRYPTZIP abylon CRYPTZIP compress files!

Possible options:

  1. Show in Explorer menu
    Activate / Deactivate the module Open CRYPTZIP after zipping files
    Option for the behavior while creating ZIP-files.
    • Activate
      The dialog abylon CRYPTZIP is opened after compressing files.
    • Deactivate
      A ZIP-file is created without opening the dialog abylon CRYPTZIP.
  2. Open compress Zip-files with CryptZip
    Set a link in the Registry, so that ZIP files opened with abylon CRYPTZIP.
7. Abylon PASTE Abylon PASTE copy or move files optimized!

Possible options:

  1. Show in Explorer menu
    Activate / Deactivate the module abylon PASTE in the context menu of the File Explorer.
  2. Don't copy unchanged files
    This option controls the behavior of the functionality abylon PASTE, if the file already exist in the target folder.
    • Activate:
      Until the paste or move operation the modification file time is checked. Only if the source and folder time is different, the copy or move operation will done.
    • Deactivate:
      Every file will copy or move independent of the file time.

    The activation of this option can speed up the copy operation, because only changed files will be moved. This is helpful for big backup operations. In this case it's not necessary to copy all files or to check the file time individually.

  3. Keep newer source or target file
    This option controls the behavior of the functionality abylon PASTE, if the file already exist in the target folder.
    • Activate:
      Until the paste or move operation the modification file time is checked. If the file in the target folder is newer, the file will not be copied. If the file n the source folder is newer, the target file will be overwrite with the source file.
    • Deactivate:
      The source file will copy or move in each case, independent of the file time.
  4. Paste without further inquiry for existing or read-only files
    This option controls the behavior of the functionality abylon PASTE, if the file already exists in the target folder.
    • Activate:
      In the target folder the existing file will be overwritten without any further inquiring. Also in the case of read-only.
    • Deactivate:
      If a file must be overwritten, an inquiry-dialog is shown.
  5. Paste with Backup if target-file already exists
    This option controls the behavior of the functionality abylon PASTE, if the file already exists in the target folder.
    • Activate:
      Before the software overwrite a file, a backup-copy (BAK-Extension) will be created.
    • Deactivate:
      The file in the target folder will just be overwritten.
8. Abylon FIND Abylon FIND search files and folder! (>> Link)

Possible options:

  1. Show in Explorer menu
    Activate / Deactivate the module abylon FIND in the context menu of the File Explorer.
9. abylon DUPE FINDER abylon DUPE FINDER compare files and find documents witch characters are completely identical! (>> Link)
  1. Show in Explorer menu
    Activate / Deactivate the module abylon DUPE FIND in the context menu of the File Explorer.
10. abylon CLIENT SECURITY abylon CLIENT SECURITY deactivates sensitive devices on your computer!

Possible options:

  1. Deactivate Floppy drive A and B
    Deactivates the floppy disk drives A and B, so that these are not any longer indicated in the File Explorer.
  2. Deactivate CD- und DVD-drives
    Deactivates the CD- und DVD-drives, so that these are not any longer indicated in the File Explorer.
  3. Deactivate USB-drives
    Deactivates all USB-drives (e.g. USB-Sticks), so that these are not any longer indicated in the File Explorer.
11. Default Encryption ALG At this time possible settings for abylon SYMM CRYPT:
  • SYMM-AES
    Password based symmetrical encryption with the AES-algorithm (256 bit key length).
  • SYMM-Blowfish
    Password based symmetrical encryption with the Blowfish-algorithm (448 bit key length).

In the KEYMANAGEMENT you can define the using of passwords and / or secret(s)!

See also

  • abylon CRYPT PlugIn
  • abylon CRYPT ASSISTENT
  • abylon SHREDDER
  • abylon PASTE
  • abylon CERTMANAGER

(c) 2001-2008 abylonsoft (Last Update / Stand 23.02.2007)


abylonsoft: abylon EINSTELLUNGEN > Keymanagment

Settings > Keymanagment

Overview- and info-page for the Keymanagment with HBYRID- and SYMM-System declarations.

According to program version individual properties can be missing or varying!

Window

1. | HYBRID-System / SYMM-System | Change the default settings for all modules between the HYBRID- and SYMM-System.
2. | Refresh | Update the settings.
3. Private User (password-based) SYMM-System - Settings recommended for private persons and small companies:
The The symmetric encryption (SYMM-System) base on a secret, for example a password or in case of this software also a chip card (for example a Moneycard). For the encryption of the data you need the secret (password or chip card). As symmetrical encryption the software use the Blowfish- or AES-algorithm.
4. Companies (X.509 certificate-based) HYBRID-System - Settings recommended for companies:
The asymmetric encryption is based on X.509 certificates with corresponded key pairs. The data is encrypted with the public key and can only encrypted with the private key. The encryption with the public key is not possible. Through the high complex encryption algorithm the asymmetric encryption is often combined with a symmetric encryption algorithm (here Blowfish or AES). This is referred as HYBRID-System.

A SOFTWARE CERTIFICATE OR A CERTIFICATE CHIP CARD (TOKEN) PRESUPPOSE THIS OPTION!

With certificates data can be digital signed also.
5. On Removed Card or SHIFT + ESC Behavior of the computer when pulling Card/USB-Stick or if the key combination SHIFT + ESC pressed. Possible actions:
  • No Action: No action is implemented!
  • Only deactivate USB-Stick: Deactivate all USB-Sticks, in order to remove this from the computer!
  • Only close open objects: Closes all CRYPT objects (e.g. all opened CRYPTDRIVEs), in order to prevent the access!
  • Only lock computer: Locks the computer!
  • Deactivate USB-Stick and close open objects: Deactivate all USB-Sticks and close all open CRYPT-Objects!
  • Deactivate USB-Stick, close open objects and lock computer: Deactivate all USB-Sticks, close all open CRYPT-Objects and locks the computer in one step!
  • Reset File Explorer: Restart the File Explorer!
6. | Save Key-files | Save Key-files in the selected directory. Consideration will be the IMK-files from CRYPTDRIVEs and SHAREDDRIVEs, and the IMX-files from KEYSAFEs.

See also

  • abylon CERTMANAGER
  • Further settings for SYMM-System
  • Further settings for HYBRID-System

(c) 2001-2008 abylonsoft (Last Update / Stand 23.02.2007)


abylonsoft: abylon Settings > Keymanagment > HYBRID-System

Settings > Keymanagment > HYBRID-System

Setting-page for KeyManagment of the asymmetric encryption (HYBRID-System). Here the encryption- and signature-algorithm can be defined and tested, as well as the certificate manager can be opened.

According to program version individual properties can be missing or varying!

Window

1. | Certificatemanager | Open the abylon CERTMANAGER, the admin tool for all certificates and authorizations.
2. | Refresh | Update the settings.
3. | Certificatemanager as Systemuser | Open the abylon CERTMANAGER as Systemuser. In this context problems might occur with installed certificates in the abylon LOGON module.
4. | Encryption (RSA-OIDs) | Selecting of the encryption algorithms. The selected encryption algorithms must be supported from the CSP (Crypto Service Provider) and certificate. It can be tested with the Button 6. For further information see PKCS-Manual (http://www.rsa.com)
5. | Signature (RSA-OIDs) | Selecting of the signature algorithms. The selected signature algorithms must be supported from the CSP (Crypto Service Provider) and certificate. It can be tested with the Button 6. For further information see PKCS-Manual (http://www.rsa.com)
6. | Test Cryptsystem with your CSP | The CSP (Crypto Service Provider) enabled the access to the certificate on the token. Not every CSP support all encryption and signature algorithm. With the button you can test the settings (point 4 and 5.

See also

  • abylon CERTMANAGER

(c) 2001-2008 abylonsoft ( Stand 22.02.2007)


abylonsoft: abylon Settings > Keymanagment > SYMM-System

Settings > Keymanagment > SYMM-System

Setting-page for KeyManagment of the symmetric encryption (SYMM-System). Here can be define the file encryption with password or chip card.

According to program version individual properties can be missing or varying!

Fenster

1. | Password based / Card based | Change the standard between password based and card based Keymanagment
2. | Refresh | Update the settings.
3. Passwordbased Keymanagment In case of the SYMM-System occur the security (encryption or secure access) by input a password over the password dialog.

Recommend for user, who would like to enter the password over the keyboard always!
4. Smartcard- or Memorybased Keymanagment In case of the SYMM-System occur the security (encryption or secure access) through the use of a chip card, USB-Token, an external storage medium or a CD/DVD. A password is not necessary!

At this time supported mediums:

  • USB storage mediums
    Until now no restriction know with standard USB storage mediums, for example USB-Sticks, CompactFlash, MemoryStick or MultimediaCard
  • EC-/HBCI-MoneyCard with chip (Europe)
    For EC-HBCI-MoneyCards the PC/SC interface is necessary.
  • Memory cards (for example HEALTH INSURANCE CARD (Europe))
    For Memory cards the CT32-API is necessary.
    >> Help to CT32 - DLL options.
  • CD/DVD
    Empty CD's and DVD's cannot be used!
  • RFID-Radiocard

See also for point 6 Get SecureID
5. Smartcard- or Memorybased Keymanagment with password In case of the SYMM-System occur the security (encryption or secure access) through the use of a chip card, USB-Token, an external storage medium or a CD/DVD. For an extended security an additionally password must be entered!

At this time supported mediums:

  • USB storage mediums
    Until now no restriction know with standard USB storage mediums, for example USB-Sticks, CompactFlash, MemoryStick or MultimediaCard
  • EC-/HBCI-MoneyCard with chip (Europe)
    For EC-HBCI-MoneyCards the PC/SC interface is necessary.
  • Memory cards (for example HEALTH INSURANCE CARD (Europe))
    For Memory cards the CT32-API is necessary.
    >> Help to CT32 - DLL options.
  • CD/DVD
    Empty CD's and DVD's cannot be used!
  • RFID-Radiocard

See also for point 6 Get SecureID
6. Get SecureID Calculate the SecureID for all supported Smartcards (EC MoneyCard / Health Insurance Card) and USB storage mediums.
If you loose your card/USB storage medium or it is damaged you can insert this SecureID for the encryption or the access (for example CRYPTDRIVE or KEYSAFE)

For safety reasons deposit every SecureID at a secure place.
7. Settings In case of the chipcard and storage media based Keymanagement the media can be activated or deactivated.

At this time supported mediums:

  • CD/DVD
  • EC-/HBCI-MoneyCard with chip (Europe)
  • Memory cards (for example HEALTH INSURANCE CARD (Europe))
  • USB-Token and / or CompactFlash card
  • RFID-Radiocard
8. Get SecureID In case more than one Cardreader is installed the selection can be limited.
  • ANY CARDREADER
    The software accepts any Cardreader, CD/DVD-Drive and USB-storage media
  • Special Device
    The software only reacts on the selected device.

For the selection the device must be stuck in or a CD/DVD must be in the drive.

See also

  • abylon CERTMANAGER

(c) 2001-2008 abylonsoft (Last Update / Stand 22.02.2007)


abylonsoft: abylon Settings > Logon

Settings > Logon

The additional protection of the windows system boot.

According to program version individual properties can be missing or varying!

Window

1. | Activate / Deactivate LOGON | Activates or deactivates the abylon LOGON module, the addition protection of the windows system boot.
2. | Refresh | Update the settings.
3. If you remove the media: Possible options:
  • ...do nothing [Ctrl]: Nothing is done after removing your media.
  • ...Lock Computer [Shift]: After removing your media, the computer will be Locked
  • ...Logout Computer [Alt]: After removing your media, the computer will be Logout.
  • ...Shutdown Computer [Alt+Ctrl]: After removing your media, the computer will be Shutdown.

This setting is ignored, if the shown button (brackets) is pressed simultaneously during the removing of the media. For example the computer is logged out in any case, if the Alt-button is pressed.
4. | Faster / Slower | With this slider you can manage the speed during the abylon LOGON process. If you have problems move the slider to the right side (slower). In other cases you can speed up the process (faster).
5. List of accounts List of all created account with listing of name, domain, card-type, account-id, account file, and encryption algorithm.

Possible media types:

Certificate Smartcard / Token
EC / HBCI Moneycard (with Chip)
Memory-Card
External Memory-Device (e.g. USB-Stick)
CD / DVD
RFID-Radio-Card
6. Create Account Simulate the abylon LOGON process to create an account.

Please note, that the abylon LOGON with smartcards is only possible, if no software certificate installed in the system user certificate data base My. Please check this in the abylon CERTMANAGER with removed media.
7. | Remove Account | Delete the selected account from list 5.
8. Test Accounts Simulate the abylon LOGON process to test an account.

The simulation process corresponds not in all details with the real logon process. Therefore DON'T deactivate the Cancel (ESC) option during the first real testing. In this case, if you have problems, you can change to the normal logon mask.

See also

  • Help to abylon LOGON
  • Help to CT32 - DLL

(c) 2001-2008 abylonsoft (Last Update / Stand 22.02.2007)


abylonsoft: abylon EINSTELLUNGEN > Logon > Extended

Settings > Logon > Extended

The additional protection of the windows system boot.

According to program version individual properties can be missing or varying!

Window

1. Test Accounts Simulate the abylon LOGON process to test an account.

The simulation process corresponds not in all details with the real logon process. Therefore DON'T deactivate the Cancel (ESC) option during the first real testing. In this case, if you have problems, you can change to the normal logon mask.
2. Refresh Update the settings.
3. Allowed at Windows-Logon Allowed Media:
  • Certificate Smartcard / Token: Certificate based smartcards are accepted to logon process, for example USB eToken from Aladdin.
  • EC/HBCI Moneycard (with Chip): Accept EC MoneyCards with chip (Europe) for Windows Logon.
    For EC MoneyCards the PC/SC interface is necessary.
  • Memory-Card: Accept different Memory-Cards for Windows Logon, for example 'Health Insurance Card (Europe)'.
    For Memory-Cards a CT32-API is necessary
    >> Help to CT32 - DLL Settings
  • External Memory-Device (e.g. USB-Stick): Accept all commercial USB storage media for Windows Logon, which have an access during the logon time (apply a drive). For example all commercial USB-Sticks or further external storage media like CompactFlash, MEMORY Stick or Multimedia-Card can be use.
  • CD / DVD: Accept all CDs or DVDs for Windows Logon, which contains enough data for create an individual key.
    Empty CDs and DVDs can't be used!
  • RFID- Radio card: RFID- Radio cards are accepted during to logon process (Please aks the producer for compatibility)
4. Logon behavior

Possible options:

  • Allow changing to normal logon with cancel (ESC) in Logon-Mode
    Allow or disallow during the Logon the changing to the normal windows logon.
    The activation of this point increase the protection, but in case of losing or damaging the smartcard complete access to the computer is not possible.
  • Allow changes to normal logon with cancel (ESC) in Lock-Mode
    Allow or disallow the changing to the normal windows logon, during the computer is locked. Don't allow create accounts for new smartcards at Windows-Logon
    Allow or disallow the creating of new accounts during the logon process. If this option is activated, the accounts can only create over the button Create Account.
    The activation of this point increase the protection, but in case of losing or damaging the Smartcard/Token the complete access to the computer is not possible.
  • Should the user enter the Logon-password for symmetrical cards?
    abylon LOGON make the starting of the operating system easier, by supporting various media for authentication. In order to get an additional security during the login, the input of the password can be activate. That require the correct medium AND the input of the password for login.
  • Should the security dialog (SAS: PRESS CTRL+ALT+DEL TO LOGON) disabled?
    At modern windows system the entering of CTRL+ALT+DEL can be activate. This guarantees that all processes for logging the password are cancelled. On activation this safety option is jumped over.
    In case of Windows NT this option can't be deactivated normally.
  • Should the security dialog (SAS: PRESS CTRL+ALT+DEL TO LOGON) deactivated?
    At modern windows system the entering of CTRL+ALT+DEL can be activate. This guarantees that all processes for logging the password are cancelled. To deactivate this safety option select this point.
    In case of Windows NT this option can't be deactivated normally.
  • Should the module call GINACHAIN to load other GINA's?
    Behind the Microsoft Windows Logon is the so-called GINA (Graphical Identification and Authentification). This GINA is exchanged by our software and many other programs, for example virus scanner. If more than one program need an own GINA, this are normally build a chain.
    ACTIVATE usually this possibility in order to avoid problems!
  • Should the logon data changed daily automatically with random data?
    If this option is activated, your logon password changed once a day, without that you will be notified. It is a long and random password.
    This block also the login in the Safe Mode. You should certainly have the opportunity to login the account, such as an alternative administrator account.
5. Certificate options

Possible options:

  • Allow only certificates, that are checked on revocation lists
    The certificate on the smartcards can be check on revocation lists. In case of activation only not blocked certificates are allowed to logon!
    Activate this options only, if you know, what you are doing. If your Smartcard or certificate don't support a revocation list or a direct connection is not possible, the logon to the computer is not possible.
  • Is the availability of private key to be tested intensively? This is necessary with some CSPs, which register a permanent link into the data base!
    The activation of this option is necessary, if the CSP enters the certificate into the Windows certificate database. In this case an additional authentication with password is necessary.
    If several Smartcard reader or USB-Token are connected, the password must be entered for every device!
  • Should the certificate database Own Certificates from SYSTEMUSER reset?
    The CSP's (Crypto Service Provider) normally insert a link of the certificate on the tokens (USB-Token or Smartcard) in the Windows certificate database. This is necessary for the access of the software to the certificate. Some CSP's don't remove this link after the operation, which is normally no problem. If several persons logon at the same computer, the certificate database fill itself with links. In this case you must select the correct link from a list. On activation all links are removed and the selection window don't show up.

See also:

  • abylon LOGON
  • Help to CT32 - DLL

(c) 2001-2008 abylonsoft (Last Update / Stand 23.02.2007)


abylonsoft: abylon EINSTELLUNGEN > Logon > System

Settings > Logon > System

The additional protection of the windows system boot.

According to program version individual properties can be missing or varying!

Window

1. Test Account Simulate the abylon LOGON process to test an account.

The simulation process corresponds not in all details with the real logon process. Therefore don't deactivate the Cancel (ESC) option during the first real testing. In this case, if you have problems, you can change to the normal logon mask.
2. Refresh Update the settings.
3. Certificate access over external program function Many CSPs (Crypto Service Provider) offer a program module, which are insert a link in the Microsoft certificate database of the certificate on the Smartcard or USB-Token. This link is necessary for our software to use the certificate. The program module can be an EXE- or DLL-file.

Our software detect numerous of the program modules automatically and add them to the list. Alternatively you can add it manually.

In order to know the appropriate files, please read the guidance of your smartcard or contact their manufacturer.
4. Certificate access over internal program function As an alternative to point 3 the software also offer a direct access to the certificates on the smartcard or USB-Token. For this select the appropriate CSP in the pull down menu. This CSP must be entered correctly in the registry and offer a corresponding interface.

Normally the correct CSP is to be recognized by the name. Alternatively ask the manufacturer or read their help file.
5. Default Encryption ALG Selected encryption system and the used encryption algorithm.

At this time possible settings for the abylon LOGON:

  • HYBRID-AES
    Certificate based asymmetrical key administration according to the PKCS-procedure of RSA and internal data encryption with the AES-algorithm (256 bit key length)
  • HYBRID-Blowfish
    Certificate based asymmetrical key administration according to the PKCS-procedure of RSA and internal data encryption with the Blowfish-algorithm (448 bit key length).
6. Card Reader Allowed Media:
  • ANY CARDREADER
    The software reacts to all card readers, CD/DVD drives and USB storage media!
  • Special Device
    The software reacts only to selected device, like the card reader, the CD/DVD drive or a USB storage media. This prevents the unwanted locking of the computer!

Individual selection the appropriate Device or CD/DVD must be available!

See also:

  • abylon LOGON

(c) 2001-2008 abylonsoft (Last Update / Stand 22.02.2007)


abylonsoft: abylon Settings > Manager

Settings > Manager

The abylon MANAGER setting-page for starting all modules (tray icon, quick start and window).

According to program version individual properties can be missing or varying!

Window

1. | Activate / Deactivate Protection Manager | Activates or deactivates the tray icon left to the clock.
2. | Refresh | Update the settings.
3. | Foreground | In the case of activation the abylon MANAGER is always in foreground.
4. | Start Automatically | Starts automatically the abylon MANAGER (tray icon or window) during the boot process (start of operation system)

See also

  • abylon MANAGER

(c) 2001-2008 abylonsoft (Last Update / Stand 22.02.2007)


abylonsoft: abylon SHREDDER

abylon SHREDDER

Only abylon ENTERPRISE Im Funktionsumfang dieser Version and abylon SHREDDER Im Funktionsumfang dieser Version

The working with the computer and the browsing in the internet leave numerous digital traces on the disk. The normal functions of the operating system don’t delete these traces completely. Special software can recover the data. With their assistance it is possible to still read deleted documents or your visited internet sites can reconstructed also after weeks. In order to really delete files, the abylon SHREDDER overwrites the complete data up to 35 times. An additional option is the cleaning of the not used disk between the files, the so-called freespace and clustertip. Also your internet traces, as the history, the cookies or the cache can deleted irrevocably. And if you sell or dispose your computer, then also all files on all drives can be wiped in one step.

Functional range:

  • Wiping of Files and Folders
  • Wiping of Internet traces
    • Supported Browser:
      • Internet Explorer
      • Firefox
      • Netscape
      • Opera
    • Supported functions:
      • History
      • INDEX.DAT
      • Cache
      • Cookies
      • Form data
      • Login information and Passwords
      • Download-List
  • Wiping of Freespace, Clustertips, Master File Table (MFT), Directory- and File entries
  • Wiping of complete drives
  • Scanning drives for deleted files
  • Full integration into the MS File Explorer
  • Drag & Drop
  • Finding and wiping of temporary files
  • Empty Recycle Bin
  • Six wipe-levels (maximum Peter Gutman Methode with 35 overwrite circles)
  • Automatic closing of the window or shutdown of the computer after wiping was successful
  • NEW - AutoCleaner: Automatically background cleaner
  • NEW - Dupe Finder: Searching duplicate files
  • NEW - Optimize surface
  • NEW - Fast mode: Reduces the overwriting of files to a minimum
  • NEW - Optimized export of settings
  • NEW - Automatically update to new versions
  • NEW - Improved Administration in companies

Window

  • Cleanup Complete
  • Wipe File(s)
    • abylon SHREDDER
    • abylon Dupe finder
  • Cleanup Drive(s)
    • CleanUp FREE-SPACE
    • Wipe Drive(s)
    • Scan Drive(s)
  • Wipe temporary files
  • Wipe Internet tracks
  • Background Cleaner

(c) 2001-2008 abylonsoft (Last Update / Stand 22.01.2008)


abylonsoft: abylon SHREDDER > Background Cleaner

abylon SHREDDER > Background Cleaner

1. Side selection of the abylon SHREDDER Following pages are available in the abylon SHREDDER:
  • Cleanup Complete
  • Wipe File(s)
    • abylon SHREDDER
    • abylon Dupe finder
  • Cleanup Drive(s)
    • CleanUp FREE-SPACE
    • Wipe Drive(s)
    • Scan Drive(s)
  • Wipe temporary files
  • Wipe Internet tracks
  • Background Cleaner
2. Options Possible Options:
  • Local temporary files
    Wipe temporary files, according to the specified settings and selected timing in minutes.
  • Local temporary Internet files
    Wipe temporary internet files, according to the specified settings and selected timing in minutes.
    Bei Aktivierung der zusätzlichen Option Ignore open browser werden auch alle nicht in Verwendung befindlichen temporären Internetdateien gelöscht.
  • Windows history files
    Delete the windows history, according to the specified settings and selected timing in minutes.
  • Drives
    Wipe the freespace of drives, according to the specified settings and selected timing in days.
  • Local recycle bin
    Delete the local windows recycle bin, according to the specified settings and selected timing in minutes.

With a value of 0 is the appropriate option is not executed!
3. Close program after wipe file(s) In the case of selection the window is closed directly after the wipe operation was successful.
4. Start Background cleaner Start and stop the automatically Background cleaner according the settings.

Description of background cleaning on the appropriate page

See also

  • abylon SHREDDER Übersicht

(c) 2001-2008 abylonsoft (Last Update / Stand 10.12.2007)


abylonsoft: abylon SHREDDER > Complete

abylon SHREDDER > Complete

1. Side selection of the abylon SHREDDER Following pages are available in the abylon SHREDDER:
  • Cleanup Complete
  • Wipe File(s)
    • abylon SHREDDER
    • abylon Dupe finder
  • Cleanup Drive(s)
    • CleanUp FREE-SPACE
    • Wipe Drive(s)
    • Scan Drive(s)
  • Wipe temporary files
  • Wipe Internet tracks
  • Background Cleaner
2. Options Next points are wiped in one step:
  • CleanUp local temporary files (according to settings)
  • CleanUp local temporary Internet files (Internet Explorer) (according to settings)
  • CleanUp local windows history files (according to settings)
  • CleanUp drive(s) (according to settings)
  • CleanUp local recyclebin

You find descriptions to the individual points on the corresponding pages.
3. General settings Possible settings:
  • Show SHREDDER in MS File Explorer menu:
    In case of activation the entry abylon SHREDDER will show under the pull-down menu of the right mouse button in your File Explorer.
  • Show menu in SHREDDER menu:
    Show or hide the menu in this window.
  • Create Logfile:
    Log all actions' in a file.
4. | Settings | Open the setting dialogue.
5. Install modules on USB-Stick /
Install modules on client /
Delete modules from client
  • Install modules on USB-Stick
    Provides an executable version of the program with your settings on the USB-Stick. All modules and functions, which do not need administrative rights or a service, can be started directly from the USB-Stick.
  • Install modules on client
    Installs the version of your USB-Stick on the client and transfers all your settings. This needs administrative rights and a new registration key!
  • Delete modules from client
    Removes the complete software with all files and attitudes from the client!

These button show the functions context sensitive!
6. Start Background cleaner Start and stop the automatically Background cleaner according the settings.

Description of background cleaning on the appropriate page
7. | SHUTDOWN | Shutdown the computer after the complete delete process.
8. | Help | Opens the Help file
9 | CleanUp complete | Delete all data according to the selection.
10. | Close | Close the window

See also

  • Overview abylon SHREDDER
  • File Explorer AddIn

(c) 2001-2008 abylonsoft (Last Update / Stand 22.01.2008)


abylonsoft: abylon SHREDDER > CleanUp Freespace

abylon SHREDDER > CleanUp Freespace

This option is offered only in the test phase and the registered version!

1. Side selection of the abylon SHREDDER Next sites are available in the abylon SHREDDER:
  • Cleanup Complete
  • Wipe File(s)
    • abylon SHREDDER
    • abylon Dupe finder
  • Cleanup Drive(s)
    • CleanUp FREE-SPACE
    • Wipe Drive(s)
    • Scan Drive(s)
  • Wipe temporary files
  • Wipe Internet tracks
  • Background Cleaner
2. | Select drives | In this list all drives on your computer are indicated and can be selected here!
3. OPTIONS: CleanUp Drive(s) Possible options for the drive cleaning:
  • CleanUp FREE-SPACE
    FREESPACE is the place on the disk, where no file store at the moment. Special software can be restore the remaining data. On activation all this place are overwrite according to the wipe-level.
  • CleanUp CLUSTER-TIPS
    The hard disk is divided into many parts of the same size, the so-called sectors. Several sectors together are a cluster. Every file store in one cluster or if the file is bigger in two or more clusters. Normally the file size is not exactly the size of one or more clusters. For this reason at the end of the cluster is a small size free. This part is referred as CLUSTER-TIP, where rests of critical data can be store. On activation this place are overwrite according to the wipe-level.
  • CleanUp Directory- and Fileentries (NOT BY NETWORK)
    On the hard disk(s) the file and folder names are stored in a central table. In order to find the file on the hard disk, also the memory location (address) stands here. On NTFS drives (only Win NT/2000/XP/Vista) also the file attributes and in case of small files also the complete file content store here (Master File Table MFT). During the normal deletion only the 1st character is changes of the file name. Every further information keeps on existing until the next overwriting and can be reconstructed.
4. On ShutDown reset PAGEFILE The file pagefile.sys can't delete during the using of the computer. For this reason the file can be reset in the shutdown phase.

This option is only available for Windows 2000, XP and Vista and can be activate only with administrator rights.
5. Wipe-level The wipe-level can be defined with the slide control:
  • Level 0
    Remove the links (correspond to the normal deletion in the File Explorer)
  • Level 1
    Overwrite the data 1 times (Binary Zeros)
  • Level 2
    Overwrite the data 3 times (DOD - Standard = 1. Random Numbers + 2. Binary F + 3. Binary Zeros)
  • Level 3
    Overwrite the data 7 times (DOD II - Standard = 3x Binary Zeros + 3x F + 1x Random Numbers)
  • Level 4
    Overwrite the data 13 times (3x Random Numbers + DOD - II + 2x Random Numbers + 1x Binary Zeros)
  • Level 5
    Overwrite the data 35 times (Peter Gutman Method - Description see document)

A higher wipe-level is safer but needs more time!
6. | SHUTDOWN | The deletion process can need a lot of time, so that an automatic shutdown of the computer can be useful.
7. | CleanUp FREE-SPACE | This button starts the cleaning process for the selected drives.

See also

  • Overview abylon SHREDDER
  • Wipe drive(s)
  • Scan drive(s)

(c) 2001-2008 abylonsoft (Last Update / Stand 22.01.2008)


abylonsoft: abylon SHREDDER > Dupe finder

abylon SHREDDER > Dupe finder

1. Side selection of the abylon SHREDDER Following pages are available in the abylon SHREDDER:
  • Cleanup Complete
  • Wipe File(s)
    • abylon SHREDDER
    • abylon Dupe finder
  • Cleanup Drive(s)
    • CleanUp FREE-SPACE
    • Wipe Drive(s)
    • Scan Drive(s)
  • Wipe temporary files
  • Wipe Internet tracks
  • Background Cleaner
2. | Add | Opens a dialogue for directory selection. The selected directories are searched for duplicate files and the result show in list 5.
3. | Reset | Reset list 5 and remove all entries.
4. | Open | Open the selected file 5 with the appropriate program.
5. File list Display all duplicate files in the selected directories. Identical files are show in the same color.

During the search operation each characters of the files are compared (Exclusion Fastmode). Also files with different names are found.
6. | High-speed search | The High-speed search option speeds up the search process. In this case only the beginning and end of the file are compared.
7. Wipe-level The wipe- level can be defined with the slide control:
  • Level 0
    Remove the links (correspond to the normal deletion in the File Explorer)
  • Level 1
    Overwrite the data 1 times (Binary Zeros)
  • Level 2
    Overwrite the data 3 times (DOD - Standard = 1. Random Numbers + 2. Binary F + 3. Binary Zeros)
  • Level 3
    Overwrite the data 7 times (DOD II - Standard = 3x Binary Zeros + 3x F + 1x Random Numbers)
  • Level 4
    Overwrite the data 13 times (3x Random Numbers + DOD - II + 2x Random Numbers + 1x Binary Zeros)
  • Level 5
    Overwrite the data 35 times (Peter Gutman Method - Description see document)

A higher wipe- level is safer but needs more time!
8. | Wipe Fastmode | Fast wiping of header information from large files. In this case 10 percent of the beginning and the end of the file are deleted, whereby you can saving up to 80 percent of time. Files smaller 10 MB are wiping complete also in the fastmode.
9. | Wipe file(s) | Wipe the selected files in list 5.

See also

  • Overview abylon SHREDDER
  • File Explorer AddIn

(c) 2001-2008 abylonsoft (Last Update / Stand 10.12.2007)


abylonsoft: abylon SHREDDER (Scan drives)

abylon SHREDDER > Scan drive(s)

This functionality is only for examination of the shredding process and don't replace commercial Recovery tools! For scanning administration rights are necessary!

1. Side selection of the abylon SHREDDER Following pages are available in the abylon SHREDDER:
  • Cleanup Complete
  • Wipe File(s)
    • abylon SHREDDER
    • abylon Dupe finder
  • Cleanup Drive(s)
    • CleanUp FREE-SPACE
    • Wipe Drive(s)
    • Scan Drive(s)
  • Wipe temporary files
  • Wipe Internet tracks
  • Background Cleaner
2. | Select drives | In this list all drives on your computer are indicated and can be selected here.
3. File list Show all indicated deleted files, which were found during the scan procedure!

Save the selected file with double click.
4. | Scan drive(s) | Start the scan procedure.

(c) 2001-2008 abylonsoft ( Stand 10.12.2007)


abylonsoft: abylon SHREDDER > Internet

abylon SHREDDER > Internet tracks

1. Side selection of the abylon SHREDDER Next sites are available in the abylon SHREDDER:
  • Cleanup Complete
  • Wipe File(s)
    • abylon SHREDDER
    • abylon Dupe finder
  • Cleanup Drive(s)
    • CleanUp FREE-SPACE
    • Wipe Drive(s)
    • Scan Drive(s)
  • Wipe temporary files
  • Wipe Internet tracks
  • Background Cleaner
2. Windows List of all possible options:
  • List of the programs/documents started last (Start>Run)
    The programs and documents, which opened among Start>Documents you find the last opened documents, these are deletes on activation.
3. Browser Up-to-date supported browser
  • Internet Explorer (with Version 5.0)
  • Firefox (with Version 1.0)
  • Netscape (with Version 7.0)
  • Opera (with Version 8.0)

Only the installed browsers' and their options are displayed!

List of all possible options:

  • Clear History
    Activate this checkbox, if you want to reset / delete your history list. The history list contains all visited pages.
  • Reset INDEX.DAT for complete history
    In the file INDEX.DAT the Internet-Explorer or File Explorer save for example information about visited sides or cookies. After the official deleting process you can find secret information in this file on the hard-disc. All the time this file is in use and therefore it can't delete without system-boot normally. The abylon SHREDDER close all references before wiping this file. In order to avoid problems, you should close all open software (Explorer and Outlook) before. The File Explorer will be reset automatically after wiping the INDEX.DAT.
  • Remove Cookies
    Activate this checkbox, if you want to remove all Cookies from your computer. Cookies are saved by some internet pages to keep data for your next visit.
  • Clear Cache
    Activate this checkbox, if you want to reset / delete / destroy your hole internet cache. The visited internet sites will be saved in the cache directory from Internet Explorer. If you visit the same page again, the data must not be transfer again and the site can be displayed faster. The problem is, everyone can see these files and which sides were visited. An other way is, to change your internet cache to our encrypted virtual drive. This drive can be locked after your internet connection and nobody can see, which pages you are visited.
  • Remove Form data (not Opera)
    Optional the browser save all form data. At the next visit of the same internet page the browser fills in the data automatically in the correct fields.
  • Remove Login information and Passwords
    Optionally the browser save all user names and passwords. They are inserted automatically until the next visit of the web page.
  • Clear Download-list
    The download-list contains all files downloaded from the web.
4. Wipe-level The wipe-level can be defined with the slide control:
  • Level 0
    Remove the links (correspond to the normal deletion in the File Explorer)
  • Level 1
    Overwrite the data 1 times (Binary Zeros)
  • Level 2
    Overwrite the data 3 times (DOD - Standard = 1. Random Numbers + 2. Binary F + 3. Binary Zeros)
  • Level 3
    Overwrite the data 7 times (DOD II - Standard = 3x Binary Zeros + 3xBinary F + 1x Random Numbers)
  • Level 4
    Overwrite the data 13 times (3x Random Numbers + DOD - II + 2x Random Numbers + 1x Binary Zeros)
  • Level 5
    Overwrite the data 35 times (Peter Gutman Method - Description see document)

A higher wipe-level is safer but needs more time.
5. | Close window after wipe file(s) | In the case of selection the window is closed directly after the wipe operation was successful.
6. | Remove | Click this button to start the wipe process on your computer.

See also

  • Overview abylon SHREDDER

(c) 2001-2008 abylonsoft (Last Update / Stand 10.12.2007)


abylonsoft: abylon SHREDDER (Wipe Files)

abylon SHREDDER > Wipe Files

1. Side selection of the abylon SHREDDER Next sites are available in the abylon SHREDDER:
  • Cleanup Complete
  • Wipe File(s)
    • abylon SHREDDER
    • abylon Dupe finder
  • Cleanup Drive(s)
    • CleanUp FREE-SPACE
    • Wipe Drive(s)
    • Scan Drive(s)
  • Wipe temporary files
  • Wipe Internet tracks
  • Background Cleaner
2. | Add | Open the select file dialog and the selected files are added to list 8.
3. | Remove | Remove the selected files from list 8.
Reset | Reset list 8 and remove all entries.
4. | Open | Open the selected file 8 with the appropriate program.
5. | Temporary files | Search the temporary files and list 8 them for the wipe operation.
6. | Empty Recycle Bin | Deletes the contents of all recycle bins irrevocable.
7. | File list | Display all files, that will be wiped on click the button Wipe file(s)
8. Wipe-level The wipe-level can be defined with the slide control:
  • Level 0
    Remove the links (correspond to the normal deletion in the File Explorer)
  • Level 1
    Overwrite the data 1 times (Binary Zeros)
  • Level 2
    Overwrite the data 3 times (DOD - Standard = 1. Random Numbers + 2. Binary F + 3. Binary Zeros)
  • Level 3
    Overwrite the data 7 times (DOD II - Standard = 3x Binary Zeros + 3x Binary F + 1x Random Numbers)
  • Level 4
    Overwrite the data 13 times (3x Random Numbers + DOD - II + 2x Random Numbers + 1x Binary Zeros)
  • Level 5
    Overwrite the data 35 times (Peter Gutman Method - Description see document)

A higher wipe-level is safer but needs more time.
9. | Close program after wipe file(s) | In the case of selection the window is closed directly after the wipe operation was successful.
10. | Wipe fastmode | Fast wiping of header information from large files. In this case 10 percent of the beginning and the end of the file are deleted, whereby you can saving up to 80 percent of time. Files smaller 10 MB are wiping complete also in the fastmode.
11. | Wipe file(s) | Click this button, to start the wipe file process 8 for your selected files and directories.

See also

  • Overview abylon SHREDDER

(c) 2001-2008 abylonsoft (Last Update / Stand 10.12.2007)


abylonsoft: abylon SHREDDER

abylon SHREDDER > Wipe Drive(s)

This option is offered only in the registered version and needs administrator rights!

This option is not offered for Windows 98 and Me!

Window

1. Side selection of the abylon SHREDDER Next sites are available in the abylon SHREDDER:
  • Cleanup Complete
  • Wipe File(s)
    • abylon SHREDDER
    • abylon Dupe finder
  • Cleanup Drive(s)
    • CleanUp FREE-SPACE
    • Wipe Drive(s)
    • Scan Drive(s)
  • Wipe temporary files
  • Wipe Internet tracks
  • Background Cleaner
2. Select drives In this list all drives on your computer are indicated and can be selected here.
3. Info text This info text should be absolutely considered!

With the option Wipe drive(s) ALL files on the selected drives are deleted irreversible (on operating system drive also the Windows files)! Afterwards the selected drives are complete empty and maybe a new operating system must be installed!
This option is particularly for users, who would like to sell or destroy the computer without data traces.
4. Wipe-level With the slide control can be define the wipe-level:
  • Level 0
    Removing of the links (Correspond to the normal deletion in the File Explorer)
  • Level 1
    Overwrite the data 1 times (Binary Zeros)
  • Level 2
    Overwrite the data 3 times (DOD - Standard = 1. Random Numbers + 2. Binary F + 3. Binary Zeros)
  • Level 3
    Overwrite the data 7 times (DOD II - Standard = 3x Binary Zeros + 3x Binary F + 1x Random Numbers)
  • Level 4
    Overwrite the data 13 times (3x Random Numbers + DOD - II + 2x Random Numbers + 1x Binary Zeros)
  • Level 5
    Overwrite the data 35 times (Peter Gutman Method - Description see document)

A high wipe-level are safer but needs more time.
5. Wipe drive(s) By pressing the button on the selected drives ALL files are deleted irreversible
See Info-Text!

(c) 2001-2008 abylonsoft (Last Update / Stand 22.01.2008)


abylonsoft: abylon SHREDDER > Temporary Files

abylon SHREDDER > Temporary Files

1. Side selection of the abylon SHREDDER Following pages are available in the abylon SHREDDER:
  • Cleanup Complete
  • Wipe File(s)
    • abylon SHREDDER
    • abylon Dupe finder
  • Cleanup Drive(s)
    • CleanUp FREE-SPACE
    • Wipe Drive(s)
    • Scan Drive(s)
  • Wipe temporary files
  • Wipe Internet tracks
  • Background Cleaner
2. | Current folder | Display of the current in 3 selected folder.
3. Folder structure on your computer Display of the directory structure on your computer.
Here you can select directories (blue tick) whose contents can be completely delete in regular distances. This is particularly meaningful with folders of temporary files.
4. | Input field for filename extensions | Input field for filename extensions.
5. | Add filename extension | Add the filename extension of the field 4.
6. Temporary file extension Viele Programm legen temporäre Dateien an, die nicht immer gelöscht werden. Dieser Datenmüll belegt Speicher auf Ihrer Festplatte, ohne das die Dateien gebraucht werden.

Many programs create temporary files, which often not deleted. This date dust allocates memories on your hard disk, without needing. For this reason, scan in regular distances your hard disk with the abylon SHREDDER.
7. | Remove file extension | Remove the selected file extension from list 9. In future the abylon SHREDDER does not search this file-types on your hard disc.
8. | Search and wipe temporary file(s) | Wipe the temporary files according the settings.

See also

  • Overview abylon SHREDDER

(c) 2001-2008 abylonsoft (Last Update / Stand 10.12.2007)


abylonsoft: abylon SIGNATUREINFO

abylon SIGNATURINFO

The abylon SIGNATURINFORMATIONS Dialog: After you have verify a signed SGN-file or unpack a SME-file, this signature information dialog is shown. It gives information about the authenticity of the file (unmodified) and the file signer.

Window

1. | Info text | Display of further important information.
2. | Open file | Open the signed file with the corresponding program.
3. | Save list | Save the the signature information from list 7 in a text file.
4. | Info | Show further information of the certificate owner.
5. | Certificate manager | Open the abylon CERTMANAGER.
6. | Check certificate | Check the selected certificate in list 7 information are shown in the check cert dialog In order to check the revocation list an online connection is necessary.
7. | Signature information list | In this list some important information are indicated. The 2nd and 3rd column are most important with the signer and the signature status.
8. | Check certificate(s) in revocation list | In the case of activation all certificates in list 7 are checked automatic on revocation lists. In order to check the revocation list an online connection is necessary.
9. | OK | You confirm the signature with the button OK and go on with the process.

See also

  • abylon CERTMANAGER
  • abylon certificate checkup dialog

(c) 2001-2008 abylonsoft (Last Update / Stand 20.02.2007)


abylonsoft: Lexikon

Lexikon (Glossar)

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

2DES
(>> DES)

3DES
(>> DES)

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

AES
(Advanced Encryption Standard) [symmetrische Verschlüsselung] ist das offizielle Nachfolgeverfahren von DES. Bei einem Wettbewerb im Jahre 2000 hat sich schließlich der belgische Algorithmus RIJNDAEL durchgesetzt. Die Juroren begründeten ihre Entscheidung mit den Argumenten, Rijndael sei sicher, verhältnismäßig leicht in Soft- und Hardware zu implementieren und es biete somit ausreichenden Schutz für die nächsten 100 Jahre. (Das ist natürlich eine grobe Schätzung)
(>> DES, symmetrische Verschlüsselung)

ASN.1
(Abstract Syntax Notation One) ist ein systemtunabhängiges Datenformat, was zum Datenaustausch von Informationen zwischen verschiedenen Systemen verwendet wird)

Asymmetrische Verschlüsselung

Im Gegensatz zur symmetrischen Verschlüsselung (Sectret Key Verfahren) mit Ihrem unsicheren Schritt des Schlüsselaustausches bietet die asymmetrische Verschlüsselung (Public Key Verfahren) durch die Verwendung eines Schlüsselpaares (privater und öffentlicher Schlüssel) die Möglichkeit der sicheren Kommunikation über unsichere Kommunikationswege (Internet). Mit dem allgemein zugänglichen öffentlichen Schlüssel (Bild: rot) von Person A wird die Datei verschlüsselt. Danach ist ein sicherer Datenaustausch auch über unsichere Kanäle wie das Internet möglich, denn nur Person A kann mit seinem privaten (geheimen) Schlüssel (Bild: blau) die Datei entschlüsseln.

Ausführlich:
Von den genannten Verschlüsselungsverfahren (asymmetrische und symmetrische) ist das asymmetrische Verschlüsselung (Public Key Verfahren) auf jedem Fall die sichere Methode. Der Nachteil ist der hohe mathematische Aufwand und damit die Schwierigkeit, große Datenmengen ONLINE zu verschlüsseln. Aus diesem Grund wird in der Regel ein Hybridverfahren verwendet, wobei symmetrische und asymmetrisch (Public Key Verfahren) Verschlüsselung (Secret Key Verfahren) kombiniert werden. Wie der Name Secret Key schon sagt, darf der Schlüssel bei den symmetrischen Verfahren keinem anderen als Dir bekannt sein. Beim Hybridverfahren wird zuerst mit einem Zufallsgenerator ein Passwort (Secret Key) erzeugt, mit dem dann nach einem symmetrischen Verschlüsselungsverfahren (z. B. 3DES) die Daten verschlüsselt werden. Dies geht relativ schnell. Danach wird nur das Zufallspasswort (Secret Key) mit einem öffentlichen Schlüssel (Public Key) nach dem asymmetrischen Verfahren verschlüsselt und an die Datei angehangen. Nur der Empfänger, der im Besitz des entsprechenden privaten Schlüssels (Privat Key) ist, kann damit das Passwort (Secret Key) entschlüsselt. Dadurch ist er nun in der Lage die kompletten Daten zu entschlüsseln. Der Vorteil bei diesem Hybridverfahren ist, dass das Passwort nicht unverschlüsselt über öffentliche Kanäle (Internet, Telefon) übermittelt werden muss und sich zudem bei jeder Session (Verschlüsselung) ändert. Außerdem werden hierbei die hohe Geschwindigkeit der symmetrischen Verschlüsselung mit der hohen Sicherheit und Bedienerfreundlichkeit der asymmetrischen Verschlüsselung kombiniert. Der Private Key (private Schlüssel) gehört immer mit dem Public Key (öffentlicher Schlüssel) zusammen. Wir sprechen hier auch von einem Schlüsselpaar, welche beide für eine Ver- und Entschlüsselung nach dem asymmetrischen Verfahren notwendig sind. Daten, die mit dem öffentlichen Schlüssel (Public Key) von A verschlüsselt worden sind, können nur mit dem privaten Schlüssel (Private Key) von A wieder entschlüsselt werden.

Wie das Passwort (Secret Key) bei der symmetrischen Verschlüsselung, darf der private Schlüssel (Private Key) bei der asymmetrischen Verschlüsselung niemand anderem als dem Inhaber bekannt sein (->sicher aufbewahren). Der Vorteil bei dem Schlüsselpaar ist, dass der private Schlüssel nicht übertragen werden muss, wie das Passwort bei der symmetrischen Verschlüsselung. Selbst wenn ich das Passwort (Secret Key) persönlich meinem Partner aushändige, so ist doch schon mind. 1 fremde Person im Besitzt des Passwortes. Aus diesem Grund ist es bei der symmetrischen Verschlüsselung am sinnvollsten mit jedem Partner ein eigenes Passwort festzulegen. Dies wird um so komplizierter, je mehr Passwörter man sich merken muss.

Welche Rolle spielt nun das Hashverfahren in diesem Fall? - Das Hashverfahren ist kein Ver- oder Entschlüsselungsverfahren. Es wird nach einem mathematisch festgelegten Mechanismus (Hashverfahren) eine Art "Quersumme" über die Daten gebildet. Unabhängig von der Länge der Daten (100 Byte, 1000 Byte oder 1 MByte), wird ein fester Fingerabdruck dieser Daten mit einer festen Länge von z. B. 160 Bit (RipeMD160) gebildet.
Wenn nun z. B. einen Hashwert über eine Email gebildet wird und sich nur ein Zeichen in der Email ändert, dann verändert sich auch der Hashwert. Der Hashwert beinhaltet keine großen Datenmengen und kann so vor der Übertragung mit einem asymmetrischen Schlüsselverfahren ONLINE verschlüsselt werden. Nur der Empfänger dieser Email kann nun mit seinem privaten Schlüssel (Private Key) den ursprünglichen Hashwert wieder herstellen und prüfen. Der Empfänger kann nun seinerseits wieder einen Hashwert über ihre Daten (Email) bilden und vergleicht diesen mit dem verschlüsselt übertragenden Hashwert. Stimmen beide Werte überein, so wurde ihre Email oder die Daten unterwegs nicht verfälscht.

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Backup-Zertifikate
Stellen Sie sich vor, ein Mitarbeiter in Ihrer Firma hat wichtige Informationen verschlüsselt abgespeichert und wird krank oder scheidet aus der Firma aus. Sind die Daten mit einem zusätzlichen Backup-Zertifikat (z. B. von der Firmenleitung) verschlüsselt, so kommen Sie dennoch an die Dateien. Ferner kann das Backup-Zertifikat beim Verlust der Smartcard einen größeren Schaden verhindern. Backup-Zertifikate können nur beim HYBRID-System angelegt werden. Bei der Software von abylonsoft werden die Backup-Zertifikate im CERTMANAGER eingetragen. (>> HYBRID-System, Zertifikate)

Blowfish
ist ein frei einsetzbares Verschlüsselungsverfahren mit einer variablen Schlüssellänge von 32 bis 448 Bit. Durch die hohe Schlüssellänge zählt Blowfish als relativ sicher. (>> symmetrische Verschlüsselung)

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Certification Authority (CA)
(>> Trustcenter)

Chiffrieren
ist französisch und bedeutet Verschlüsseln (>> Asymmetrische Verschlüsselung, Symmetrische Verschlüsselung, Verschlüsseln)

Clustertips
Die Festplatte ist in viele gleich große Teile eingeteilt, den sogenannten Sektoren. Mehrere Sektoren zusammengenommen sind wiederum ein Cluster. Jede Datei wird in einem Cluster abgelegt, nur wenn die Datei größer ist, werden zwei oder mehrere Cluster verwendet. Es kommt jedoch sehr selten vor, dass die Dateigröße genau der Größe von einem oder mehreren Clustern entspricht. Aus diesem Grund bleibt hinter der Datei meistens ein kleiner Platz auf der Festplatte unbeschrieben. Dieser Teil wird als Clustertip bezeichnet, wo sich Reste von früheren Dateien befinden können. Die möglicherweise kritischen Daten lassen sich mit spezieller Software rekonstruieren. (>> Shreddern, Clustertips)

CSP (Cryptographic Service Provider)
Schnittstelle (Treiber) zwischen dem Zertifikat auf der Chipkarte, dem Chipkartenleser und der Microsoft Zertifikatsdatenbank bzw. der entsprechenden Anwendung.

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Datei PKI
Der Einsatz der abylon Datei PKI macht komplexen Anwendungen zur Administration der Mitarbeiterzertifikate überflüssig. Kleine bis mittlere Unternehmen können hiermit die öffentlichen Zertifikate aller Mitarbeiter zentral in einer STO-Datei verwaltet. Auf den einzelnen Clients müssen nur noch die Zertifikate der Mitarbeiter installiert werden, die an dem entsprechenden Rechner arbeiten. Über die Datei PKI ist nun ein Zugriff auf die öffentlichen Schlüssel (Public-Key) aller weiteren Mitarbeiter möglich. (>> Small PKI, PKI, Zertifikate)

Datenkomprimierung
Der Umfang von Daten nimmt immer weiter zu. Aus diesem Grund ist es hilfreich, die Daten mit dem weitverbreiteten ZIP-Standard zu komprimieren. Die Software von abylonsoft unterstützt diesen Standard zur Reduzierung des Speicherbedarfs auf der Festplatte.

Dekodieren
(>> Entschlüsseln)

DES
(Data Encryption Standard) [symmetrische Verschlüsselung] verschlüsselt mit einem 56 Bit-Schlüssel durch vertauschen und ersetzen einzelner Bits in 16 Durchläufen. Inzwischen wird DES nicht mehr als unbedingt sicher betrachtet. Um den erhöhten Sicherheitsanspruch weiter gerecht zu werden, wurde das 3DES (TripelDES)-Verfahren eingeführt. Der Unterschied ist, dass die Schlüsselstärke von 56bit (DES) auf 112bit (2DES) bzw. 168bit (3DES) angehoben wurden. DES ist aufgrund der Geschwindigkeit sehr gut für Onlineverschlüsselung (z. B. im Internetbanking) geeignet. Das Zahlungssystem SET, die Emailverschlüsselung S/MIME und stellenweise auch SSL arbeitet auf der Basis von DES! (>> TripleDES, SSL, S/MIME)

Diffie-Hellmann
ist ein Key - Austausch - Protokoll. Es wurde 1976 von Whitfield Diffie and Martin E. Hellman entwickelt und dient zum sicheren Austausch von Schlüsseln (Public- und Private-Key). Die Schlüssellänge bei DH variiert von 512 bis 8192 Bits. (>> asymmetrische Verschlüsselung)

Digital Envelope (SME - Datei)
Ein digitaler Briefumschlag (Digital Envelope) ist das elektronische Gegenstück eines normalen Briefes. Hierbei werden zuerst die Daten signieren, welches der Unterschrift auf dem Brief gleicht. Das Einkuvertieren entspricht letztendlich dem Verschlüsseln der signierten Daten. Jetzt können Sie ohne Angst zu haben, die Daten über unsichere Kanäle (Internet, Email) verschicken. Der Empfänger benötigt nun den richtigen Schlüssel, um die Daten wieder zu entschlüsseln. Durch die Kontrolle der Signatur (Unterschrift) ist er zudem sicher, dass die Daten unterwegs nicht verändert wurden und das diese vom richtigen Absender stammen.
Eine normale, unverschlüsselte Email würde im Alltag einer offenen Postkarte entsprechen, die ungeschützt durchs weltweite Datennetz wandert. Jeder etwas versierte User kann diese abfangen und lesen, wie der Postbote eine Postkarte. (>> asymmetrische Verschlüsselung, Hash Wert)

DoD - Methode
ist eine standardisierte Methode zum Löschen von Daten auf der Festplatte, um eine nicht gewünschte Wiederherstellung zu verhindern. Bei der DoD - Methode werden die Daten in der Reihenfolge binäre Nullen, binäre Einsen und Zufallszahlen überschrieben. Bei der DOD II - Methode wird die DOD - Methode zweimal angewendet, wodurch die Daten insgesamt 6 mal überschrieben werden. Diese Löschmethoden werden bei den Produkten von abylonsoft eingesetzt. (>> Peter Gutman - Methode)

DSS
(Digital Signature Standard) (>> Asymmetrische Verschlüsselung)

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Entschlüsseln
Beim Entschlüsseln oder Dekodieren wird die aus der Verschlüsselung hervorgehenden nichtlesbaren Daten in lesbare umgewandelt. Dabei wird je nach Verschlüsselungsart ein Schlüssel in Form eines Passwortes benötigt. Handelt es sich bei der Verschlüsselung um eine asymmetrische Verschlüsselung, benötigt man zum Entschlüsseln den entsprechenden privaten Schlüssel. (>> Asymmetrische Verschlüsselung, Symmetrische Verschlüsselung, Verschlüsseln)

ETSI/GSM 11.11
Standard für das digitale Mobilfunknetz GSM (D-Netz)

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Freispeicher
ist der Platz auf der Festplatte, wo zur Zeit keine aktuellen Dateien gespeichert sind. Hier können sich jedoch verräterische Datenreste befinden, die nicht richtig gelöscht wurden. Beim Bereinigen des Freispeicher werden alle zur Zeit nicht verwendeten Festplattenbereiche entsprechend des eingestellten Shredderverfahrens überschrieben. (>> Shredder, Shredder Level, Clustertips)

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

geheimer Schlüssel
(>> Secret Key Verfahren, Symmetrische Verschlüsselung)

Geheimnis
Für die Verschlüsselung von Daten wird ein Geheimnis benötigt. Nur mit diesem Geheimnis ist wiederum die Entschlüsselung der Daten möglich. Die Software von abylonsoft unterstützt im HYBRID-System die Verwednung von X.509-Zertifikate und im SYMM-System die Eingabe von Passwörtern über die Tastatur, die Verwendung von Prozessorchipkarten (z. B. EC-Karten), die Verwendung von Speicherchipkarten (z. B. Krankenversichertenkarten), beschriebene CDs und DVDs, RFID-Funkkarten oder USB-Speichermedien (z. B. USB-Sticks). (>> SYMM-System, HYBRID-System, Secret Key Verfahren)

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Hashverfahren
(>> Asymmetrische Verschlüsselung und Hash Wert)

Hash Wert
Beim so genannten 'Hashen' wird eine Art "Quersumme" über die Daten gebildet. Das Ergebnis ist je nach Hashverfahren ein Ergebnis fester Länge (z. B. 160 Bit). Egal, ob ihre Daten nun 1KByte oder 1MByte groß sind. Dieses Hashergebnis ist vergleichbar mit einem Fingerabdruck der Daten. Wenn Du nun auch nur ein Zeichen in ihren Daten (z. B. Worddokument) änderst und wieder einen Hashwert bildest, ist dieser anders als der Erste. Du kannst also mit Hilfe des Hashwertes feststellen, ob irgendwas an ihren Daten (z. B. während einer Übertragung) verändert worden ist. Andererseits kann aufgrund des Hashwertes nicht auf den Inhalt der Daten geschlossen werden, denn verschiedene Daten können den gleichen Hashwert besitzen (z. B. Quersummen von 16, 25 und 34 sind alle 7). Bei einer Länge von 160 Bits ist jedoch die Möglichkeit auf die ursprünglichen Daten zu schließen so gut wie unmöglich.
Bekannte Hashverfahren: MD5 (Message Digest) -> 128 Bit; SHS/SHA (Secure Hash Standard/Algorithm) -> 160 Bit

HYBRID-System
Das zertifikatsbasierte HYBRID-System basiert auf dem PKCS-Standards von RSA und ist vor allem für Firmen geeignet. Für die Verschlüsselung muss zwingend ein X.509 Zertifikat vorhanden sein. Dabei kann es sich um ein Softwarezertifikat oder aber über ein Zertifikat auf einem externen Token (Chipkarte, USB-Token) handeln. Der Vorteil des HYBRID-Systems liegt in der Möglichkeit mehrere Zertifikate auszuwählen, um so die Berechtigungen für mehrere Anwender festzulegen und zu administrieren. Dabei ist der Einsatz von LDAP, PKI und eine Sperrliste (Revocation-List) möglich. Zusätzlich ist beim verschlüsselten Datenaustausch keine separate Übermittlung des Passwortes erforderlich. Das HYBRID-System kann sowohl für verschiedene Crypt-Objekte (abylon KEYSAFE, abylon CRYPTDRIVE, abylon SHAREDDRIVE), als auch für die Verschlüsselung von einzelnen Dateien und den Datenaustausch verwendet werden. (>> SYMM-System, asymmetrisch Verschlüsselung, PKCS, RSA, X.509-Zertifikaten)

Hybridverfahren
Kombination aus symmetrischer und asymmetrischer Verschlüsselung (>> asymmetrisch Verschlüsselung, HYBRID-System)

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

IDEA
(Internatial Data Encryption Algorythm) [symmetrische Verschlüsselung] Hierbei werden wie bei DES-Verfahren die Daten in 16 Durchläufen durch vertauschen und ersetzen einzelner Bits mit einem 128 Bit-Schlüssel verschlüsselt.

Intelligente Speicherchipkarten
Bei intelligenten Speicherchipkarten ist der Speicher (EPROM oder EEPROM) nur über eine festverdrahtete Sicherheitslogik zugänglich. Anwendung als Debitkarte (Telefonkarte). (>> Speicherchipkarten)

Internetspuren
Bei Surfen im Internet bleiben Spuren auf Ihrem Rechner zurück, mit deren Hilfe Ihr Surfverhalten rekonstruiert werden kann. Zu den Internetspuren gehören die Historyliste (Adressen aller besuchten Web-Seiten), Cookies (von Seitenbetreibern temporär auf Ihrem Rechner gespeicherte Daten), Cache (temporär auf Ihrem Rechner gespeicherte Internetseiten zur Beschleunigung des Seitenaufbaus), Formulardaten (Eingegebene Formulardaten für automatisches Ausfüllen), Zugangsdaten und Passwörter (Eingegebene Zugangsdaten und Passwörter für automatisches Ausfüllen) und Download-Liste (Liste mit den zuletzt heruntergeladenen Dateien). (>> Shreddern)

ISO 7816-1,2
Physikalische Eigenschaften von Chipkarten, Abmessungen und Lage der Kontakte. (>> Prozessorchipkarten)

ISO 7816-3
Elektrische Eigenschaften der Kontakte, Kommunikationsprotokolle. (>> Prozessorchipkarten)

ISO 7816-4
(vorl.) Kommunikationsinhalte, Datenstruktur der Chipkarte, Sicherheitsarchitektur, Zugriffsmechanismen. (>> Prozessorchipkarten)

ISO 7816-5
(vorl.) Aufbau von Applikationen, Wahl und Ausführung von Applikationen, Registrierung von Applikationen (Nummernsystematik). (>> Prozessorchipkarten)

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Kodieren
(>> verschlüsseln)

Kryptographie
Der Begriff Kryptographie bezeichnet die Lehre zur systematischen Verschleierung von Nachrichten durch Verschlüsseln. Die Originaldaten werden dabei mit Hilfe eines Algorithmus unleserlich gemacht (chiffriert) und können nur durch Kenntnis des speziellen Schlüssels wieder hergestellt werden. Erste Anwendungen der Kryptographie sind schon aus der Zeit weit vor Christi Geburt überliefert. Im 2. Weltkrieg war z. B. die Entschlüsselung der Chiffriermaschine Enigma durch die Engländer von entscheidender Bedeutung. Heutzutage unterteilt man die Kryptographie in die zwei großen Teilgebiete asymmetrische und symmetrische Verschlüsselung. (>> Verschlüsseln, asymmetrische Verschlüsselung, Symmetrischen Verschlüsselung)

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

LDAP
Das Lightweight Directory Access Protokoll (LDAP) ist ein IBM-Standard für die Kommunikation von Rechnern mit einer Datenbank über das Internet. Dabei wurde der umfangreiche X.500 Directory Service abgespeckt, um auch bei schmaler Bandbreite eine zügige Kommunikation zu erlauben. Einträge in einem LDAP- oder X.500-Verzeichnis erlauben eines Zugriff über ein Netzwerk oder auch das Internet zum auffinden von Daten. In der Regel verwenden Trustcenter dieses Protokoll zum speichern der Zertifikatsinformationen. Über dass LDAP-Protokoll können weltweit die öffentlichen Zertifikate (Public Keys, PKCS#7) bei den einzelnen Trustcentern (CAs) abgerufen werden, die zum Verschlüsseln von Daten dienen. (>> Asymmetrische Verschlüsselung, Trustcenter)

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

MD5
ist ein Hash-Verfahren (>> Hash Wert)

Multicrypting
Wenn Sie ein Dokument für mehrere Personen verschlüsseln wollen, so müssen Sie nicht mehr für jedem eine Kopie anlegen. Bilden Sie eine SME-Date (Digitaler Briefumschlag), selektieren alle entsprechenden öffentlichen Schlüssel im Zertifikatsmanager und verschicken die Datei an alle Empfänger. Jetzt haben nur noch die von Ihnen berechtigten Personen einen Zugriff auf Ihr Dokument, welches sogar noch von Ihnen unterschrieben (signiert) ist. (>> SME, HYBRID-System)

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Öffentlicher Schlüssel (PublicKey)
Der öffentliche Schlüssel (Public Key, PKCS#7) müssen sie weitergegeben (Publik Key Exchange) oder in einer Datenbank (PKI - Public Key Infrastructure) hinterlegen. Daten, die mit einem öffentlichen Schlüssel verschlüsselt wurden, können nur mit dem entsprechenden privaten Schlüssel (Public Key) wieder entschlüsselt werden. (>> asymmetrische Verschlüsselung, PKI, Privater Schlüssel)

One Time Pad
Bei dieser Art von Verschlüsselung werden die Daten durch eine einfach Addition (modulo 26) mit einem Schlüssel der gleichen Länge verknüpft. Der Schlüssel wird durch einen Zufallsgenerator erstellt und nur einmalig verwendet. Dadurch gilt dieses Verfahren als absolut sicher. Das Problem besteht nur darin, für große Mengen an Daten eine wirklich zufällige Quelle für den Schlüssel zu finden. Außerdem ist der Schlüssel genau so groß wie der zu verschlüsselnde Text, wodurch sich die übertragende Datenmenge verdoppelt. Darum wird dieses Verfahren in der Regel nur für kleine Datenmengen verwendet.

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Peter Gutman Methode
Bei der Peter Gutman Methode handelt es sich um eine sehr sichere Methode zum Löschen von Daten auf magnetischen Datenträgern. Dabei werden die Daten insgesamt 35mal in folgender Reihenfolge 4x Random, 0x55, 0xAA, 0x92, 0x49, 0x24, 0x00, 0x11, 0x22, 0x33, 0x44, 0x55, 0x66, 0x77, 0x88, 0x99, 0xAA, 0xBB, 0xAA, 0xCC, 0xDD, 0xEE, 0xFF0x92, 0x49, 0x24, 4x Random überschrieben. (>> DOD - Methode)
Ausführliche Informationen: http://www.cs.auckland.ac.nz/~pgut001/pubs/secure_del.html

PGP
(Pretty Good Privacy) bedeutet übersetzt etwa "recht gute Privatsphäre" und wurde von Phil Zimmermann entwickelt. PGP in den verschiedenen Versionen ist recht weit verbreitet und implementiert das RSA-Verfahren in eine relativ bedienerfreundliche Oberfläche. (>> asymmetrische Verschlüsselung, RSA)

PKCS#7 & PKCS#12
PKCS (Public Key Crypto Standards) ist ein Set von verschiedenen Standards für die asymmetrische Verschlüsselung (PublicKey Cryptography) nach X.509, die von Appel, DEc, Lotus, Microsoft, MIT, RSA und SUN entwickelt wurden. Sie umfassen spezifische und unabhängige Implementierungsstandards, Spezifikationen und anderes, welche durch RSA Data Security Inc. überwacht wird. Im speziellen beschreibt PKCS#7 den Standard für den öffentlichen Schlüssel (PublicKey) und PKCS#12 den Standard für das Zertifikat (privater Schlüssel, Private Key, Dateiendungen z. B. *.pfx, *.p12). (>> Hash Wert, RSA, X.509)

PKI
(Public Key Infrastructure) ist eine Hierarchie von Zertifizierungs-Autoritäten. Es dient also der Verteilung und Verwaltung von öffentlichen Schlüsseln für die asymmetrischen Verschlüsselung. (>> asymmetrische Verschlüsselung)

Private Key
(>> Privaten Schlüssel)

Privater Schlüssel (Private Key)
ist der geheime Schlüssel (Private Key, PKCS#12) der unter keinen Umständen weitergegeben werden darf und mit dem Daten signieren (Unterschrift) und entschlüsselt werden. Er ist bei Ihnen im der Systemzertifikatsdatenbank eingetragen und besitzt als Datei die Endung *.p12 oder *.pfx. (>> asymmetrische Verschlüsselung, RSA, PKCS)

Prozessorchipkarten
(Smartcards) enthalten kompletten Rechner: Prozessor, ROM (EEPROM, EPROM) und RAM. Neben festverdrahteten sind hier auch frei programmierbare Sicherungsfunktionen möglich. Insbesondere können Challenge - Response - Protokolle und Kryptoverfahren auf der Karte implementiert werden. Bei ihrer Geldkarte oder Handykarte handelt es sich zum Beispiel um eine Prozessorchipkarte. Die Smartcards sind schon weitaus komplizierter als die Speicherchipkarten, weil sie im Prinzip alle Komponenten eines Computers besitzen (siehe oben). Diese Karten enthalten meist auch einen Cryptochip, mit dem Verschlüsselungen und Authentifikationen durchgeführt werden können. Für diese Operationen muss der geheime Schlüssel die Chipkarte nicht verlassen, was diesen damit sehr sicher macht.

PublicKey
(>> öffentlicher Schlüssel)

Public Key Verfahren
ist die englische Bezeichnung für die asymmetrische Verschlüsselung mit einen öffentlichen Schlüssel (Public Key) und einem privaten Schlüssel (Privat Key) (>> asymmetrische Verschlüsselung, öffentlicher Schlüssel, privater Schlüssel)

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

RC4
Bei RC4 von RSA Data Security Inc. (www.rsasecurity.com) wird in Abhängigkeit vom Passwort mit einem Pseudo-Zufallsgenerator eine zufällige Bytefolge in der Länge der zu verschlüsselnden Daten erzeugt. Der Geheimtext ergibt sich aus der einfachen XOR-Verknüpfung mit dem expandierten Schlüssel, ähnlich wie beim One Time Pad. Zur Entschlüsselung wird dieses Verfahren einfach erneut angewendet. Das Verfahren ist erstaunlich einfach, schnell und sehr leicht zu programmieren. Nach Aussage von RSA Data Security Inc. lässt sich dieses Verfahren nicht mit der linearer oder differentieller Kryptoanalyse knacken. (>> One Time Pad)

RSA
ist benannt nach den Entwicklern Ronald Rivest, Adi Shamir und Leonard Adleman. Das RSA - Verfahren ist eigentlich das bekannteste Verfahren und auch das Flagschiff unter den asymmetrischen Verfahren. Ab einer Schlüssellänge von 2048bit kann es als sicher eingestuft werden. Das RSA - Verfahren wird i. d. R. zur Verschlüsselung und Übertragung von symmetrischen SessionKeys verwendet, weil der mathematische Aufwand für eine Onlineverschlüsselung einfach zu groß ist.
(>> asymmetrische Verschlüsselung)

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

SectretKeyVerfahren
ist die englisch Bezeichnung für die symmetrische Verschlüsselung mit einem geheimen Schlüssel (SecretKey) (>> symmetrische Verschlüsselung)

Selbstsignierte Zertifikate
sind normalerweise als nicht vertrauenswürdig einzustufen, da keine Zertifizierungsstelle für die Richtigkeit der angegebenen Daten bürgt. Damit können keine offiziellen Geschäfte abgewickelt werden. Für die private Verwendung ist es aber vollkommen ausreichen, z. B. zur Verschlüsselung mit der Software von abylonsoft.

Shredder Level
Die Software von abylonsoft bietet zum entgültigen Entfernen von Daten auf dem Comuter folgende Löschmethoden:

  • Level 0: Verknüpfungen entfernen (entspricht dem normalen Löschen im Datei Explorer)
  • Level 1: Die Daten werden 1x überschrieben (binäre Nullen)
  • Level 2: Die Daten werden 3x überschrieben (DOD - Standard = 1. Zufallszahlen + 2. binäres F + 3. Binäre Null)
  • Level 3: Die Daten werden 7x überschrieben (DOD II - Standard = 3x binäre Nullen + 3x binäre F + 1x Zufallszahlen)
  • Level 4: Die Daten werden 13x überschrieben (3x Zufallszahlen + DOD - II + 2x Zufallszahlen + 1x binäre Nullen)
  • Level 5: Die Daten werden 35x überschrieben (Peter Gutman Methode - Beschreibung siehe Dokument)
(>> Shreddern, DoD - Metode, Peter Gutman Methode)

Shreddern
Beim normalen Löschen von Dateien werden diese Daten nicht komplett gelöscht, sondern nur die Verweise in der Verzeichnisliste entfernt. Mit speziellen Programmen lassen sich die gelöschten Dateien wieder rekonstruieren. Beim Shreddern mit der Software von abylonsoft werden die Dateien entsprechend des gewälten Shredder-Level mehrfach überschrieben. Somit wird das Rekonstruieren gelöschter Dateien erschwert oder verhindert. (>> Clustertips, Freispeicher, Internet Spuren, Shredder Level)

SHS/SHA
(Secure Hash Algorithm) ist ein sicheres Hashverfahren (>> Hash Wert)

Signatur
Die Signatur entspricht einer digitalen Unterschrift für elektronische Daten. Seid dem Signaturgesetz gelten Signaturen als Rechtsgültig und werden damit einer handschriftlichen Unterschrift gleichgestellt.
Für die Digitale Signatur ist ein Zertifikat mit einem öffentlichen (Public Key) und einem privaten (Private Key) notwendig. Zum Signieren wird erst der Hashwert (Quersumme, Fingerabdruck) der Datei gebildet und dieser mit dem Privaten Schlüssel des Unterschreibenden signiert (eine spezielle Art der Verschlüsselung). Es wird nur der Hashwert signiert, damit Rechenzeit und Speicherplatz gespart wird. Dabei muss der mathematische Vorgang des hashens eine Einwegfunktion sein. An die Daten werden die Signatur und der öffentliche Schlüssel des Unterschreibenden angehangen. Die Überprüfung der Signatur nennt man Verifikation. (>> Hashwert, Verifikation, Zertifikate)

Small PKI
Der Einsatz der abylon Small PKI macht komplexen Anwendungen zur Administration der Mitarbeiterzertifikate überflüssig. Kleine bis mittlere Unternehmen können hiermit die öffentlichen Zertifikate aller Mitarbeiter zentral auf einem Server verwaltet, wo diese in der Registry unter HKLM gespeichert werden. Auf den einzelnen Clients müssen nur noch die Zertifikate der Mitarbeiter installiert werden, die an dem entsprechenden Rechner arbeiten. Über die Small PKI ist nun ein Zugriff auf die öffentlichen Schlüssel (Public-Key) aller weiteren Mitarbeiter möglich. (>> Datei PKI, PKI, Zertifikate)

Smartcard
ist die englische Bezeichnung für eine Prozessorchipkarten (>> Prozessorchipkarten)

Secure Message Envelope (SME)
(>> Digital Envelope)

SME - Datei
(>> Digital Envelope)

S/MIME-Verfahren
(Secure / Multiporpose Internet Mail Extension); erweitert das MIME-Format für das Versenden von Binärdateien via E-Mail um Verschlüsselung und digitale Signatur (für RSA).

Speicherchipkarten
enthalten nur elektronischen Speicher (EPROM, EEPROM oder RAM) auf den direkt zugegriffen werden kann. Eine Krankenversichertenkarte ist zum Beispiel so eine einfache Speicherchipkarte. Auf diese Karte können nur eine bestimmte Menge an Daten abgelegt und wieder gelesen werden. Dieser Kartentyp ist in seinem Aufbau recht einfach und auch nicht besonders geschützt.

Sperrliste
Diese Listen werden von den Trustcentern (CAs) angeboten und beinhalten alle ungültigen und gesperrten Zertifikate. (>> Trustcenter, Zertifikate)

Steganograpphie
ist das Verstecken von Daten in Bilder, Videos, Texten oder anderen Daten. Meistens Werden die zu versteckenden Daten zuvor verschlüsselt. Die Steganographie wird meistens zum verdeckten Übermitteln benutzt. Ein anderes Anwendungsgebiet ist, in Bilder zum Beispiel eine kleine Botschaft einzuschleusen um später einmal beweisen zu können, dass das Bild von ihm stammt.

SYMM-System
Das passwort- oder geheimnisbasierte SYMM-System ist besonders für Privatpersonen und kleinere Firmen geeignet. Zur Verschlüsselung von Dateien muss nur ein Passwort eingegeben oder aber ein Geheimnis eingelegt werden. Als Geheimnis können Prozessorchipkarten (z. B. EC-Karten), Speicherchipkarten (z. B. Krankenversichertenkarten), CDs/DVDs oder USB-Speichermedien (z. B. USB-Sticks) verwendet werden. Verschlüsselte Daten können dann nur noch mit dem korrekten Passwort und/oder dem passenden Geheimnis entschlüsselt werden. Der Vorteil des SYMM-Systems ist deren einfache Bedienung, wodurch es vor allem zum Schutz der Daten auf dem eigenen Rechner eingesetzt werden kann. Sollen die Daten für eine andere Person verschlüsselt werden, so muss auf jeden Fall das Passwort dem Empfänger mitgeteilt werden. Als Verschlüsselungsverfahrten kommt der weltweit anerkannten AES- (Schlüssellänge 256 Bit) und/oder Blowfish-Algorithmus (Schlüssellänge 448 Bit) zum Einsatz. (>> HYBRID-System, symmetrisch Verschlüsselung, Blowfish, AES)

Symmetrische Verschlüsselung

Bei der symmetrischen Verschlüsselung werden die Daten mit dem gleichen Schlüssel ver- und Entschlüsselt, wobei zahlreiche unterschiedliche Verfahren (z. B. AES- oder Blowfish-Alorithmus) eingesetzt werden. Die Sicherheit des verschlüsselten Datei hängt von dem Verschlüsselungsverfahren, dem Passwort und der Schlüssellänge ab. Durch die Verwendung von sehr großen Schlüssellängen (> 128 Bit) kann die Verschlüsselung sehr sicher sein. Der Nachteil der symmetrischen Verschlüsselung besteht darin, das beim Datenaustausch über unsichere Kanäle (z. B. Internet) ebenfalls das Passwort übermittelt werden muss. Diese Passwortübergabe ist nur durch eine persönliche Übergabe absolut sicher. (>> HYBRID-System, IDEA, Blowfish, AES, DES)

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

TOKENSECOBJ
ist ein versteckter und schreibgeschützter Ordner mit den Dateien ATR.BIN und SECCON.BIN und wird auf Speichermedien (z. B. USB-Sticks) angelegt. Unter anderem werden diese Daten als Schlüssel für die Verschlüsselung und Anmeldung mit der Software von abylonsoft benötigt. Ein einfaches Klonen des Speichermediums durch Kopieren dieser Daten ist nicht möglich und nur optional einstellbar. (>> SYMM-System)

TripelDES
ist ein symmetrisches Verschlüsselungsverfahren, bei dem drei mal hintereinander das DES - Verfahren angewendet wird. (>> DES)

Trustcenter
Trustcenter (im englischen Certification Authority (CA)) bieten Zertifikate (Schlüsselpaar aus Public Key und Private Key) für den rechtsverbindlichen und vertraulichen Datenaustausch. In Deutschland werden sie von der Regulierungsbehörde für Post und Telekommunikation überprüfte und zertifiziert (z. B. TC Trustcenter oder D-Trust). Diese Trustcenter müssen besonders hohen Sicherheitsanforderungen genügen. Sie garantieren, dass die von Ihnen ausgestellten und geprüften Zertifikate (Schlüsselpaar zum Signieren und Verschlüsseln) nach dem deutschen Signaturgesetz authentisch sind. Dieses Zertifikat kann nur die Person verwenden, die sich beim Trustcenter ausgewiesen hat. Als kostenlose Alternative bieten wir die Software abylon SELFCERT zur Generierung von selbstsignierten Zertifikaten. (>> abylon SELFCERT)

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Verifikation
Als Verifikation wird die Überprüfung einer Signatur bezeichnet. Die Signatur gibt dabei Auskunft, von wem die Daten signiert (unterschrieben) wurden und ob sie authentisch (unverändert) sind.
Technisch wird dabei die Signatur mit dem beigelegten, öffentlichen Schlüssel (Public Key) des Unterschreibenden nach einem speziellen Verfahren dechiffriert (entschlüsselt). Als Ergebnis erhält man einen Hashwert. Parallel wird der Hashwert der übertragenden Daten gebildet und mit dem beigelegten Hashwert verglichen. Stimmen beide Werte überein, so kann der Empfänger sicher sein, dass die Daten nicht verändert wurden und von dem entsprechenden Absender stammen. (>> Signatur, Zertifikate)

Verschlüsseln
Als verschlüsseln bzw. kodieren, bezeichnet man den Prozess, bei dem Daten (z.B. Texte, Bilder usw.) so verändert werden, dass ein nicht autorisierter Betrachter die Daten nicht lesen oder aus ihnen den Inhalt erschließen kann. Man unterscheidet dabei zwischen der symmetrischen und der asymmetrischen Verschlüsselung. (>> Asymmetrische Verschlüsselung, Symmetrische Verschlüsselung).

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

X.509 / V3 - Zertifikate
bestehen aus einem ASN.1 kodierten Format mit Version, Seriennummer, Signatur, Name, Gültigkeit, Subjekt, PublicKeyInfo, Parameter und Zertifikatserweiterungen und wird von der abylonsoft Software unterstützt. S/MIME, PGP, PEM und MailTrusT verwenden dieses Zertifikat. (>> Zertifikate, S/MIME, PGP, ASN.1)

XOR-Verknüpfung
Bei der Exklusice-Oder-Verknüpfung (XOR) verwendet man folgende Regeln zur Verknüpfung von zwei Bits. Wenn beide Bits gleich sind (1/1 oder 0/0) wird das Ergebnis Null und bei ungleichen Bits (1/0 oder 0/1) ergibt sich eine Eins. Im Gegensatz dazu wird bei der einfachen Oder-Verknüpfung (OR) aus zwei Einser Bits (1/1) wieder eine Eins.

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Zero-Knowledge Verfahren
eignen sich dazu, einen Kommunikationspartner davon zu überzeugen, dass man ein Geheimnis G kennt, ohne irgendetwas über G mitzuteilen. Dazu bedient man sich zweier Mengen von geheimen und öffentlichen Schlüsseln. Mit einem mehrfach wiederholten Challenge-Response-Protokoll wird schließlich die Authentifikation durchgeführt.

Zertifikate
werden in der Regel mit der Dateiendung PFX oder P12 abgespeichert und beinhalten eine Reihe von Daten über den Aussteller und Besitzer. Mit dem öffentlichen (Public Key, PKCS#7) und privaten Schlüssel (Privat Key, PKCS#12) können Daten authentisch, digital unterzeichnet oder ver- und entschlüsselt werden. Für die Glaubwürdig der im Zertifikat angegebenen Daten garantiert normalerweise der Aussteller (Trustcenter, CA). Um die Glaubwürdigkeit zu erhöhen, kann ein Zertifikat von mehreren CAs signiert werden.
Jedoch sind auch selbstsignierte Zertifikate nützlich, beispielsweise zum Signieren in Freundeskreis oder einfach für die Verschlüsselung der eigenenDaten. (>> Selbstsignierte Zertifikate, X.509-Zertifikate, Trustcenter (CA), Signatur, asymmetrische Verschlüsselung)

Zippen
(>> Datenkomprimierung)

(c) 2001-2008 abylonsoft ( Stand 15.04.2006)